=== modified file 'client/drizzle.c'
--- client/drizzle.c	2008-08-03 22:27:54 +0000
+++ client/drizzle.c	2008-08-04 19:39:11 +0000
@@ -257,38 +257,38 @@
 
 
 static COMMANDS commands[] = {
-  { "?",      '?', com_help,   1, gettext_noop("Synonym for `help'.") },
-  { "clear",  'c', com_clear,  0, gettext_noop("Clear command.")},
+  { "?",      '?', com_help,   1, N_("Synonym for `help'.") },
+  { "clear",  'c', com_clear,  0, N_("Clear command.")},
   { "connect",'r', com_connect,1,
-    gettext_noop("Reconnect to the server. Optional arguments are db and host." }),
+    N_("Reconnect to the server. Optional arguments are db and host." }),
   { "delimiter", 'd', com_delimiter,    1,
-    gettext_noop("Set statement delimiter. NOTE: Takes the rest of the line as new delimiter.") },
+    N_("Set statement delimiter. NOTE: Takes the rest of the line as new delimiter.") },
   { "ego",    'G', com_ego,    0,
-    gettext_noop("Send command to drizzle server, display result vertically.")},
-  { "exit",   'q', com_quit,   0, gettext_noop("Exit drizzle. Same as quit.")},
-  { "go",     'g', com_go,     0, gettext_noop("Send command to drizzle server.") },
-  { "help",   'h', com_help,   1, gettext_noop("Display this help.") },
-  { "nopager",'n', com_nopager,0, gettext_noop("Disable pager, print to stdout.") },
-  { "notee",  't', com_notee,  0, gettext_noop("Don't write into outfile.") },
+    N_("Send command to drizzle server, display result vertically.")},
+  { "exit",   'q', com_quit,   0, N_("Exit drizzle. Same as quit.")},
+  { "go",     'g', com_go,     0, N_("Send command to drizzle server.") },
+  { "help",   'h', com_help,   1, N_("Display this help.") },
+  { "nopager",'n', com_nopager,0, N_("Disable pager, print to stdout.") },
+  { "notee",  't', com_notee,  0, N_("Don't write into outfile.") },
   { "pager",  'P', com_pager,  1,
-    gettext_noop("Set PAGER [to_pager]. Print the query results via PAGER.") },
-  { "print",  'p', com_print,  0, gettext_noop("Print current command.") },
-  { "prompt", 'R', com_prompt, 1, gettext_noop("Change your drizzle prompt.")},
-  { "quit",   'q', com_quit,   0, gettext_noop("Quit drizzle.") },
-  { "rehash", '#', com_rehash, 0, gettext_noop("Rebuild completion hash.") },
+    N_("Set PAGER [to_pager]. Print the query results via PAGER.") },
+  { "print",  'p', com_print,  0, N_("Print current command.") },
+  { "prompt", 'R', com_prompt, 1, N_("Change your drizzle prompt.")},
+  { "quit",   'q', com_quit,   0, N_("Quit drizzle.") },
+  { "rehash", '#', com_rehash, 0, N_("Rebuild completion hash.") },
   { "source", '.', com_source, 1,
-    gettext_noop("Execute an SQL script file. Takes a file name as an argument.")},
-  { "status", 's', com_status, 0, gettext_noop("Get status information from the server.")},
+    N_("Execute an SQL script file. Takes a file name as an argument.")},
+  { "status", 's', com_status, 0, N_("Get status information from the server.")},
   { "tee",    'T', com_tee,    1,
-    gettext_noop("Set outfile [to_outfile]. Append everything into given outfile.") },
+    N_("Set outfile [to_outfile]. Append everything into given outfile.") },
   { "use",    'u', com_use,    1,
-    gettext_noop("Use another database. Takes database name as argument.") },
+    N_("Use another database. Takes database name as argument.") },
   { "charset",    'C', com_charset,    1,
-    gettext_noop("Switch to another charset. Might be needed for processing binlog with multi-byte charsets.") },
+    N_("Switch to another charset. Might be needed for processing binlog with multi-byte charsets.") },
   { "warnings", 'W', com_warnings,  0,
-    gettext_noop("Show warnings after every statement.") },
+    N_("Show warnings after every statement.") },
   { "nowarning", 'w', com_nowarnings, 0,
-    gettext_noop("Don't show warnings after every statement.") },
+    N_("Don't show warnings after every statement.") },
   /* Get bash-like expansion for some commands */
   { "create table",     0, 0, 0, ""},
   { "create database",  0, 0, 0, ""},
@@ -1281,182 +1281,182 @@
 
 static struct my_option my_long_options[] =
 {
-  {"help", '?', gettext_noop("Display this help and exit."), 0, 0, 0, GET_NO_ARG, NO_ARG, 0,
+  {"help", '?', N_("Display this help and exit."), 0, 0, 0, GET_NO_ARG, NO_ARG, 0,
    0, 0, 0, 0, 0},
-  {"help", 'I', gettext_noop("Synonym for -?"), 0, 0, 0, GET_NO_ARG, NO_ARG, 0,
+  {"help", 'I', N_("Synonym for -?"), 0, 0, 0, GET_NO_ARG, NO_ARG, 0,
    0, 0, 0, 0, 0},
   {"auto-rehash", OPT_AUTO_REHASH,
-   gettext_noop("Enable automatic rehashing. One doesn't need to use 'rehash' to get table and field completion, but startup and reconnecting may take a longer time. Disable with --disable-auto-rehash."),
+   N_("Enable automatic rehashing. One doesn't need to use 'rehash' to get table and field completion, but startup and reconnecting may take a longer time. Disable with --disable-auto-rehash."),
    (char**) &opt_rehash, (char**) &opt_rehash, 0, GET_BOOL, NO_ARG, 1, 0, 0, 0,
    0, 0},
   {"no-auto-rehash", 'A',
-   gettext_noop("No automatic rehashing. One has to use 'rehash' to get table and field completion. This gives a quicker start of DRIZZLE and disables rehashing on reconnect. WARNING: options deprecated; use --disable-auto-rehash instead."),
+   N_("No automatic rehashing. One has to use 'rehash' to get table and field completion. This gives a quicker start of DRIZZLE and disables rehashing on reconnect. WARNING: options deprecated; use --disable-auto-rehash instead."),
    0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"auto-vertical-output", OPT_AUTO_VERTICAL_OUTPUT,
-   gettext_noop("Automatically switch to vertical output mode if the result is wider than the terminal width."),
+   N_("Automatically switch to vertical output mode if the result is wider than the terminal width."),
    (char**) &auto_vertical_output, (char**) &auto_vertical_output, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"batch", 'B',
-   gettext_noop("Don't use history file. Disable interactive behavior. (Enables --silent)"), 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
+   N_("Don't use history file. Disable interactive behavior. (Enables --silent)"), 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"character-sets-dir", OPT_CHARSETS_DIR,
-   gettext_noop("Directory where character sets are."), (char**) &charsets_dir,
+   N_("Directory where character sets are."), (char**) &charsets_dir,
    (char**) &charsets_dir, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"column-type-info", OPT_COLUMN_TYPES, gettext_noop("Display column type information."),
+  {"column-type-info", OPT_COLUMN_TYPES, N_("Display column type information."),
    (char**) &column_types_flag, (char**) &column_types_flag,
    0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"comments", 'c', gettext_noop("Preserve comments. Send comments to the server. The default is --skip-comments (discard comments), enable with --comments"),
+  {"comments", 'c', N_("Preserve comments. Send comments to the server. The default is --skip-comments (discard comments), enable with --comments"),
    (char**) &preserve_comments, (char**) &preserve_comments,
    0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"compress", 'C', gettext_noop("Use compression in server/client protocol."),
+  {"compress", 'C', N_("Use compression in server/client protocol."),
    (char**) &opt_compress, (char**) &opt_compress, 0, GET_BOOL, NO_ARG, 0, 0, 0,
    0, 0, 0},
-  {"debug-check", OPT_DEBUG_CHECK, gettext_noop("Check memory and open file usage at exit ."),
+  {"debug-check", OPT_DEBUG_CHECK, N_("Check memory and open file usage at exit ."),
    (char**) &debug_check_flag, (char**) &debug_check_flag, 0,
    GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"debug-info", 'T', gettext_noop("Print some debug info at exit."), (char**) &debug_info_flag,
+  {"debug-info", 'T', N_("Print some debug info at exit."), (char**) &debug_info_flag,
    (char**) &debug_info_flag, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"database", 'D', gettext_noop("Database to use."), (char**) &current_db,
+  {"database", 'D', N_("Database to use."), (char**) &current_db,
    (char**) &current_db, 0, GET_STR_ALLOC, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"default-character-set", OPT_DEFAULT_CHARSET,
-   gettext_noop("Set the default character set."), (char**) &default_charset,
+   N_("Set the default character set."), (char**) &default_charset,
    (char**) &default_charset, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"delimiter", OPT_DELIMITER, gettext_noop("Delimiter to be used."), (char**) &delimiter_str,
+  {"delimiter", OPT_DELIMITER, N_("Delimiter to be used."), (char**) &delimiter_str,
    (char**) &delimiter_str, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"execute", 'e', gettext_noop("Execute command and quit. (Disables --force and history file)"), 0,
+  {"execute", 'e', N_("Execute command and quit. (Disables --force and history file)"), 0,
    0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"vertical", 'E', gettext_noop("Print the output of a query (rows) vertically."),
+  {"vertical", 'E', N_("Print the output of a query (rows) vertically."),
    (char**) &vertical, (char**) &vertical, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0,
    0},
-  {"force", 'f', gettext_noop("Continue even if we get an sql error."),
+  {"force", 'f', N_("Continue even if we get an sql error."),
    (char**) &ignore_errors, (char**) &ignore_errors, 0, GET_BOOL, NO_ARG, 0, 0,
    0, 0, 0, 0},
   {"named-commands", 'G',
-   gettext_noop("Enable named commands. Named commands mean this program's internal commands; see drizzle> help . When enabled, the named commands can be used from any line of the query, otherwise only from the first line, before an enter. Disable with --disable-named-commands. This option is disabled by default."),
+   N_("Enable named commands. Named commands mean this program's internal commands; see drizzle> help . When enabled, the named commands can be used from any line of the query, otherwise only from the first line, before an enter. Disable with --disable-named-commands. This option is disabled by default."),
    (char**) &named_cmds, (char**) &named_cmds, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0,
    0, 0},
   {"no-named-commands", 'g',
-   gettext_noop("Named commands are disabled. Use \\* form only, or use named commands only in the beginning of a line ending with a semicolon (;) Since version 10.9 the client now starts with this option ENABLED by default! Disable with '-G'. Long format commands still work from the first line. WARNING: option deprecated; use --disable-named-commands instead."),
+   N_("Named commands are disabled. Use \\* form only, or use named commands only in the beginning of a line ending with a semicolon (;) Since version 10.9 the client now starts with this option ENABLED by default! Disable with '-G'. Long format commands still work from the first line. WARNING: option deprecated; use --disable-named-commands instead."),
    0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"ignore-spaces", 'i', gettext_noop("Ignore space after function names."), 0, 0, 0,
+  {"ignore-spaces", 'i', N_("Ignore space after function names."), 0, 0, 0,
    GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"local-infile", OPT_LOCAL_INFILE, gettext_noop("Enable/disable LOAD DATA LOCAL INFILE."),
+  {"local-infile", OPT_LOCAL_INFILE, N_("Enable/disable LOAD DATA LOCAL INFILE."),
    (char**) &opt_local_infile,
    (char**) &opt_local_infile, 0, GET_BOOL, OPT_ARG, 0, 0, 0, 0, 0, 0},
-  {"no-beep", 'b', gettext_noop("Turn off beep on error."), (char**) &opt_nobeep,
+  {"no-beep", 'b', N_("Turn off beep on error."), (char**) &opt_nobeep,
    (char**) &opt_nobeep, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"host", 'h', gettext_noop("Connect to host."), (char**) &current_host,
+  {"host", 'h', N_("Connect to host."), (char**) &current_host,
    (char**) &current_host, 0, GET_STR_ALLOC, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"html", 'H', gettext_noop("Produce HTML output."), (char**) &opt_html, (char**) &opt_html,
+  {"html", 'H', N_("Produce HTML output."), (char**) &opt_html, (char**) &opt_html,
    0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"xml", 'X', gettext_noop("Produce XML output"), (char**) &opt_xml, (char**) &opt_xml, 0,
+  {"xml", 'X', N_("Produce XML output"), (char**) &opt_xml, (char**) &opt_xml, 0,
    GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"line-numbers", OPT_LINE_NUMBERS, gettext_noop("Write line numbers for errors."),
+  {"line-numbers", OPT_LINE_NUMBERS, N_("Write line numbers for errors."),
    (char**) &line_numbers, (char**) &line_numbers, 0, GET_BOOL,
    NO_ARG, 1, 0, 0, 0, 0, 0},
-  {"skip-line-numbers", 'L', gettext_noop("Don't write line number for errors. WARNING: -L is deprecated, use long version of this option instead."), 0, 0, 0, GET_NO_ARG,
+  {"skip-line-numbers", 'L', N_("Don't write line number for errors. WARNING: -L is deprecated, use long version of this option instead."), 0, 0, 0, GET_NO_ARG,
    NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"unbuffered", 'n', gettext_noop("Flush buffer after each query."), (char**) &unbuffered,
+  {"unbuffered", 'n', N_("Flush buffer after each query."), (char**) &unbuffered,
    (char**) &unbuffered, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"column-names", OPT_COLUMN_NAMES, gettext_noop("Write column names in results."),
+  {"column-names", OPT_COLUMN_NAMES, N_("Write column names in results."),
    (char**) &column_names, (char**) &column_names, 0, GET_BOOL,
    NO_ARG, 1, 0, 0, 0, 0, 0},
   {"skip-column-names", 'N',
-   gettext_noop("Don't write column names in results. WARNING: -N is deprecated, use long version of this options instead."),
+   N_("Don't write column names in results. WARNING: -N is deprecated, use long version of this options instead."),
    0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"set-variable", 'O',
-   gettext_noop("Change the value of a variable. Please note that this option is deprecated; you can set variables directly with --variable-name=value."),
+   N_("Change the value of a variable. Please note that this option is deprecated; you can set variables directly with --variable-name=value."),
    0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"sigint-ignore", OPT_SIGINT_IGNORE, gettext_noop("Ignore SIGINT (CTRL-C)"),
+  {"sigint-ignore", OPT_SIGINT_IGNORE, N_("Ignore SIGINT (CTRL-C)"),
    (char**) &opt_sigint_ignore,  (char**) &opt_sigint_ignore, 0, GET_BOOL,
    NO_ARG, 0, 0, 0, 0, 0, 0},
   {"one-database", 'o',
-   gettext_noop("Only update the default database. This is useful for skipping updates to other database in the update log."),
+   N_("Only update the default database. This is useful for skipping updates to other database in the update log."),
    0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"pager", OPT_PAGER,
-   gettext_noop("Pager to use to display results. If you don't supply an option the default pager is taken from your ENV variable PAGER. Valid pagers are less, more, cat [> filename], etc. See interactive help (\\h) also. This option does not work in batch mode. Disable with --disable-pager. This option is disabled by default."),
+   N_("Pager to use to display results. If you don't supply an option the default pager is taken from your ENV variable PAGER. Valid pagers are less, more, cat [> filename], etc. See interactive help (\\h) also. This option does not work in batch mode. Disable with --disable-pager. This option is disabled by default."),
    0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
   {"no-pager", OPT_NOPAGER,
-   gettext_noop("Disable pager and print to stdout. See interactive help (\\h) also. WARNING: option deprecated; use --disable-pager instead."),
+   N_("Disable pager and print to stdout. See interactive help (\\h) also. WARNING: option deprecated; use --disable-pager instead."),
    0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"password", 'p',
-   gettext_noop("Password to use when connecting to server. If password is not given it's asked from the tty."),
+   N_("Password to use when connecting to server. If password is not given it's asked from the tty."),
    0, 0, 0, GET_STR, OPT_ARG, 0, 0, 0, 0, 0, 0},
-  {"port", 'P', gettext_noop("Port number to use for connection or 0 for default to, in order of preference, my.cnf, $MYSQL_TCP_PORT, ")
+  {"port", 'P', N_("Port number to use for connection or 0 for default to, in order of preference, my.cnf, $MYSQL_TCP_PORT, ")
 #if MYSQL_PORT_DEFAULT == 0
    "/etc/services, "
 #endif
-   gettext_noop("built-in default") " (" STRINGIFY_ARG(MYSQL_PORT) ").",
+   N_("built-in default") " (" STRINGIFY_ARG(MYSQL_PORT) ").",
    (char**) &opt_drizzle_port,
    (char**) &opt_drizzle_port, 0, GET_UINT, REQUIRED_ARG, 0, 0, 0, 0, 0,  0},
-  {"prompt", OPT_PROMPT, gettext_noop("Set the drizzle prompt to this value."),
+  {"prompt", OPT_PROMPT, N_("Set the drizzle prompt to this value."),
    (char**) &current_prompt, (char**) &current_prompt, 0, GET_STR_ALLOC,
    REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"protocol", OPT_DRIZZLE_PROTOCOL, gettext_noop("The protocol of connection (tcp,socket,pipe,memory)."),
+  {"protocol", OPT_DRIZZLE_PROTOCOL, N_("The protocol of connection (tcp,socket,pipe,memory)."),
    0, 0, 0, GET_STR,  REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
   {"quick", 'q',
-   gettext_noop("Don't cache result, print it row by row. This may slow down the server if the output is suspended. Doesn't use history file."),
+   N_("Don't cache result, print it row by row. This may slow down the server if the output is suspended. Doesn't use history file."),
    (char**) &quick, (char**) &quick, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"raw", 'r', gettext_noop("Write fields without conversion. Used with --batch."),
+  {"raw", 'r', N_("Write fields without conversion. Used with --batch."),
    (char**) &opt_raw_data, (char**) &opt_raw_data, 0, GET_BOOL, NO_ARG, 0, 0, 0,
    0, 0, 0},
-  {"reconnect", OPT_RECONNECT, gettext_noop("Reconnect if the connection is lost. Disable with --disable-reconnect. This option is enabled by default."),
+  {"reconnect", OPT_RECONNECT, N_("Reconnect if the connection is lost. Disable with --disable-reconnect. This option is enabled by default."),
    (char**) &opt_reconnect, (char**) &opt_reconnect, 0, GET_BOOL, NO_ARG, 1, 0, 0, 0, 0, 0},
-  {"silent", 's', gettext_noop("Be more silent. Print results with a tab as separator, each row on new line."), 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0,
+  {"silent", 's', N_("Be more silent. Print results with a tab as separator, each row on new line."), 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0,
    0, 0},
-  {"socket", 'S', gettext_noop("Socket file to use for connection."),
+  {"socket", 'S', N_("Socket file to use for connection."),
    (char**) &opt_drizzle_unix_port, (char**) &opt_drizzle_unix_port, 0, GET_STR_ALLOC,
    REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"table", 't', gettext_noop("Output in table format."), (char**) &output_tables,
+  {"table", 't', N_("Output in table format."), (char**) &output_tables,
    (char**) &output_tables, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"tee", OPT_TEE,
-   gettext_noop("Append everything into outfile. See interactive help (\\h) also. Does not work in batch mode. Disable with --disable-tee. This option is disabled by default."),
+   N_("Append everything into outfile. See interactive help (\\h) also. Does not work in batch mode. Disable with --disable-tee. This option is disabled by default."),
    0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"no-tee", OPT_NOTEE, gettext_noop("Disable outfile. See interactive help (\\h) also. WARNING: option deprecated; use --disable-tee instead"), 0, 0, 0, GET_NO_ARG,
+  {"no-tee", OPT_NOTEE, N_("Disable outfile. See interactive help (\\h) also. WARNING: option deprecated; use --disable-tee instead"), 0, 0, 0, GET_NO_ARG,
    NO_ARG, 0, 0, 0, 0, 0, 0},
 #ifndef DONT_ALLOW_USER_CHANGE
-  {"user", 'u', gettext_noop("User for login if not current user."), (char**) &current_user,
+  {"user", 'u', N_("User for login if not current user."), (char**) &current_user,
    (char**) &current_user, 0, GET_STR_ALLOC, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
 #endif
-  {"safe-updates", 'U', gettext_noop("Only allow UPDATE and DELETE that uses keys."),
-   (char**) &safe_updates, (char**) &safe_updates, 0, GET_BOOL, NO_ARG, 0, 0,
-   0, 0, 0, 0},
-  {"i-am-a-dummy", 'U', gettext_noop("Synonym for option --safe-updates, -U."),
-   (char**) &safe_updates, (char**) &safe_updates, 0, GET_BOOL, NO_ARG, 0, 0,
-   0, 0, 0, 0},
-  {"verbose", 'v', gettext_noop("Write more. (-v -v -v gives the table output format)."), 0,
+  {"safe-updates", 'U', N_("Only allow UPDATE and DELETE that uses keys."),
+   (char**) &safe_updates, (char**) &safe_updates, 0, GET_BOOL, NO_ARG, 0, 0,
+   0, 0, 0, 0},
+  {"i-am-a-dummy", 'U', N_("Synonym for option --safe-updates, -U."),
+   (char**) &safe_updates, (char**) &safe_updates, 0, GET_BOOL, NO_ARG, 0, 0,
+   0, 0, 0, 0},
+  {"verbose", 'v', N_("Write more. (-v -v -v gives the table output format)."), 0,
    0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"version", 'V', gettext_noop("Output version information and exit."), 0, 0, 0,
+  {"version", 'V', N_("Output version information and exit."), 0, 0, 0,
    GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"wait", 'w', gettext_noop("Wait and retry if connection is down."), 0, 0, 0, GET_NO_ARG,
+  {"wait", 'w', N_("Wait and retry if connection is down."), 0, 0, 0, GET_NO_ARG,
    NO_ARG, 0, 0, 0, 0, 0, 0},
   {"connect_timeout", OPT_CONNECT_TIMEOUT,
-   gettext_noop("Number of seconds before connection timeout."),
+   N_("Number of seconds before connection timeout."),
    (char**) &opt_connect_timeout,
    (char**) &opt_connect_timeout, 0, GET_ULONG, REQUIRED_ARG, 0, 0, 3600*12, 0,
    0, 0},
   {"max_allowed_packet", OPT_MAX_ALLOWED_PACKET,
-   gettext_noop("Max packet length to send to, or receive from server"),
+   N_("Max packet length to send to, or receive from server"),
    (char**) &opt_max_allowed_packet, (char**) &opt_max_allowed_packet, 0,
    GET_ULONG, REQUIRED_ARG, 16 *1024L*1024L, 4096,
    (int64_t) 2*1024L*1024L*1024L, MALLOC_OVERHEAD, 1024, 0},
   {"net_buffer_length", OPT_NET_BUFFER_LENGTH,
-   gettext_noop("Buffer for TCP/IP and socket communication"),
+   N_("Buffer for TCP/IP and socket communication"),
    (char**) &opt_net_buffer_length, (char**) &opt_net_buffer_length, 0, GET_ULONG,
    REQUIRED_ARG, 16384, 1024, 512*1024*1024L, MALLOC_OVERHEAD, 1024, 0},
   {"select_limit", OPT_SELECT_LIMIT,
-   gettext_noop("Automatic limit for SELECT when using --safe-updates"),
+   N_("Automatic limit for SELECT when using --safe-updates"),
    (char**) &select_limit,
    (char**) &select_limit, 0, GET_ULONG, REQUIRED_ARG, 1000L, 1, ULONG_MAX,
    0, 1, 0},
   {"max_join_size", OPT_MAX_JOIN_SIZE,
-   gettext_noop("Automatic limit for rows in a join when using --safe-updates"),
+   N_("Automatic limit for rows in a join when using --safe-updates"),
    (char**) &max_join_size,
    (char**) &max_join_size, 0, GET_ULONG, REQUIRED_ARG, 1000000L, 1, ULONG_MAX,
    0, 1, 0},
-  {"secure-auth", OPT_SECURE_AUTH, gettext_noop("Refuse client connecting to server if it uses old (pre-4.1.1) protocol"), (char**) &opt_secure_auth,
+  {"secure-auth", OPT_SECURE_AUTH, N_("Refuse client connecting to server if it uses old (pre-4.1.1) protocol"), (char**) &opt_secure_auth,
    (char**) &opt_secure_auth, 0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"server-arg", OPT_SERVER_ARG, gettext_noop("Send embedded server this as a parameter."),
+  {"server-arg", OPT_SERVER_ARG, N_("Send embedded server this as a parameter."),
    0, 0, 0, GET_STR, REQUIRED_ARG, 0, 0, 0, 0, 0, 0},
-  {"show-warnings", OPT_SHOW_WARNINGS, gettext_noop("Show warnings after every statement."),
+  {"show-warnings", OPT_SHOW_WARNINGS, N_("Show warnings after every statement."),
    (char**) &show_warnings, (char**) &show_warnings, 0, GET_BOOL, NO_ARG,
    0, 0, 0, 0, 0, 0},
   { 0, 0, 0, 0, 0, 0, GET_NO_ARG, NO_ARG, 0, 0, 0, 0, 0, 0}
@@ -1562,7 +1562,7 @@
                                     opt->name);
     break;
   case OPT_SERVER_ARG:
-    printf(("WARNING: --server-arg option not supported in this configuration.\n"));
+    printf(_("WARNING: --server-arg option not supported in this configuration.\n"));
     break;
   case 'A':
     opt_rehash= 0;

=== modified file 'configure.ac'
--- configure.ac	2008-08-03 21:30:40 +0000
+++ configure.ac	2008-08-04 22:01:39 +0000
@@ -285,10 +285,9 @@
 
 MYSQL_PROG_AR
 
-# libmysqlclient versioning when linked with GNU ld.
+# libdrizzle versioning when linked with GNU ld.
 if $LD --version 2>/dev/null|grep -q GNU; then
   LD_VERSION_SCRIPT="-Wl,--version-script=\$(top_builddir)/libdrizzle/libdrizzle.ver"
-  AC_CONFIG_FILES(libdrizzle/libdrizzle.ver)
 fi
 AC_SUBST(LD_VERSION_SCRIPT)
 

=== modified file 'drizzled/drizzled_error_messages.h'
--- drizzled/drizzled_error_messages.h	2008-08-02 00:27:36 +0000
+++ drizzled/drizzled_error_messages.h	2008-08-04 19:37:18 +0000
@@ -29,1351 +29,1351 @@
 static const char *drizzled_error_messages[]=
 {
 /* ER_HASHCHK   */
-gettext_noop("hashchk"),
+N_("hashchk"),
 /* ER_NISAMCHK   */
-gettext_noop("isamchk"),
+N_("isamchk"),
 /* ER_NO   */
-gettext_noop("NO"),
+N_("NO"),
 /* ER_YES   */
-gettext_noop("YES"),
+N_("YES"),
 /* ER_CANT_CREATE_FILE   */
-gettext_noop("Can't create file '%-.200s' (errno: %d)"),
+N_("Can't create file '%-.200s' (errno: %d)"),
 /* ER_CANT_CREATE_TABLE   */
-gettext_noop("Can't create table '%-.200s' (errno: %d)"),
+N_("Can't create table '%-.200s' (errno: %d)"),
 /* ER_CANT_CREATE_DB   */
-gettext_noop("Can't create database '%-.192s' (errno: %d)"),
+N_("Can't create database '%-.192s' (errno: %d)"),
 /* ER_DB_CREATE_EXISTS   */
-gettext_noop("Can't create database '%-.192s'; database exists"),
+N_("Can't create database '%-.192s'; database exists"),
 /* ER_DB_DROP_EXISTS   */
-gettext_noop("Can't drop database '%-.192s'; database doesn't exist"),
+N_("Can't drop database '%-.192s'; database doesn't exist"),
 /* ER_DB_DROP_DELETE   */
-gettext_noop("Error dropping database (can't delete '%-.192s', errno: %d)"),
+N_("Error dropping database (can't delete '%-.192s', errno: %d)"),
 /* ER_DB_DROP_RMDIR   */
-gettext_noop("Error dropping database (can't rmdir '%-.192s', errno: %d)"),
+N_("Error dropping database (can't rmdir '%-.192s', errno: %d)"),
 /* ER_CANT_DELETE_FILE   */
-gettext_noop("Error on delete of '%-.192s' (errno: %d)"),
+N_("Error on delete of '%-.192s' (errno: %d)"),
 /* ER_CANT_FIND_SYSTEM_REC   */
-gettext_noop("Can't read record in system table"),
+N_("Can't read record in system table"),
 /* ER_CANT_GET_STAT   */
-gettext_noop("Can't get status of '%-.200s' (errno: %d)"),
+N_("Can't get status of '%-.200s' (errno: %d)"),
 /* ER_CANT_GET_WD   */
-gettext_noop("Can't get working directory (errno: %d)"),
+N_("Can't get working directory (errno: %d)"),
 /* ER_CANT_LOCK   */
-gettext_noop("Can't lock file (errno: %d)"),
+N_("Can't lock file (errno: %d)"),
 /* ER_CANT_OPEN_FILE   */
-gettext_noop("Can't open file: '%-.200s' (errno: %d)"),
+N_("Can't open file: '%-.200s' (errno: %d)"),
 /* ER_FILE_NOT_FOUND   */
-gettext_noop("Can't find file: '%-.200s' (errno: %d)"),
+N_("Can't find file: '%-.200s' (errno: %d)"),
 /* ER_CANT_READ_DIR   */
-gettext_noop("Can't read dir of '%-.192s' (errno: %d)"),
+N_("Can't read dir of '%-.192s' (errno: %d)"),
 /* ER_CANT_SET_WD   */
-gettext_noop("Can't change dir to '%-.192s' (errno: %d)"),
+N_("Can't change dir to '%-.192s' (errno: %d)"),
 /* ER_CHECKREAD   */
-gettext_noop("Record has changed since last read in table '%-.192s'"),
+N_("Record has changed since last read in table '%-.192s'"),
 /* ER_DISK_FULL   */
-gettext_noop("Disk full (%s); waiting for someone to free some space..."),
+N_("Disk full (%s); waiting for someone to free some space..."),
 /* ER_DUP_KEY 23000  */
-gettext_noop("Can't write; duplicate key in table '%-.192s'"),
+N_("Can't write; duplicate key in table '%-.192s'"),
 /* ER_ERROR_ON_CLOSE   */
-gettext_noop("Error on close of '%-.192s' (errno: %d)"),
+N_("Error on close of '%-.192s' (errno: %d)"),
 /* ER_ERROR_ON_READ   */
-gettext_noop("Error reading file '%-.200s' (errno: %d)"),
+N_("Error reading file '%-.200s' (errno: %d)"),
 /* ER_ERROR_ON_RENAME   */
-gettext_noop("Error on rename of '%-.150s' to '%-.150s' (errno: %d)"),
+N_("Error on rename of '%-.150s' to '%-.150s' (errno: %d)"),
 /* ER_ERROR_ON_WRITE   */
-gettext_noop("Error writing file '%-.200s' (errno: %d)"),
+N_("Error writing file '%-.200s' (errno: %d)"),
 /* ER_FILE_USED   */
-gettext_noop("'%-.192s' is locked against change"),
+N_("'%-.192s' is locked against change"),
 /* ER_FILSORT_ABORT   */
-gettext_noop("Sort aborted"),
+N_("Sort aborted"),
 /* ER_FORM_NOT_FOUND   */
-gettext_noop("View '%-.192s' doesn't exist for '%-.192s'"),
+N_("View '%-.192s' doesn't exist for '%-.192s'"),
 /* ER_GET_ERRNO   */
-gettext_noop("Got error %d from storage engine"),
+N_("Got error %d from storage engine"),
 /* ER_ILLEGAL_HA   */
-gettext_noop("Table storage engine for '%-.192s' doesn't have this option"),
+N_("Table storage engine for '%-.192s' doesn't have this option"),
 /* ER_KEY_NOT_FOUND   */
-gettext_noop("Can't find record in '%-.192s'"),
+N_("Can't find record in '%-.192s'"),
 /* ER_NOT_FORM_FILE   */
-gettext_noop("Incorrect information in file: '%-.200s'"),
+N_("Incorrect information in file: '%-.200s'"),
 /* ER_NOT_KEYFILE   */
-gettext_noop("Incorrect key file for table '%-.200s'; try to repair it"),
+N_("Incorrect key file for table '%-.200s'; try to repair it"),
 /* ER_OLD_KEYFILE   */
-gettext_noop("Old key file for table '%-.192s'; repair it!"),
+N_("Old key file for table '%-.192s'; repair it!"),
 /* ER_OPEN_AS_READONLY   */
-gettext_noop("Table '%-.192s' is read only"),
+N_("Table '%-.192s' is read only"),
 /* ER_OUTOFMEMORY HY001 S1001 */
-gettext_noop("Out of memory; restart server and try again (needed %d bytes)"),
+N_("Out of memory; restart server and try again (needed %d bytes)"),
 /* ER_OUT_OF_SORTMEMORY HY001 S1001 */
-gettext_noop("Out of sort memory; increase server sort buffer size"),
+N_("Out of sort memory; increase server sort buffer size"),
 /* ER_UNEXPECTED_EOF   */
-gettext_noop("Unexpected EOF found when reading file '%-.192s' (errno: %d)"),
+N_("Unexpected EOF found when reading file '%-.192s' (errno: %d)"),
 /* ER_CON_COUNT_ERROR 08004  */
-gettext_noop("Too many connections"),
+N_("Too many connections"),
 /* ER_OUT_OF_RESOURCES   */
-gettext_noop("Out of memory; check if mysqld or some other process uses all available memory; if not, you may have to use 'ulimit' to allow mysqld to use more memory or you can add more swap space"),
+N_("Out of memory; check if mysqld or some other process uses all available memory; if not, you may have to use 'ulimit' to allow mysqld to use more memory or you can add more swap space"),
 /* ER_BAD_HOST_ERROR 08S01  */
-gettext_noop("Can't get hostname for your address"),
+N_("Can't get hostname for your address"),
 /* ER_HANDSHAKE_ERROR 08S01  */
-gettext_noop("Bad handshake"),
+N_("Bad handshake"),
 /* ER_DBACCESS_DENIED_ERROR 42000  */
-gettext_noop("Access denied for user '%-.48s'@'%-.64s' to database '%-.192s'"),
+N_("Access denied for user '%-.48s'@'%-.64s' to database '%-.192s'"),
 /* ER_ACCESS_DENIED_ERROR 28000  */
-gettext_noop("Access denied for user '%-.48s'@'%-.64s' (using password: %s)"),
+N_("Access denied for user '%-.48s'@'%-.64s' (using password: %s)"),
 /* ER_NO_DB_ERROR 3D000  */
-gettext_noop("No database selected"),
+N_("No database selected"),
 /* ER_UNKNOWN_COM_ERROR 08S01  */
-gettext_noop("Unknown command"),
+N_("Unknown command"),
 /* ER_BAD_NULL_ERROR 23000  */
-gettext_noop("Column '%-.192s' cannot be null"),
+N_("Column '%-.192s' cannot be null"),
 /* ER_BAD_DB_ERROR 42000  */
-gettext_noop("Unknown database '%-.192s'"),
+N_("Unknown database '%-.192s'"),
 /* ER_TABLE_EXISTS_ERROR 42S01  */
-gettext_noop("Table '%-.192s' already exists"),
+N_("Table '%-.192s' already exists"),
 /* ER_BAD_TABLE_ERROR 42S02  */
-gettext_noop("Unknown table '%-.100s'"),
+N_("Unknown table '%-.100s'"),
 /* ER_NON_UNIQ_ERROR 23000  */
-gettext_noop("Column '%-.192s' in %-.192s is ambiguous"),
+N_("Column '%-.192s' in %-.192s is ambiguous"),
 /* ER_SERVER_SHUTDOWN 08S01  */
-gettext_noop("Server shutdown in progress"),
+N_("Server shutdown in progress"),
 /* ER_BAD_FIELD_ERROR 42S22 S0022 */
-gettext_noop("Unknown column '%-.192s' in '%-.192s'"),
+N_("Unknown column '%-.192s' in '%-.192s'"),
 /* ER_WRONG_FIELD_WITH_GROUP 42000 S1009 */
-gettext_noop("'%-.192s' isn't in GROUP BY"),
+N_("'%-.192s' isn't in GROUP BY"),
 /* ER_WRONG_GROUP_FIELD 42000 S1009 */
-gettext_noop("Can't group on '%-.192s'"),
+N_("Can't group on '%-.192s'"),
 /* ER_WRONG_SUM_SELECT 42000 S1009 */
-gettext_noop("Statement has sum functions and columns in same statement"),
+N_("Statement has sum functions and columns in same statement"),
 /* ER_WRONG_VALUE_COUNT 21S01  */
-gettext_noop("Column count doesn't match value count"),
+N_("Column count doesn't match value count"),
 /* ER_TOO_LONG_IDENT 42000 S1009 */
-gettext_noop("Identifier name '%-.100s' is too long"),
+N_("Identifier name '%-.100s' is too long"),
 /* ER_DUP_FIELDNAME 42S21 S1009 */
-gettext_noop("Duplicate column name '%-.192s'"),
+N_("Duplicate column name '%-.192s'"),
 /* ER_DUP_KEYNAME 42000 S1009 */
-gettext_noop("Duplicate key name '%-.192s'"),
+N_("Duplicate key name '%-.192s'"),
 /* ER_DUP_ENTRY 23000 S1009 */
-gettext_noop("Duplicate entry '%-.192s' for key %d"),
+N_("Duplicate entry '%-.192s' for key %d"),
 /* ER_WRONG_FIELD_SPEC 42000 S1009 */
-gettext_noop("Incorrect column specifier for column '%-.192s'"),
+N_("Incorrect column specifier for column '%-.192s'"),
 /* ER_PARSE_ERROR 42000 s1009 */
-gettext_noop("%s near '%-.80s' at line %d"),
+N_("%s near '%-.80s' at line %d"),
 /* ER_EMPTY_QUERY 42000   */
-gettext_noop("Query was empty"),
+N_("Query was empty"),
 /* ER_NONUNIQ_TABLE 42000 S1009 */
-gettext_noop("Not unique table/alias: '%-.192s'"),
+N_("Not unique table/alias: '%-.192s'"),
 /* ER_INVALID_DEFAULT 42000 S1009 */
-gettext_noop("Invalid default value for '%-.192s'"),
+N_("Invalid default value for '%-.192s'"),
 /* ER_MULTIPLE_PRI_KEY 42000 S1009 */
-gettext_noop("Multiple primary key defined"),
+N_("Multiple primary key defined"),
 /* ER_TOO_MANY_KEYS 42000 S1009 */
-gettext_noop("Too many keys specified; max %d keys allowed"),
+N_("Too many keys specified; max %d keys allowed"),
 /* ER_TOO_MANY_KEY_PARTS 42000 S1009 */
-gettext_noop("Too many key parts specified; max %d parts allowed"),
+N_("Too many key parts specified; max %d parts allowed"),
 /* ER_TOO_LONG_KEY 42000 S1009 */
-gettext_noop("Specified key was too long; max key length is %d bytes"),
+N_("Specified key was too long; max key length is %d bytes"),
 /* ER_KEY_COLUMN_DOES_NOT_EXITS 42000 S1009 */
-gettext_noop("Key column '%-.192s' doesn't exist in table"),
+N_("Key column '%-.192s' doesn't exist in table"),
 /* ER_BLOB_USED_AS_KEY 42000 S1009 */
-gettext_noop("BLOB column '%-.192s' can't be used in key specification with the used table type"),
+N_("BLOB column '%-.192s' can't be used in key specification with the used table type"),
 /* ER_TOO_BIG_FIELDLENGTH 42000 S1009 */
-gettext_noop("Column length too big for column '%-.192s' (max = %d); use BLOB or TEXT instead"),
+N_("Column length too big for column '%-.192s' (max = %d); use BLOB or TEXT instead"),
 /* ER_WRONG_AUTO_KEY 42000 S1009 */
-gettext_noop("Incorrect table definition; there can be only one auto column and it must be defined as a key"),
+N_("Incorrect table definition; there can be only one auto column and it must be defined as a key"),
 /* ER_READY   */
-gettext_noop("%s: ready for connections.\nVersion: '%s'  socket: '%s'  port: %d"),
+N_("%s: ready for connections.\nVersion: '%s'  socket: '%s'  port: %d"),
 /* ER_NORMAL_SHUTDOWN   */
-gettext_noop("%s: Normal shutdown\n"),
+N_("%s: Normal shutdown\n"),
 /* ER_GOT_SIGNAL   */
-gettext_noop("%s: Got signal %d. Aborting!\n"),
+N_("%s: Got signal %d. Aborting!\n"),
 /* ER_SHUTDOWN_COMPLETE   */
-gettext_noop("%s: Shutdown complete\n"),
+N_("%s: Shutdown complete\n"),
 /* ER_FORCING_CLOSE 08S01  */
-gettext_noop("%s: Forcing close of thread %ld  user: '%-.48s'\n"),
+N_("%s: Forcing close of thread %ld  user: '%-.48s'\n"),
 /* ER_IPSOCK_ERROR 08S01  */
-gettext_noop("Can't create IP socket"),
+N_("Can't create IP socket"),
 /* ER_NO_SUCH_INDEX 42S12 S1009 */
-gettext_noop("Table '%-.192s' has no index like the one used in CREATE INDEX; recreate the table"),
+N_("Table '%-.192s' has no index like the one used in CREATE INDEX; recreate the table"),
 /* ER_WRONG_FIELD_TERMINATORS 42000 S1009 */
-gettext_noop("Field separator argument is not what is expected; check the manual"),
+N_("Field separator argument is not what is expected; check the manual"),
 /* ER_BLOBS_AND_NO_TERMINATED 42000 S1009 */
-gettext_noop("You can't use fixed rowlength with BLOBs; please use 'fields terminated by'"),
+N_("You can't use fixed rowlength with BLOBs; please use 'fields terminated by'"),
 /* ER_TEXTFILE_NOT_READABLE   */
-gettext_noop("The file '%-.128s' must be in the database directory or be readable by all"),
+N_("The file '%-.128s' must be in the database directory or be readable by all"),
 /* ER_FILE_EXISTS_ERROR   */
-gettext_noop("File '%-.200s' already exists"),
+N_("File '%-.200s' already exists"),
 /* ER_LOAD_INFO   */
-gettext_noop("Records: %ld  Deleted: %ld  Skipped: %ld  Warnings: %ld"),
+N_("Records: %ld  Deleted: %ld  Skipped: %ld  Warnings: %ld"),
 /* ER_ALTER_INFO   */
-gettext_noop("Records: %ld  Duplicates: %ld"),
+N_("Records: %ld  Duplicates: %ld"),
 /* ER_WRONG_SUB_KEY   */
-gettext_noop("Incorrect prefix key; the used key part isn't a string, the used length is longer than the key part, or the storage engine doesn't support unique prefix keys"),
+N_("Incorrect prefix key; the used key part isn't a string, the used length is longer than the key part, or the storage engine doesn't support unique prefix keys"),
 /* ER_CANT_REMOVE_ALL_FIELDS 42000  */
-gettext_noop("You can't delete all columns with ALTER TABLE; use DROP TABLE instead"),
+N_("You can't delete all columns with ALTER TABLE; use DROP TABLE instead"),
 /* ER_CANT_DROP_FIELD_OR_KEY 42000  */
-gettext_noop("Can't DROP '%-.192s'; check that column/key exists"),
+N_("Can't DROP '%-.192s'; check that column/key exists"),
 /* ER_INSERT_INFO   */
-gettext_noop("Records: %ld  Duplicates: %ld  Warnings: %ld"),
+N_("Records: %ld  Duplicates: %ld  Warnings: %ld"),
 /* ER_UPDATE_TABLE_USED   */
-gettext_noop("You can't specify target table '%-.192s' for update in FROM clause"),
+N_("You can't specify target table '%-.192s' for update in FROM clause"),
 /* ER_NO_SUCH_THREAD   */
-gettext_noop("Unknown thread id: %lu"),
+N_("Unknown thread id: %lu"),
 /* ER_KILL_DENIED_ERROR   */
-gettext_noop("You are not owner of thread %lu"),
+N_("You are not owner of thread %lu"),
 /* ER_NO_TABLES_USED   */
-gettext_noop("No tables used"),
+N_("No tables used"),
 /* ER_TOO_BIG_SET   */
-gettext_noop("Too many strings for column %-.192s and SET"),
+N_("Too many strings for column %-.192s and SET"),
 /* ER_NO_UNIQUE_LOGFILE   */
-gettext_noop("Can't generate a unique log-filename %-.200s.(1-999)\n"),
+N_("Can't generate a unique log-filename %-.200s.(1-999)\n"),
 /* ER_TABLE_NOT_LOCKED_FOR_WRITE   */
-gettext_noop("Table '%-.192s' was locked with a READ lock and can't be updated"),
+N_("Table '%-.192s' was locked with a READ lock and can't be updated"),
 /* ER_TABLE_NOT_LOCKED   */
-gettext_noop("Table '%-.192s' was not locked with LOCK TABLES"),
+N_("Table '%-.192s' was not locked with LOCK TABLES"),
 /* ER_BLOB_CANT_HAVE_DEFAULT 42000  */
-gettext_noop("BLOB/TEXT column '%-.192s' can't have a default value"),
+N_("BLOB/TEXT column '%-.192s' can't have a default value"),
 /* ER_WRONG_DB_NAME 42000  */
-gettext_noop("Incorrect database name '%-.100s'"),
+N_("Incorrect database name '%-.100s'"),
 /* ER_WRONG_TABLE_NAME 42000  */
-gettext_noop("Incorrect table name '%-.100s'"),
+N_("Incorrect table name '%-.100s'"),
 /* ER_TOO_BIG_SELECT 42000  */
-gettext_noop("The SELECT would examine more than MAX_JOIN_SIZE rows; check your WHERE and use SET SQL_BIG_SELECTS=1 or SET SQL_MAX_JOIN_SIZE=# if the SELECT is okay"),
+N_("The SELECT would examine more than MAX_JOIN_SIZE rows; check your WHERE and use SET SQL_BIG_SELECTS=1 or SET SQL_MAX_JOIN_SIZE=# if the SELECT is okay"),
 /* ER_UNKNOWN_ERROR   */
-gettext_noop("Unknown error"),
+N_("Unknown error"),
 /* ER_UNKNOWN_PROCEDURE 42000  */
-gettext_noop("Unknown procedure '%-.192s'"),
+N_("Unknown procedure '%-.192s'"),
 /* ER_WRONG_PARAMCOUNT_TO_PROCEDURE 42000  */
-gettext_noop("Incorrect parameter count to procedure '%-.192s'"),
+N_("Incorrect parameter count to procedure '%-.192s'"),
 /* ER_WRONG_PARAMETERS_TO_PROCEDURE   */
-gettext_noop("Incorrect parameters to procedure '%-.192s'"),
+N_("Incorrect parameters to procedure '%-.192s'"),
 /* ER_UNKNOWN_TABLE 42S02  */
-gettext_noop("Unknown table '%-.192s' in %-.32s"),
+N_("Unknown table '%-.192s' in %-.32s"),
 /* ER_FIELD_SPECIFIED_TWICE 42000  */
-gettext_noop("Column '%-.192s' specified twice"),
+N_("Column '%-.192s' specified twice"),
 /* ER_INVALID_GROUP_FUNC_USE   */
-gettext_noop("Invalid use of group function"),
+N_("Invalid use of group function"),
 /* ER_UNSUPPORTED_EXTENSION 42000  */
-gettext_noop("Table '%-.192s' uses an extension that doesn't exist in this MySQL version"),
+N_("Table '%-.192s' uses an extension that doesn't exist in this MySQL version"),
 /* ER_TABLE_MUST_HAVE_COLUMNS 42000  */
-gettext_noop("A table must have at least 1 column"),
+N_("A table must have at least 1 column"),
 /* ER_RECORD_FILE_FULL   */
-gettext_noop("The table '%-.192s' is full"),
+N_("The table '%-.192s' is full"),
 /* ER_UNKNOWN_CHARACTER_SET 42000  */
-gettext_noop("Unknown character set: '%-.64s'"),
+N_("Unknown character set: '%-.64s'"),
 /* ER_TOO_MANY_TABLES   */
-gettext_noop("Too many tables; MySQL can only use %d tables in a join"),
+N_("Too many tables; MySQL can only use %d tables in a join"),
 /* ER_TOO_MANY_FIELDS   */
-gettext_noop("Too many columns"),
+N_("Too many columns"),
 /* ER_TOO_BIG_ROWSIZE 42000  */
-gettext_noop("Row size too large. The maximum row size for the used table type, not counting BLOBs, is %ld. You have to change some columns to TEXT or BLOBs"),
+N_("Row size too large. The maximum row size for the used table type, not counting BLOBs, is %ld. You have to change some columns to TEXT or BLOBs"),
 /* ER_STACK_OVERRUN   */
-gettext_noop("Thread stack overrun:  Used: %ld of a %ld stack.  Use 'mysqld -O thread_stack=#' to specify a bigger stack if needed"),
+N_("Thread stack overrun:  Used: %ld of a %ld stack.  Use 'mysqld -O thread_stack=#' to specify a bigger stack if needed"),
 /* ER_WRONG_OUTER_JOIN 42000  */
-gettext_noop("Cross dependency found in OUTER JOIN; examine your ON conditions"),
+N_("Cross dependency found in OUTER JOIN; examine your ON conditions"),
 /* ER_NULL_COLUMN_IN_INDEX 42000  */
-gettext_noop("Table handler doesn't support NULL in given index. Please change column '%-.192s' to be NOT NULL or use another handler"),
+N_("Table handler doesn't support NULL in given index. Please change column '%-.192s' to be NOT NULL or use another handler"),
 /* ER_CANT_FIND_UDF   */
-gettext_noop("Can't load function '%-.192s'"),
+N_("Can't load function '%-.192s'"),
 /* ER_CANT_INITIALIZE_UDF   */
-gettext_noop("Can't initialize function '%-.192s'; %-.80s"),
+N_("Can't initialize function '%-.192s'; %-.80s"),
 /* ER_UDF_NO_PATHS   */
-gettext_noop("No paths allowed for shared library"),
+N_("No paths allowed for shared library"),
 /* ER_UDF_EXISTS   */
-gettext_noop("Function '%-.192s' already exists"),
+N_("Function '%-.192s' already exists"),
 /* ER_CANT_OPEN_LIBRARY   */
-gettext_noop("Can't open shared library '%-.192s' (errno: %d %-.128s)"),
+N_("Can't open shared library '%-.192s' (errno: %d %-.128s)"),
 /* ER_CANT_FIND_DL_ENTRY */
-gettext_noop("Can't find symbol '%-.128s' in library"),
+N_("Can't find symbol '%-.128s' in library"),
 /* ER_FUNCTION_NOT_DEFINED   */
-gettext_noop("Function '%-.192s' is not defined"),
+N_("Function '%-.192s' is not defined"),
 /* ER_HOST_IS_BLOCKED   */
-gettext_noop("Host '%-.64s' is blocked because of many connection errors; unblock with 'mysqladmin flush-hosts'"),
+N_("Host '%-.64s' is blocked because of many connection errors; unblock with 'mysqladmin flush-hosts'"),
 /* ER_HOST_NOT_PRIVILEGED   */
-gettext_noop("Host '%-.64s' is not allowed to connect to this MySQL server"),
+N_("Host '%-.64s' is not allowed to connect to this MySQL server"),
 /* ER_PASSWORD_ANONYMOUS_USER 42000  */
-gettext_noop("You are using MySQL as an anonymous user and anonymous users are not allowed to change passwords"),
+N_("You are using MySQL as an anonymous user and anonymous users are not allowed to change passwords"),
 /* ER_PASSWORD_NOT_ALLOWED 42000  */
-gettext_noop("You must have privileges to update tables in the mysql database to be able to change passwords for others"),
+N_("You must have privileges to update tables in the mysql database to be able to change passwords for others"),
 /* ER_PASSWORD_NO_MATCH 42000  */
-gettext_noop("Can't find any matching row in the user table"),
+N_("Can't find any matching row in the user table"),
 /* ER_UPDATE_INFO   */
-gettext_noop("Rows matched: %ld  Changed: %ld  Warnings: %ld"),
+N_("Rows matched: %ld  Changed: %ld  Warnings: %ld"),
 /* ER_CANT_CREATE_THREAD   */
-gettext_noop("Can't create a new thread (errno %d); if you are not out of available memory, you can consult the manual for a possible OS-dependent bug"),
+N_("Can't create a new thread (errno %d); if you are not out of available memory, you can consult the manual for a possible OS-dependent bug"),
 /* ER_WRONG_VALUE_COUNT_ON_ROW 21S01  */
-gettext_noop("Column count doesn't match value count at row %ld"),
+N_("Column count doesn't match value count at row %ld"),
 /* ER_CANT_REOPEN_TABLE   */
-gettext_noop("Can't reopen table: '%-.192s'"),
+N_("Can't reopen table: '%-.192s'"),
 /* ER_INVALID_USE_OF_NULL 22004  */
-gettext_noop("Invalid use of NULL value"),
+N_("Invalid use of NULL value"),
 /* ER_REGEXP_ERROR 42000  */
-gettext_noop("Got error '%-.64s' from regexp"),
+N_("Got error '%-.64s' from regexp"),
 /* ER_MIX_OF_GROUP_FUNC_AND_FIELDS 42000  */
-gettext_noop("Mixing of GROUP columns (MIN(),MAX(),COUNT(),...) with no GROUP columns is illegal if there is no GROUP BY clause"),
+N_("Mixing of GROUP columns (MIN(),MAX(),COUNT(),...) with no GROUP columns is illegal if there is no GROUP BY clause"),
 /* ER_NONEXISTING_GRANT 42000  */
-gettext_noop("There is no such grant defined for user '%-.48s' on host '%-.64s'"),
+N_("There is no such grant defined for user '%-.48s' on host '%-.64s'"),
 /* ER_TABLEACCESS_DENIED_ERROR 42000  */
-gettext_noop("%-.16s command denied to user '%-.48s'@'%-.64s' for table '%-.192s'"),
+N_("%-.16s command denied to user '%-.48s'@'%-.64s' for table '%-.192s'"),
 /* ER_COLUMNACCESS_DENIED_ERROR 42000  */
-gettext_noop("%-.16s command denied to user '%-.48s'@'%-.64s' for column '%-.192s' in table '%-.192s'"),
+N_("%-.16s command denied to user '%-.48s'@'%-.64s' for column '%-.192s' in table '%-.192s'"),
 /* ER_ILLEGAL_GRANT_FOR_TABLE 42000  */
-gettext_noop("Illegal GRANT/REVOKE command; please consult the manual to see which privileges can be used"),
+N_("Illegal GRANT/REVOKE command; please consult the manual to see which privileges can be used"),
 /* ER_GRANT_WRONG_HOST_OR_USER 42000  */
-gettext_noop("The host or user argument to GRANT is too long"),
+N_("The host or user argument to GRANT is too long"),
 /* ER_NO_SUCH_TABLE 42S02  */
-gettext_noop("Table '%-.192s.%-.192s' doesn't exist"),
+N_("Table '%-.192s.%-.192s' doesn't exist"),
 /* ER_NONEXISTING_TABLE_GRANT 42000  */
-gettext_noop("There is no such grant defined for user '%-.48s' on host '%-.64s' on table '%-.192s'"),
+N_("There is no such grant defined for user '%-.48s' on host '%-.64s' on table '%-.192s'"),
 /* ER_NOT_ALLOWED_COMMAND 42000  */
-gettext_noop("The used command is not allowed with this MySQL version"),
+N_("The used command is not allowed with this MySQL version"),
 /* ER_SYNTAX_ERROR 42000  */
-gettext_noop("You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use"),
+N_("You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use"),
 /* ER_DELAYED_CANT_CHANGE_LOCK   */
-gettext_noop("Delayed insert thread couldn't get requested lock for table %-.192s"),
+N_("Delayed insert thread couldn't get requested lock for table %-.192s"),
 /* ER_TOO_MANY_DELAYED_THREADS   */
-gettext_noop("Too many delayed threads in use"),
+N_("Too many delayed threads in use"),
 /* ER_ABORTING_CONNECTION 08S01  */
-gettext_noop("Aborted connection %ld to db: '%-.192s' user: '%-.48s' (%-.64s)"),
+N_("Aborted connection %ld to db: '%-.192s' user: '%-.48s' (%-.64s)"),
 /* ER_NET_PACKET_TOO_LARGE 08S01  */
-gettext_noop("Got a packet bigger than 'max_allowed_packet' bytes"),
+N_("Got a packet bigger than 'max_allowed_packet' bytes"),
 /* ER_NET_READ_ERROR_FROM_PIPE 08S01  */
-gettext_noop("Got a read error from the connection pipe"),
+N_("Got a read error from the connection pipe"),
 /* ER_NET_FCNTL_ERROR 08S01  */
-gettext_noop("Got an error from fcntl()"),
+N_("Got an error from fcntl()"),
 /* ER_NET_PACKETS_OUT_OF_ORDER 08S01  */
-gettext_noop("Got packets out of order"),
+N_("Got packets out of order"),
 /* ER_NET_UNCOMPRESS_ERROR 08S01  */
-gettext_noop("Couldn't uncompress communication packet"),
+N_("Couldn't uncompress communication packet"),
 /* ER_NET_READ_ERROR 08S01  */
-gettext_noop("Got an error reading communication packets"),
+N_("Got an error reading communication packets"),
 /* ER_NET_READ_INTERRUPTED 08S01  */
-gettext_noop("Got timeout reading communication packets"),
+N_("Got timeout reading communication packets"),
 /* ER_NET_ERROR_ON_WRITE 08S01  */
-gettext_noop("Got an error writing communication packets"),
+N_("Got an error writing communication packets"),
 /* ER_NET_WRITE_INTERRUPTED 08S01  */
-gettext_noop("Got timeout writing communication packets"),
+N_("Got timeout writing communication packets"),
 /* ER_TOO_LONG_STRING 42000  */
-gettext_noop("Result string is longer than 'max_allowed_packet' bytes"),
+N_("Result string is longer than 'max_allowed_packet' bytes"),
 /* ER_TABLE_CANT_HANDLE_BLOB 42000  */
-gettext_noop("The used table type doesn't support BLOB/TEXT columns"),
+N_("The used table type doesn't support BLOB/TEXT columns"),
 /* ER_TABLE_CANT_HANDLE_AUTO_INCREMENT 42000  */
-gettext_noop("The used table type doesn't support AUTO_INCREMENT columns"),
+N_("The used table type doesn't support AUTO_INCREMENT columns"),
 /* ER_DELAYED_INSERT_TABLE_LOCKED   */
-gettext_noop("INSERT DELAYED can't be used with table '%-.192s' because it is locked with LOCK TABLES"),
+N_("INSERT DELAYED can't be used with table '%-.192s' because it is locked with LOCK TABLES"),
 /* ER_WRONG_COLUMN_NAME 42000  */
-gettext_noop("Incorrect column name '%-.100s'"),
+N_("Incorrect column name '%-.100s'"),
 /* ER_WRONG_KEY_COLUMN 42000  */
-gettext_noop("The used storage engine can't index column '%-.192s'"),
+N_("The used storage engine can't index column '%-.192s'"),
 /* ER_WRONG_MRG_TABLE   */
-gettext_noop("Unable to open underlying table which is differently defined or of non-MyISAM type or doesn't exist"),
+N_("Unable to open underlying table which is differently defined or of non-MyISAM type or doesn't exist"),
 /* ER_DUP_UNIQUE 23000  */
-gettext_noop("Can't write, because of unique constraint, to table '%-.192s'"),
+N_("Can't write, because of unique constraint, to table '%-.192s'"),
 /* ER_BLOB_KEY_WITHOUT_LENGTH 42000  */
-gettext_noop("BLOB/TEXT column '%-.192s' used in key specification without a key length"),
+N_("BLOB/TEXT column '%-.192s' used in key specification without a key length"),
 /* ER_PRIMARY_CANT_HAVE_NULL 42000  */
-gettext_noop("All parts of a PRIMARY KEY must be NOT NULL; if you need NULL in a key, use UNIQUE instead"),
+N_("All parts of a PRIMARY KEY must be NOT NULL; if you need NULL in a key, use UNIQUE instead"),
 /* ER_TOO_MANY_ROWS 42000  */
-gettext_noop("Result consisted of more than one row"),
+N_("Result consisted of more than one row"),
 /* ER_REQUIRES_PRIMARY_KEY 42000  */
-gettext_noop("This table type requires a primary key"),
+N_("This table type requires a primary key"),
 /* ER_NO_RAID_COMPILED   */
-gettext_noop("This version of MySQL is not compiled with RAID support"),
+N_("This version of MySQL is not compiled with RAID support"),
 /* ER_UPDATE_WITHOUT_KEY_IN_SAFE_MODE   */
-gettext_noop("You are using safe update mode and you tried to update a table without a WHERE that uses a KEY column"),
+N_("You are using safe update mode and you tried to update a table without a WHERE that uses a KEY column"),
 /* ER_KEY_DOES_NOT_EXITS 42000 S1009 */
-gettext_noop("Key '%-.192s' doesn't exist in table '%-.192s'"),
+N_("Key '%-.192s' doesn't exist in table '%-.192s'"),
 /* ER_CHECK_NO_SUCH_TABLE 42000  */
-gettext_noop("Can't open table"),
+N_("Can't open table"),
 /* ER_CHECK_NOT_IMPLEMENTED 42000  */
-gettext_noop("The storage engine for the table doesn't support %s"),
+N_("The storage engine for the table doesn't support %s"),
 /* ER_CANT_DO_THIS_DURING_AN_TRANSACTION 25000  */
-gettext_noop("You are not allowed to execute this command in a transaction"),
+N_("You are not allowed to execute this command in a transaction"),
 /* ER_ERROR_DURING_COMMIT   */
-gettext_noop("Got error %d during COMMIT"),
+N_("Got error %d during COMMIT"),
 /* ER_ERROR_DURING_ROLLBACK   */
-gettext_noop("Got error %d during ROLLBACK"),
+N_("Got error %d during ROLLBACK"),
 /* ER_ERROR_DURING_FLUSH_LOGS   */
-gettext_noop("Got error %d during FLUSH_LOGS"),
+N_("Got error %d during FLUSH_LOGS"),
 /* ER_ERROR_DURING_CHECKPOINT   */
-gettext_noop("Got error %d during CHECKPOINT"),
+N_("Got error %d during CHECKPOINT"),
 /* ER_NEW_ABORTING_CONNECTION 08S01  */
-gettext_noop("Aborted connection %ld to db: '%-.192s' user: '%-.48s' host: '%-.64s' (%-.64s)"),
+N_("Aborted connection %ld to db: '%-.192s' user: '%-.48s' host: '%-.64s' (%-.64s)"),
 /* ER_DUMP_NOT_IMPLEMENTED   */
-gettext_noop("The storage engine for the table does not support binary table dump"),
+N_("The storage engine for the table does not support binary table dump"),
 /* ER_FLUSH_MASTER_BINLOG_CLOSED   */
-gettext_noop("Binlog closed, cannot RESET MASTER"),
+N_("Binlog closed, cannot RESET MASTER"),
 /* ER_INDEX_REBUILD   */
-gettext_noop("Failed rebuilding the index of  dumped table '%-.192s'"),
+N_("Failed rebuilding the index of  dumped table '%-.192s'"),
 /* ER_MASTER   */
-gettext_noop("Error from master: '%-.64s'"),
+N_("Error from master: '%-.64s'"),
 /* ER_MASTER_NET_READ 08S01  */
-gettext_noop("Net error reading from master"),
+N_("Net error reading from master"),
 /* ER_MASTER_NET_WRITE 08S01  */
-gettext_noop("Net error writing to master"),
+N_("Net error writing to master"),
 /* ER_FT_MATCHING_KEY_NOT_FOUND   */
-gettext_noop("Can't find FULLTEXT index matching the column list"),
+N_("Can't find FULLTEXT index matching the column list"),
 /* ER_LOCK_OR_ACTIVE_TRANSACTION   */
-gettext_noop("Can't execute the given command because you have active locked tables or an active transaction"),
+N_("Can't execute the given command because you have active locked tables or an active transaction"),
 /* ER_UNKNOWN_SYSTEM_VARIABLE   */
-gettext_noop("Unknown system variable '%-.64s'"),
+N_("Unknown system variable '%-.64s'"),
 /* ER_CRASHED_ON_USAGE   */
-gettext_noop("Table '%-.192s' is marked as crashed and should be repaired"),
+N_("Table '%-.192s' is marked as crashed and should be repaired"),
 /* ER_CRASHED_ON_REPAIR   */
-gettext_noop("Table '%-.192s' is marked as crashed and last (automatic?) repair failed"),
+N_("Table '%-.192s' is marked as crashed and last (automatic?) repair failed"),
 /* ER_WARNING_NOT_COMPLETE_ROLLBACK   */
-gettext_noop("Some non-transactional changed tables couldn't be rolled back"),
+N_("Some non-transactional changed tables couldn't be rolled back"),
 /* ER_TRANS_CACHE_FULL   */
-gettext_noop("Multi-statement transaction required more than 'max_binlog_cache_size' bytes of storage; increase this mysqld variable and try again"),
+N_("Multi-statement transaction required more than 'max_binlog_cache_size' bytes of storage; increase this mysqld variable and try again"),
 /* ER_SLAVE_MUST_STOP   */
-gettext_noop("This operation cannot be performed with a running slave; run STOP SLAVE first"),
+N_("This operation cannot be performed with a running slave; run STOP SLAVE first"),
 /* ER_SLAVE_NOT_RUNNING   */
-gettext_noop("This operation requires a running slave; configure slave and do START SLAVE"),
+N_("This operation requires a running slave; configure slave and do START SLAVE"),
 /* ER_BAD_SLAVE   */
-gettext_noop("The server is not configured as slave; fix with CHANGE MASTER TO"),
+N_("The server is not configured as slave; fix with CHANGE MASTER TO"),
 /* ER_MASTER_INFO   */
-gettext_noop("Could not initialize master info structure; more error messages can be found in the MySQL error log"),
+N_("Could not initialize master info structure; more error messages can be found in the MySQL error log"),
 /* ER_SLAVE_THREAD   */
-gettext_noop("Could not create slave thread; check system resources"),
+N_("Could not create slave thread; check system resources"),
 /* ER_TOO_MANY_USER_CONNECTIONS 42000  */
-gettext_noop("User %-.64s already has more than 'max_user_connections' active connections"),
+N_("User %-.64s already has more than 'max_user_connections' active connections"),
 /* ER_SET_CONSTANTS_ONLY   */
-gettext_noop("You may only use constant expressions with SET"),
+N_("You may only use constant expressions with SET"),
 /* ER_LOCK_WAIT_TIMEOUT   */
-gettext_noop("Lock wait timeout exceeded; try restarting transaction"),
+N_("Lock wait timeout exceeded; try restarting transaction"),
 /* ER_LOCK_TABLE_FULL   */
-gettext_noop("The total number of locks exceeds the lock table size"),
+N_("The total number of locks exceeds the lock table size"),
 /* ER_READ_ONLY_TRANSACTION 25000  */
-gettext_noop("Update locks cannot be acquired during a READ UNCOMMITTED transaction"),
+N_("Update locks cannot be acquired during a READ UNCOMMITTED transaction"),
 /* ER_DROP_DB_WITH_READ_LOCK   */
-gettext_noop("DROP DATABASE not allowed while thread is holding global read lock"),
+N_("DROP DATABASE not allowed while thread is holding global read lock"),
 /* ER_CREATE_DB_WITH_READ_LOCK   */
-gettext_noop("CREATE DATABASE not allowed while thread is holding global read lock"),
+N_("CREATE DATABASE not allowed while thread is holding global read lock"),
 /* ER_WRONG_ARGUMENTS   */
-gettext_noop("Incorrect arguments to %s"),
+N_("Incorrect arguments to %s"),
 /* ER_NO_PERMISSION_TO_CREATE_USER 42000  */
-gettext_noop("'%-.48s'@'%-.64s' is not allowed to create new users"),
+N_("'%-.48s'@'%-.64s' is not allowed to create new users"),
 /* ER_UNION_TABLES_IN_DIFFERENT_DIR   */
-gettext_noop("Incorrect table definition; all MERGE tables must be in the same database"),
+N_("Incorrect table definition; all MERGE tables must be in the same database"),
 /* ER_LOCK_DEADLOCK 40001  */
-gettext_noop("Deadlock found when trying to get lock; try restarting transaction"),
+N_("Deadlock found when trying to get lock; try restarting transaction"),
 /* ER_TABLE_CANT_HANDLE_FT   */
-gettext_noop("The used table type doesn't support FULLTEXT indexes"),
+N_("The used table type doesn't support FULLTEXT indexes"),
 /* ER_CANNOT_ADD_FOREIGN   */
-gettext_noop("Cannot add foreign key constraint"),
+N_("Cannot add foreign key constraint"),
 /* ER_NO_REFERENCED_ROW 23000  */
-gettext_noop("Cannot add or update a child row: a foreign key constraint fails"),
+N_("Cannot add or update a child row: a foreign key constraint fails"),
 /* ER_ROW_IS_REFERENCED 23000  */
-gettext_noop("Cannot delete or update a parent row: a foreign key constraint fails"),
+N_("Cannot delete or update a parent row: a foreign key constraint fails"),
 /* ER_CONNECT_TO_MASTER 08S01  */
-gettext_noop("Error connecting to master: %-.128s"),
+N_("Error connecting to master: %-.128s"),
 /* ER_QUERY_ON_MASTER   */
-gettext_noop("Error running query on master: %-.128s"),
+N_("Error running query on master: %-.128s"),
 /* ER_ERROR_WHEN_EXECUTING_COMMAND   */
-gettext_noop("Error when executing command %s: %-.128s"),
+N_("Error when executing command %s: %-.128s"),
 /* ER_WRONG_USAGE   */
-gettext_noop("Incorrect usage of %s and %s"),
+N_("Incorrect usage of %s and %s"),
 /* ER_WRONG_NUMBER_OF_COLUMNS_IN_SELECT 21000  */
-gettext_noop("The used SELECT statements have a different number of columns"),
+N_("The used SELECT statements have a different number of columns"),
 /* ER_CANT_UPDATE_WITH_READLOCK   */
-gettext_noop("Can't execute the query because you have a conflicting read lock"),
+N_("Can't execute the query because you have a conflicting read lock"),
 /* ER_MIXING_NOT_ALLOWED   */
-gettext_noop("Mixing of transactional and non-transactional tables is disabled"),
+N_("Mixing of transactional and non-transactional tables is disabled"),
 /* ER_DUP_ARGUMENT   */
-gettext_noop("Option '%s' used twice in statement"),
+N_("Option '%s' used twice in statement"),
 /* ER_USER_LIMIT_REACHED 42000  */
-gettext_noop("User '%-.64s' has exceeded the '%s' resource (current value: %ld)"),
+N_("User '%-.64s' has exceeded the '%s' resource (current value: %ld)"),
 /* ER_SPECIFIC_ACCESS_DENIED_ERROR 42000  */
-gettext_noop("Access denied; you need the %-.128s privilege for this operation"),
+N_("Access denied; you need the %-.128s privilege for this operation"),
 /* ER_LOCAL_VARIABLE   */
-gettext_noop("Variable '%-.64s' is a SESSION variable and can't be used with SET GLOBAL"),
+N_("Variable '%-.64s' is a SESSION variable and can't be used with SET GLOBAL"),
 /* ER_GLOBAL_VARIABLE   */
-gettext_noop("Variable '%-.64s' is a GLOBAL variable and should be set with SET GLOBAL"),
+N_("Variable '%-.64s' is a GLOBAL variable and should be set with SET GLOBAL"),
 /* ER_NO_DEFAULT 42000  */
-gettext_noop("Variable '%-.64s' doesn't have a default value"),
+N_("Variable '%-.64s' doesn't have a default value"),
 /* ER_WRONG_VALUE_FOR_VAR 42000  */
-gettext_noop("Variable '%-.64s' can't be set to the value of '%-.200s'"),
+N_("Variable '%-.64s' can't be set to the value of '%-.200s'"),
 /* ER_WRONG_TYPE_FOR_VAR 42000  */
-gettext_noop("Incorrect argument type to variable '%-.64s'"),
+N_("Incorrect argument type to variable '%-.64s'"),
 /* ER_VAR_CANT_BE_READ   */
-gettext_noop("Variable '%-.64s' can only be set, not read"),
+N_("Variable '%-.64s' can only be set, not read"),
 /* ER_CANT_USE_OPTION_HERE 42000  */
-gettext_noop("Incorrect usage/placement of '%s'"),
+N_("Incorrect usage/placement of '%s'"),
 /* ER_NOT_SUPPORTED_YET 42000  */
-gettext_noop("This version of MySQL doesn't yet support '%s'"),
+N_("This version of MySQL doesn't yet support '%s'"),
 /* ER_MASTER_FATAL_ERROR_READING_BINLOG   */
-gettext_noop("Got fatal error %d: '%-.128s' from master when reading data from binary log"),
+N_("Got fatal error %d: '%-.128s' from master when reading data from binary log"),
 /* ER_SLAVE_IGNORED_TABLE   */
-gettext_noop("Slave SQL thread ignored the query because of replicate-*-table rules"),
+N_("Slave SQL thread ignored the query because of replicate-*-table rules"),
 /* ER_INCORRECT_GLOBAL_LOCAL_VAR   */
-gettext_noop("Variable '%-.192s' is a %s variable"),
+N_("Variable '%-.192s' is a %s variable"),
 /* ER_WRONG_FK_DEF 42000  */
-gettext_noop("Incorrect foreign key definition for '%-.192s': %s"),
+N_("Incorrect foreign key definition for '%-.192s': %s"),
 /* ER_KEY_REF_DO_NOT_MATCH_TABLE_REF   */
-gettext_noop("Key reference and table reference don't match"),
+N_("Key reference and table reference don't match"),
 /* ER_OPERAND_COLUMNS 21000  */
-gettext_noop("Operand should contain %d column(s)"),
+N_("Operand should contain %d column(s)"),
 /* ER_SUBQUERY_NO_1_ROW 21000  */
-gettext_noop("Subquery returns more than 1 row"),
+N_("Subquery returns more than 1 row"),
 /* ER_UNKNOWN_STMT_HANDLER   */
-gettext_noop("Unknown prepared statement handler (%.*s) given to %s"),
+N_("Unknown prepared statement handler (%.*s) given to %s"),
 /* ER_CORRUPT_HELP_DB   */
-gettext_noop("Help database is corrupt or does not exist"),
+N_("Help database is corrupt or does not exist"),
 /* ER_CYCLIC_REFERENCE   */
-gettext_noop("Cyclic reference on subqueries"),
+N_("Cyclic reference on subqueries"),
 /* ER_AUTO_CONVERT   */
-gettext_noop("Converting column '%s' from %s to %s"),
+N_("Converting column '%s' from %s to %s"),
 /* ER_ILLEGAL_REFERENCE 42S22  */
-gettext_noop("Reference '%-.64s' not supported (%s)"),
+N_("Reference '%-.64s' not supported (%s)"),
 /* ER_DERIVED_MUST_HAVE_ALIAS 42000  */
-gettext_noop("Every derived table must have its own alias"),
+N_("Every derived table must have its own alias"),
 /* ER_SELECT_REDUCED 01000  */
-gettext_noop("Select %u was reduced during optimization"),
+N_("Select %u was reduced during optimization"),
 /* ER_TABLENAME_NOT_ALLOWED_HERE 42000  */
-gettext_noop("Table '%-.192s' from one of the SELECTs cannot be used in %-.32s"),
+N_("Table '%-.192s' from one of the SELECTs cannot be used in %-.32s"),
 /* ER_NOT_SUPPORTED_AUTH_MODE 08004  */
-gettext_noop("Client does not support authentication protocol requested by server; consider upgrading MySQL client"),
+N_("Client does not support authentication protocol requested by server; consider upgrading MySQL client"),
 /* ER_SPATIAL_CANT_HAVE_NULL 42000  */
-gettext_noop("All parts of a SPATIAL index must be NOT NULL"),
+N_("All parts of a SPATIAL index must be NOT NULL"),
 /* ER_COLLATION_CHARSET_MISMATCH 42000  */
-gettext_noop("COLLATION '%s' is not valid for CHARACTER SET '%s'"),
+N_("COLLATION '%s' is not valid for CHARACTER SET '%s'"),
 /* ER_SLAVE_WAS_RUNNING   */
-gettext_noop("Slave is already running"),
+N_("Slave is already running"),
 /* ER_SLAVE_WAS_NOT_RUNNING   */
-gettext_noop("Slave already has been stopped"),
+N_("Slave already has been stopped"),
 /* ER_TOO_BIG_FOR_UNCOMPRESS   */
-gettext_noop("Uncompressed data size too large; the maximum size is %d (probably, length of uncompressed data was corrupted)"),
+N_("Uncompressed data size too large; the maximum size is %d (probably, length of uncompressed data was corrupted)"),
 /* ER_ZLIB_Z_MEM_ERROR   */
-gettext_noop("ZLIB: Not enough memory"),
+N_("ZLIB: Not enough memory"),
 /* ER_ZLIB_Z_BUF_ERROR   */
-gettext_noop("ZLIB: Not enough room in the output buffer (probably, length of uncompressed data was corrupted)"),
+N_("ZLIB: Not enough room in the output buffer (probably, length of uncompressed data was corrupted)"),
 /* ER_ZLIB_Z_DATA_ERROR   */
-gettext_noop("ZLIB: Input data corrupted"),
+N_("ZLIB: Input data corrupted"),
 /* ER_CUT_VALUE_GROUP_CONCAT   */
-gettext_noop("%d line(s) were cut by GROUP_CONCAT()"),
+N_("%d line(s) were cut by GROUP_CONCAT()"),
 /* ER_WARN_TOO_FEW_RECORDS 01000  */
-gettext_noop("Row %ld doesn't contain data for all columns"),
+N_("Row %ld doesn't contain data for all columns"),
 /* ER_WARN_TOO_MANY_RECORDS 01000  */
-gettext_noop("Row %ld was truncated; it contained more data than there were input columns"),
+N_("Row %ld was truncated; it contained more data than there were input columns"),
 /* ER_WARN_NULL_TO_NOTNULL 22004  */
-gettext_noop("Column set to default value; NULL supplied to NOT NULL column '%s' at row %ld"),
+N_("Column set to default value; NULL supplied to NOT NULL column '%s' at row %ld"),
 /* ER_WARN_DATA_OUT_OF_RANGE 22003  */
-gettext_noop("Out of range value for column '%s' at row %ld"),
+N_("Out of range value for column '%s' at row %ld"),
 /* WARN_DATA_TRUNCATED 01000  */
-gettext_noop("Data truncated for column '%s' at row %ld"),
+N_("Data truncated for column '%s' at row %ld"),
 /* ER_WARN_USING_OTHER_HANDLER   */
-gettext_noop("Using storage engine %s for table '%s'"),
+N_("Using storage engine %s for table '%s'"),
 /* ER_CANT_AGGREGATE_2COLLATIONS   */
-gettext_noop("Illegal mix of collations (%s,%s) and (%s,%s) for operation '%s'"),
+N_("Illegal mix of collations (%s,%s) and (%s,%s) for operation '%s'"),
 /* ER_DROP_USER   */
-gettext_noop("Cannot drop one or more of the requested users"),
+N_("Cannot drop one or more of the requested users"),
 /* ER_REVOKE_GRANTS   */
-gettext_noop("Can't revoke all privileges for one or more of the requested users"),
+N_("Can't revoke all privileges for one or more of the requested users"),
 /* ER_CANT_AGGREGATE_3COLLATIONS   */
-gettext_noop("Illegal mix of collations (%s,%s), (%s,%s), (%s,%s) for operation '%s'"),
+N_("Illegal mix of collations (%s,%s), (%s,%s), (%s,%s) for operation '%s'"),
 /* ER_CANT_AGGREGATE_NCOLLATIONS   */
-gettext_noop("Illegal mix of collations for operation '%s'"),
+N_("Illegal mix of collations for operation '%s'"),
 /* ER_VARIABLE_IS_NOT_STRUCT   */
-gettext_noop("Variable '%-.64s' is not a variable component (can't be used as XXXX.variable_name)"),
+N_("Variable '%-.64s' is not a variable component (can't be used as XXXX.variable_name)"),
 /* ER_UNKNOWN_COLLATION   */
-gettext_noop("Unknown collation: '%-.64s'"),
+N_("Unknown collation: '%-.64s'"),
 /* ER_SLAVE_IGNORED_SSL_PARAMS   */
-gettext_noop("SSL parameters in CHANGE MASTER are ignored because this MySQL slave was compiled without SSL support; they can be used later if MySQL slave with SSL is started"),
+N_("SSL parameters in CHANGE MASTER are ignored because this MySQL slave was compiled without SSL support; they can be used later if MySQL slave with SSL is started"),
 /* ER_SERVER_IS_IN_SECURE_AUTH_MODE   */
-gettext_noop("Server is running in --secure-auth mode, but '%s'@'%s' has a password in the old format; please change the password to the new format"),
+N_("Server is running in --secure-auth mode, but '%s'@'%s' has a password in the old format; please change the password to the new format"),
 /* ER_WARN_FIELD_RESOLVED   */
-gettext_noop("Field or reference '%-.192s%s%-.192s%s%-.192s' of SELECT #%d was resolved in SELECT #%d"),
+N_("Field or reference '%-.192s%s%-.192s%s%-.192s' of SELECT #%d was resolved in SELECT #%d"),
 /* ER_BAD_SLAVE_UNTIL_COND   */
-gettext_noop("Incorrect parameter or combination of parameters for START SLAVE UNTIL"),
+N_("Incorrect parameter or combination of parameters for START SLAVE UNTIL"),
 /* ER_MISSING_SKIP_SLAVE   */
-gettext_noop("It is recommended to use --skip-slave-start when doing step-by-step replication with START SLAVE UNTIL; otherwise, you will get problems if you get an unexpected slave's mysqld restart"),
+N_("It is recommended to use --skip-slave-start when doing step-by-step replication with START SLAVE UNTIL; otherwise, you will get problems if you get an unexpected slave's mysqld restart"),
 /* ER_UNTIL_COND_IGNORED   */
-gettext_noop("SQL thread is not to be started so UNTIL options are ignored"),
+N_("SQL thread is not to be started so UNTIL options are ignored"),
 /* ER_WRONG_NAME_FOR_INDEX 42000  */
-gettext_noop("Incorrect index name '%-.100s'"),
+N_("Incorrect index name '%-.100s'"),
 /* ER_WRONG_NAME_FOR_CATALOG 42000  */
-gettext_noop("Incorrect catalog name '%-.100s'"),
+N_("Incorrect catalog name '%-.100s'"),
 /* ER_WARN_QC_RESIZE   */
-gettext_noop("Query cache failed to set size %lu; new query cache size is %lu"),
+N_("Query cache failed to set size %lu; new query cache size is %lu"),
 /* ER_BAD_FT_COLUMN   */
-gettext_noop("Column '%-.192s' cannot be part of FULLTEXT index"),
+N_("Column '%-.192s' cannot be part of FULLTEXT index"),
 /* ER_UNKNOWN_KEY_CACHE   */
-gettext_noop("Unknown key cache '%-.100s'"),
+N_("Unknown key cache '%-.100s'"),
 /* ER_WARN_HOSTNAME_WONT_WORK   */
-gettext_noop("MySQL is started in --skip-name-resolve mode; you must restart it without this switch for this grant to work"),
+N_("MySQL is started in --skip-name-resolve mode; you must restart it without this switch for this grant to work"),
 /* ER_UNKNOWN_STORAGE_ENGINE 42000  */
-gettext_noop("Unknown table engine '%s'"),
+N_("Unknown table engine '%s'"),
 /* ER_WARN_DEPRECATED_SYNTAX   */
-gettext_noop("'%s' is deprecated; use '%s' instead"),
+N_("'%s' is deprecated; use '%s' instead"),
 /* ER_NON_UPDATABLE_TABLE   */
-gettext_noop("The target table %-.100s of the %s is not updatable"),
+N_("The target table %-.100s of the %s is not updatable"),
 /* ER_FEATURE_DISABLED   */
-gettext_noop("The '%s' feature is disabled; you need MySQL built with '%s' to have it working"),
+N_("The '%s' feature is disabled; you need MySQL built with '%s' to have it working"),
 /* ER_OPTION_PREVENTS_STATEMENT   */
-gettext_noop("The MySQL server is running with the %s option so it cannot execute this statement"),
+N_("The MySQL server is running with the %s option so it cannot execute this statement"),
 /* ER_DUPLICATED_VALUE_IN_TYPE   */
-gettext_noop("Column '%-.100s' has duplicated value '%-.64s' in %s"),
+N_("Column '%-.100s' has duplicated value '%-.64s' in %s"),
 /* ER_TRUNCATED_WRONG_VALUE 22007  */
-gettext_noop("Truncated incorrect %-.32s value: '%-.128s'"),
+N_("Truncated incorrect %-.32s value: '%-.128s'"),
 /* ER_TOO_MUCH_AUTO_TIMESTAMP_COLS   */
-gettext_noop("Incorrect table definition; there can be only one TIMESTAMP column with CURRENT_TIMESTAMP in DEFAULT or ON UPDATE clause"),
+N_("Incorrect table definition; there can be only one TIMESTAMP column with CURRENT_TIMESTAMP in DEFAULT or ON UPDATE clause"),
 /* ER_INVALID_ON_UPDATE   */
-gettext_noop("Invalid ON UPDATE clause for '%-.192s' column"),
+N_("Invalid ON UPDATE clause for '%-.192s' column"),
 /* ER_UNSUPPORTED_PS   */
-gettext_noop("This command is not supported in the prepared statement protocol yet"),
+N_("This command is not supported in the prepared statement protocol yet"),
 /* ER_GET_ERRMSG   */
-gettext_noop("Got error %d '%-.100s' from %s"),
+N_("Got error %d '%-.100s' from %s"),
 /* ER_GET_TEMPORARY_ERRMSG   */
-gettext_noop("Got temporary error %d '%-.100s' from %s"),
+N_("Got temporary error %d '%-.100s' from %s"),
 /* ER_UNKNOWN_TIME_ZONE   */
-gettext_noop("Unknown or incorrect time zone: '%-.64s'"),
+N_("Unknown or incorrect time zone: '%-.64s'"),
 /* ER_WARN_INVALID_TIMESTAMP   */
-gettext_noop("Invalid TIMESTAMP value in column '%s' at row %ld"),
+N_("Invalid TIMESTAMP value in column '%s' at row %ld"),
 /* ER_INVALID_CHARACTER_STRING   */
-gettext_noop("Invalid %s character string: '%.64s'"),
+N_("Invalid %s character string: '%.64s'"),
 /* ER_WARN_ALLOWED_PACKET_OVERFLOWED   */
-gettext_noop("Result of %s() was larger than max_allowed_packet (%ld) - truncated"),
+N_("Result of %s() was larger than max_allowed_packet (%ld) - truncated"),
 /* ER_CONFLICTING_DECLARATIONS   */
-gettext_noop("Conflicting declarations: '%s%s' and '%s%s'"),
+N_("Conflicting declarations: '%s%s' and '%s%s'"),
 /* ER_SP_NO_RECURSIVE_CREATE 2F003  */
-gettext_noop("Can't create a %s from within another stored routine"),
+N_("Can't create a %s from within another stored routine"),
 /* ER_SP_ALREADY_EXISTS 42000  */
-gettext_noop("%s %s already exists"),
+N_("%s %s already exists"),
 /* ER_SP_DOES_NOT_EXIST 42000  */
-gettext_noop("%s %s does not exist"),
+N_("%s %s does not exist"),
 /* ER_SP_DROP_FAILED   */
-gettext_noop("Failed to DROP %s %s"),
+N_("Failed to DROP %s %s"),
 /* ER_SP_STORE_FAILED   */
-gettext_noop("Failed to CREATE %s %s"),
+N_("Failed to CREATE %s %s"),
 /* ER_SP_LILABEL_MISMATCH 42000  */
-gettext_noop("%s with no matching label: %s"),
+N_("%s with no matching label: %s"),
 /* ER_SP_LABEL_REDEFINE 42000  */
-gettext_noop("Redefining label %s"),
+N_("Redefining label %s"),
 /* ER_SP_LABEL_MISMATCH 42000  */
-gettext_noop("End-label %s without match"),
+N_("End-label %s without match"),
 /* ER_SP_UNINIT_VAR 01000  */
-gettext_noop("Referring to uninitialized variable %s"),
+N_("Referring to uninitialized variable %s"),
 /* ER_SP_BADSELECT 0A000  */
-gettext_noop("PROCEDURE %s can't return a result set in the given context"),
+N_("PROCEDURE %s can't return a result set in the given context"),
 /* ER_SP_BADRETURN 42000  */
-gettext_noop("RETURN is only allowed in a FUNCTION"),
+N_("RETURN is only allowed in a FUNCTION"),
 /* ER_SP_BADSTATEMENT 0A000  */
-gettext_noop("%s is not allowed in stored procedures"),
+N_("%s is not allowed in stored procedures"),
 /* ER_UPDATE_LOG_DEPRECATED_IGNORED 42000  */
-gettext_noop("The update log is deprecated and replaced by the binary log; SET SQL_LOG_UPDATE has been ignored"),
+N_("The update log is deprecated and replaced by the binary log; SET SQL_LOG_UPDATE has been ignored"),
 /* ER_UPDATE_LOG_DEPRECATED_TRANSLATED 42000  */
-gettext_noop("The update log is deprecated and replaced by the binary log; SET SQL_LOG_UPDATE has been translated to SET SQL_LOG_BIN"),
+N_("The update log is deprecated and replaced by the binary log; SET SQL_LOG_UPDATE has been translated to SET SQL_LOG_BIN"),
 /* ER_QUERY_INTERRUPTED 70100  */
-gettext_noop("Query execution was interrupted"),
+N_("Query execution was interrupted"),
 /* ER_SP_WRONG_NO_OF_ARGS 42000  */
-gettext_noop("Incorrect number of arguments for %s %s; expected %u, got %u"),
+N_("Incorrect number of arguments for %s %s; expected %u, got %u"),
 /* ER_SP_COND_MISMATCH 42000  */
-gettext_noop("Undefined CONDITION: %s"),
+N_("Undefined CONDITION: %s"),
 /* ER_SP_NORETURN 42000  */
-gettext_noop("No RETURN found in FUNCTION %s"),
+N_("No RETURN found in FUNCTION %s"),
 /* ER_SP_NORETURNEND 2F005  */
-gettext_noop("FUNCTION %s ended without RETURN"),
+N_("FUNCTION %s ended without RETURN"),
 /* ER_SP_BAD_CURSOR_QUERY 42000  */
-gettext_noop("Cursor statement must be a SELECT"),
+N_("Cursor statement must be a SELECT"),
 /* ER_SP_BAD_CURSOR_SELECT 42000  */
-gettext_noop("Cursor SELECT must not have INTO"),
+N_("Cursor SELECT must not have INTO"),
 /* ER_SP_CURSOR_MISMATCH 42000  */
-gettext_noop("Undefined CURSOR: %s"),
+N_("Undefined CURSOR: %s"),
 /* ER_SP_CURSOR_ALREADY_OPEN 24000  */
-gettext_noop("Cursor is already open"),
+N_("Cursor is already open"),
 /* ER_SP_CURSOR_NOT_OPEN 24000  */
-gettext_noop("Cursor is not open"),
+N_("Cursor is not open"),
 /* ER_SP_UNDECLARED_VAR 42000  */
-gettext_noop("Undeclared variable: %s"),
+N_("Undeclared variable: %s"),
 /* ER_SP_WRONG_NO_OF_FETCH_ARGS   */
-gettext_noop("Incorrect number of FETCH variables"),
+N_("Incorrect number of FETCH variables"),
 /* ER_SP_FETCH_NO_DATA 02000  */
-gettext_noop("No data - zero rows fetched, selected, or processed"),
+N_("No data - zero rows fetched, selected, or processed"),
 /* ER_SP_DUP_PARAM 42000  */
-gettext_noop("Duplicate parameter: %s"),
+N_("Duplicate parameter: %s"),
 /* ER_SP_DUP_VAR 42000  */
-gettext_noop("Duplicate variable: %s"),
+N_("Duplicate variable: %s"),
 /* ER_SP_DUP_COND 42000  */
-gettext_noop("Duplicate condition: %s"),
+N_("Duplicate condition: %s"),
 /* ER_SP_DUP_CURS 42000  */
-gettext_noop("Duplicate cursor: %s"),
+N_("Duplicate cursor: %s"),
 /* ER_SP_CANT_ALTER   */
-gettext_noop("Failed to ALTER %s %s"),
+N_("Failed to ALTER %s %s"),
 /* ER_SP_SUBSELECT_NYI 0A000  */
-gettext_noop("Subquery value not supported"),
+N_("Subquery value not supported"),
 /* ER_STMT_NOT_ALLOWED_IN_SF_OR_TRG 0A000 */
-gettext_noop("%s is not allowed in stored function or trigger"),
+N_("%s is not allowed in stored function or trigger"),
 /* ER_SP_VARCOND_AFTER_CURSHNDLR 42000  */
-gettext_noop("Variable or condition declaration after cursor or handler declaration"),
+N_("Variable or condition declaration after cursor or handler declaration"),
 /* ER_SP_CURSOR_AFTER_HANDLER 42000  */
-gettext_noop("Cursor declaration after handler declaration"),
+N_("Cursor declaration after handler declaration"),
 /* ER_SP_CASE_NOT_FOUND 20000  */
-gettext_noop("Case not found for CASE statement"),
+N_("Case not found for CASE statement"),
 /* ER_FPARSER_TOO_BIG_FILE   */
-gettext_noop("Configuration file '%-.192s' is too big"),
+N_("Configuration file '%-.192s' is too big"),
 /* ER_FPARSER_BAD_HEADER   */
-gettext_noop("Malformed file type header in file '%-.192s'"),
+N_("Malformed file type header in file '%-.192s'"),
 /* ER_FPARSER_EOF_IN_COMMENT   */
-gettext_noop("Unexpected end of file while parsing comment '%-.200s'"),
+N_("Unexpected end of file while parsing comment '%-.200s'"),
 /* ER_FPARSER_ERROR_IN_PARAMETER   */
-gettext_noop("Error while parsing parameter '%-.192s' (line: '%-.192s')"),
+N_("Error while parsing parameter '%-.192s' (line: '%-.192s')"),
 /* ER_FPARSER_EOF_IN_UNKNOWN_PARAMETER   */
-gettext_noop("Unexpected end of file while skipping unknown parameter '%-.192s'"),
+N_("Unexpected end of file while skipping unknown parameter '%-.192s'"),
 /* ER_VIEW_NO_EXPLAIN   */
-gettext_noop("EXPLAIN/SHOW can not be issued; lacking privileges for underlying table"),
+N_("EXPLAIN/SHOW can not be issued; lacking privileges for underlying table"),
 /* ER_FRM_UNKNOWN_TYPE   */
-gettext_noop("File '%-.192s' has unknown type '%-.64s' in its header"),
+N_("File '%-.192s' has unknown type '%-.64s' in its header"),
 /* ER_WRONG_OBJECT   */
-gettext_noop("'%-.192s.%-.192s' is not %s"),
+N_("'%-.192s.%-.192s' is not %s"),
 /* ER_NONUPDATEABLE_COLUMN   */
-gettext_noop("Column '%-.192s' is not updatable"),
+N_("Column '%-.192s' is not updatable"),
 /* ER_VIEW_SELECT_DERIVED   */
-gettext_noop("View's SELECT contains a subquery in the FROM clause"),
+N_("View's SELECT contains a subquery in the FROM clause"),
 /* ER_VIEW_SELECT_CLAUSE   */
-gettext_noop("View's SELECT contains a '%s' clause"),
+N_("View's SELECT contains a '%s' clause"),
 /* ER_VIEW_SELECT_VARIABLE   */
-gettext_noop("View's SELECT contains a variable or parameter"),
+N_("View's SELECT contains a variable or parameter"),
 /* ER_VIEW_SELECT_TMPTABLE   */
-gettext_noop("View's SELECT refers to a temporary table '%-.192s'"),
+N_("View's SELECT refers to a temporary table '%-.192s'"),
 /* ER_VIEW_WRONG_LIST   */
-gettext_noop("View's SELECT and view's field list have different column counts"),
+N_("View's SELECT and view's field list have different column counts"),
 /* ER_WARN_VIEW_MERGE   */
-gettext_noop("View merge algorithm can't be used here for now (assumed undefined algorithm)"),
+N_("View merge algorithm can't be used here for now (assumed undefined algorithm)"),
 /* ER_WARN_VIEW_WITHOUT_KEY   */
-gettext_noop("View being updated does not have complete key of underlying table in it"),
+N_("View being updated does not have complete key of underlying table in it"),
 /* ER_VIEW_INVALID   */
-gettext_noop("View '%-.192s.%-.192s' references invalid table(s) or column(s) or function(s) or definer/invoker of view lack rights to use them"),
+N_("View '%-.192s.%-.192s' references invalid table(s) or column(s) or function(s) or definer/invoker of view lack rights to use them"),
 /* ER_SP_NO_DROP_SP   */
-gettext_noop("Can't drop or alter a %s from within another stored routine"),
+N_("Can't drop or alter a %s from within another stored routine"),
 /* ER_SP_GOTO_IN_HNDLR   */
-gettext_noop("GOTO is not allowed in a stored procedure handler"),
+N_("GOTO is not allowed in a stored procedure handler"),
 /* ER_TRG_ALREADY_EXISTS   */
-gettext_noop("Trigger already exists"),
+N_("Trigger already exists"),
 /* ER_TRG_DOES_NOT_EXIST   */
-gettext_noop("Trigger does not exist"),
+N_("Trigger does not exist"),
 /* ER_TRG_ON_VIEW_OR_TEMP_TABLE   */
-gettext_noop("Trigger's '%-.192s' is view or temporary table"),
+N_("Trigger's '%-.192s' is view or temporary table"),
 /* ER_TRG_CANT_CHANGE_ROW   */
-gettext_noop("Updating of %s row is not allowed in %strigger"),
+N_("Updating of %s row is not allowed in %strigger"),
 /* ER_TRG_NO_SUCH_ROW_IN_TRG   */
-gettext_noop("There is no %s row in %s trigger"),
+N_("There is no %s row in %s trigger"),
 /* ER_NO_DEFAULT_FOR_FIELD   */
-gettext_noop("Field '%-.192s' doesn't have a default value"),
+N_("Field '%-.192s' doesn't have a default value"),
 /* ER_DIVISION_BY_ZERO 22012  */
-gettext_noop("Division by 0"),
+N_("Division by 0"),
 /* ER_TRUNCATED_WRONG_VALUE_FOR_FIELD   */
-gettext_noop("Incorrect %-.32s value: '%-.128s' for column '%.192s' at row %ld"),
+N_("Incorrect %-.32s value: '%-.128s' for column '%.192s' at row %ld"),
 /* ER_ILLEGAL_VALUE_FOR_TYPE 22007  */
-gettext_noop("Illegal %s '%-.192s' value found during parsing"),
+N_("Illegal %s '%-.192s' value found during parsing"),
 /* ER_VIEW_NONUPD_CHECK   */
-gettext_noop("CHECK OPTION on non-updatable view '%-.192s.%-.192s'"),
+N_("CHECK OPTION on non-updatable view '%-.192s.%-.192s'"),
 /* ER_VIEW_CHECK_FAILED   */
-gettext_noop("CHECK OPTION failed '%-.192s.%-.192s'"),
+N_("CHECK OPTION failed '%-.192s.%-.192s'"),
 /* ER_PROCACCESS_DENIED_ERROR 42000  */
-gettext_noop("%-.16s command denied to user '%-.48s'@'%-.64s' for routine '%-.192s'"),
+N_("%-.16s command denied to user '%-.48s'@'%-.64s' for routine '%-.192s'"),
 /* ER_RELAY_LOG_FAIL   */
-gettext_noop("Failed purging old relay logs: %s"),
+N_("Failed purging old relay logs: %s"),
 /* ER_PASSWD_LENGTH   */
-gettext_noop("Password hash should be a %d-digit hexadecimal number"),
+N_("Password hash should be a %d-digit hexadecimal number"),
 /* ER_UNKNOWN_TARGET_BINLOG   */
-gettext_noop("Target log not found in binlog index"),
+N_("Target log not found in binlog index"),
 /* ER_IO_ERR_LOG_INDEX_READ   */
-gettext_noop("I/O error reading log index file"),
+N_("I/O error reading log index file"),
 /* ER_BINLOG_PURGE_PROHIBITED   */
-gettext_noop("Server configuration does not permit binlog purge"),
+N_("Server configuration does not permit binlog purge"),
 /* ER_FSEEK_FAIL   */
-gettext_noop("Failed on fseek()"),
+N_("Failed on fseek()"),
 /* ER_BINLOG_PURGE_FATAL_ERR   */
-gettext_noop("Fatal error during log purge"),
+N_("Fatal error during log purge"),
 /* ER_LOG_IN_USE   */
-gettext_noop("A purgeable log is in use, will not purge"),
+N_("A purgeable log is in use, will not purge"),
 /* ER_LOG_PURGE_UNKNOWN_ERR   */
-gettext_noop("Unknown error during log purge"),
+N_("Unknown error during log purge"),
 /* ER_RELAY_LOG_INIT   */
-gettext_noop("Failed initializing relay log position: %s"),
+N_("Failed initializing relay log position: %s"),
 /* ER_NO_BINARY_LOGGING   */
-gettext_noop("You are not using binary logging"),
+N_("You are not using binary logging"),
 /* ER_RESERVED_SYNTAX   */
-gettext_noop("The '%-.64s' syntax is reserved for purposes internal to the MySQL server"),
+N_("The '%-.64s' syntax is reserved for purposes internal to the MySQL server"),
 /* ER_WSAS_FAILED   */
-gettext_noop("WSAStartup Failed"),
+N_("WSAStartup Failed"),
 /* ER_DIFF_GROUPS_PROC   */
-gettext_noop("Can't handle procedures with different groups yet"),
+N_("Can't handle procedures with different groups yet"),
 /* ER_NO_GROUP_FOR_PROC   */
-gettext_noop("Select must have a group with this procedure"),
+N_("Select must have a group with this procedure"),
 /* ER_ORDER_WITH_PROC   */
-gettext_noop("Can't use ORDER clause with this procedure"),
+N_("Can't use ORDER clause with this procedure"),
 /* ER_LOGGING_PROHIBIT_CHANGING_OF   */
-gettext_noop("Binary logging and replication forbid changing the global server %s"),
+N_("Binary logging and replication forbid changing the global server %s"),
 /* ER_NO_FILE_MAPPING   */
-gettext_noop("Can't map file: %-.200s, errno: %d"),
+N_("Can't map file: %-.200s, errno: %d"),
 /* ER_WRONG_MAGIC   */
-gettext_noop("Wrong magic in %-.64s"),
+N_("Wrong magic in %-.64s"),
 /* ER_PS_MANY_PARAM   */
-gettext_noop("Prepared statement contains too many placeholders"),
+N_("Prepared statement contains too many placeholders"),
 /* ER_KEY_PART_0   */
-gettext_noop("Key part '%-.192s' length cannot be 0"),
+N_("Key part '%-.192s' length cannot be 0"),
 /* ER_VIEW_CHECKSUM   */
-gettext_noop("View text checksum failed"),
+N_("View text checksum failed"),
 /* ER_VIEW_MULTIUPDATE   */
-gettext_noop("Can not modify more than one base table through a join view '%-.192s.%-.192s'"),
+N_("Can not modify more than one base table through a join view '%-.192s.%-.192s'"),
 /* ER_VIEW_NO_INSERT_FIELD_LIST   */
-gettext_noop("Can not insert into join view '%-.192s.%-.192s' without fields list"),
+N_("Can not insert into join view '%-.192s.%-.192s' without fields list"),
 /* ER_VIEW_DELETE_MERGE_VIEW   */
-gettext_noop("Can not delete from join view '%-.192s.%-.192s'"),
+N_("Can not delete from join view '%-.192s.%-.192s'"),
 /* ER_CANNOT_USER   */
-gettext_noop("Operation %s failed for %.256s"),
+N_("Operation %s failed for %.256s"),
 /* ER_XAER_NOTA XAE04 */
-gettext_noop("XAER_NOTA: Unknown XID"),
+N_("XAER_NOTA: Unknown XID"),
 /* ER_XAER_INVAL XAE05 */
-gettext_noop("XAER_INVAL: Invalid arguments (or unsupported command)"),
+N_("XAER_INVAL: Invalid arguments (or unsupported command)"),
 /* ER_XAER_RMFAIL XAE07 */
-gettext_noop("XAER_RMFAIL: The command cannot be executed when global transaction is in the  %.64s state"),
+N_("XAER_RMFAIL: The command cannot be executed when global transaction is in the  %.64s state"),
 /* ER_XAER_OUTSIDE XAE09 */
-gettext_noop("XAER_OUTSIDE: Some work is done outside global transaction"),
+N_("XAER_OUTSIDE: Some work is done outside global transaction"),
 /* ER_XAER_RMERR XAE03 */
-gettext_noop("XAER_RMERR: Fatal error occurred in the transaction branch - check your data for consistency"),
+N_("XAER_RMERR: Fatal error occurred in the transaction branch - check your data for consistency"),
 /* ER_XA_RBROLLBACK XA100 */
-gettext_noop("XA_RBROLLBACK: Transaction branch was rolled back"),
+N_("XA_RBROLLBACK: Transaction branch was rolled back"),
 /* ER_NONEXISTING_PROC_GRANT 42000  */
-gettext_noop("There is no such grant defined for user '%-.48s' on host '%-.64s' on routine '%-.192s'"),
+N_("There is no such grant defined for user '%-.48s' on host '%-.64s' on routine '%-.192s'"),
 /* ER_PROC_AUTO_GRANT_FAIL */
-gettext_noop("Failed to grant EXECUTE and ALTER ROUTINE privileges"),
+N_("Failed to grant EXECUTE and ALTER ROUTINE privileges"),
 /* ER_PROC_AUTO_REVOKE_FAIL */
-gettext_noop("Failed to revoke all privileges to dropped routine"),
+N_("Failed to revoke all privileges to dropped routine"),
 /* ER_DATA_TOO_LONG 22001 */
-gettext_noop("Data too long for column '%s' at row %ld"),
+N_("Data too long for column '%s' at row %ld"),
 /* ER_SP_BAD_SQLSTATE 42000 */
-gettext_noop("Bad SQLSTATE: '%s'"),
+N_("Bad SQLSTATE: '%s'"),
 /* ER_STARTUP */
-gettext_noop("%s: ready for connections.\nVersion: '%s'  socket: '%s'  port: %d  %s"),
+N_("%s: ready for connections.\nVersion: '%s'  socket: '%s'  port: %d  %s"),
 /* ER_LOAD_FROM_FIXED_SIZE_ROWS_TO_VAR */
-gettext_noop("Can't load value from file with fixed size rows to variable"),
+N_("Can't load value from file with fixed size rows to variable"),
 /* ER_CANT_CREATE_USER_WITH_GRANT 42000 */
-gettext_noop("You are not allowed to create a user with GRANT"),
+N_("You are not allowed to create a user with GRANT"),
 /* ER_WRONG_VALUE_FOR_TYPE   */
-gettext_noop("Incorrect %-.32s value: '%-.128s' for function %-.32s"),
+N_("Incorrect %-.32s value: '%-.128s' for function %-.32s"),
 /* ER_TABLE_DEF_CHANGED */
-gettext_noop("Table definition has changed, please retry transaction"),
+N_("Table definition has changed, please retry transaction"),
 /* ER_SP_DUP_HANDLER 42000 */
-gettext_noop("Duplicate handler declared in the same block"),
+N_("Duplicate handler declared in the same block"),
 /* ER_SP_NOT_VAR_ARG 42000 */
-gettext_noop("OUT or INOUT argument %d for routine %s is not a variable or NEW pseudo-variable in BEFORE trigger"),
+N_("OUT or INOUT argument %d for routine %s is not a variable or NEW pseudo-variable in BEFORE trigger"),
 /* ER_SP_NO_RETSET 0A000 */
-gettext_noop("Not allowed to return a result set from a %s"),
+N_("Not allowed to return a result set from a %s"),
 /* ER_CANT_CREATE_GEOMETRY_OBJECT 22003  */
-gettext_noop("Cannot get geometry object from data you send to the GEOMETRY field"),
+N_("Cannot get geometry object from data you send to the GEOMETRY field"),
 /* ER_FAILED_ROUTINE_BREAK_BINLOG */
-gettext_noop("A routine failed and has neither NO SQL nor READS SQL DATA in its declaration and binary logging is enabled; if non-transactional tables were updated, the binary log will miss their changes"),
+N_("A routine failed and has neither NO SQL nor READS SQL DATA in its declaration and binary logging is enabled; if non-transactional tables were updated, the binary log will miss their changes"),
 /* ER_BINLOG_UNSAFE_ROUTINE */
-gettext_noop("This function has none of DETERMINISTIC, NO SQL, or READS SQL DATA in its declaration and binary logging is enabled (you *might* want to use the less safe log_bin_trust_function_creators variable)"),
+N_("This function has none of DETERMINISTIC, NO SQL, or READS SQL DATA in its declaration and binary logging is enabled (you *might* want to use the less safe log_bin_trust_function_creators variable)"),
 /* ER_BINLOG_CREATE_ROUTINE_NEED_SUPER */
-gettext_noop("You do not have the SUPER privilege and binary logging is enabled (you *might* want to use the less safe log_bin_trust_function_creators variable)"),
+N_("You do not have the SUPER privilege and binary logging is enabled (you *might* want to use the less safe log_bin_trust_function_creators variable)"),
 /* ER_EXEC_STMT_WITH_OPEN_CURSOR */
-gettext_noop("You can't execute a prepared statement which has an open cursor associated with it. Reset the statement to re-execute it."),
+N_("You can't execute a prepared statement which has an open cursor associated with it. Reset the statement to re-execute it."),
 /* ER_STMT_HAS_NO_OPEN_CURSOR */
-gettext_noop("The statement (%lu) has no open cursor."),
+N_("The statement (%lu) has no open cursor."),
 /* ER_COMMIT_NOT_ALLOWED_IN_SF_OR_TRG */
-gettext_noop("Explicit or implicit commit is not allowed in stored function or trigger."),
+N_("Explicit or implicit commit is not allowed in stored function or trigger."),
 /* ER_NO_DEFAULT_FOR_VIEW_FIELD */
-gettext_noop("Field of view '%-.192s.%-.192s' underlying table doesn't have a default value"),
+N_("Field of view '%-.192s.%-.192s' underlying table doesn't have a default value"),
 /* ER_SP_NO_RECURSION */
-gettext_noop("Recursive stored functions and triggers are not allowed."),
+N_("Recursive stored functions and triggers are not allowed."),
 /* ER_TOO_BIG_SCALE 42000 S1009 */
-gettext_noop("Too big scale %d specified for column '%-.192s'. Maximum is %d."),
+N_("Too big scale %d specified for column '%-.192s'. Maximum is %d."),
 /* ER_TOO_BIG_PRECISION 42000 S1009 */
-gettext_noop("Too big precision %d specified for column '%-.192s'. Maximum is %d."),
+N_("Too big precision %d specified for column '%-.192s'. Maximum is %d."),
 /* ER_M_BIGGER_THAN_D 42000 S1009 */
-gettext_noop("For float(M,D), double(M,D) or decimal(M,D), M must be >= D (column '%-.192s')."),
+N_("For float(M,D), double(M,D) or decimal(M,D), M must be >= D (column '%-.192s')."),
 /* ER_WRONG_LOCK_OF_SYSTEM_TABLE */
-gettext_noop("You can't combine write-locking of system tables with other tables or lock types"),
+N_("You can't combine write-locking of system tables with other tables or lock types"),
 /* ER_CONNECT_TO_FOREIGN_DATA_SOURCE */
-gettext_noop("Unable to connect to foreign data source: %.64s"),
+N_("Unable to connect to foreign data source: %.64s"),
 /* ER_QUERY_ON_FOREIGN_DATA_SOURCE */
-gettext_noop("There was a problem processing the query on the foreign data source. Data source error: %-.64s"),
+N_("There was a problem processing the query on the foreign data source. Data source error: %-.64s"),
 /* ER_FOREIGN_DATA_SOURCE_DOESNT_EXIST */
-gettext_noop("The foreign data source you are trying to reference does not exist. Data source error:  %-.64s"),
+N_("The foreign data source you are trying to reference does not exist. Data source error:  %-.64s"),
 /* ER_FOREIGN_DATA_STRING_INVALID_CANT_CREATE */
-gettext_noop("Can't create federated table. The data source connection string '%-.64s' is not in the correct format"),
+N_("Can't create federated table. The data source connection string '%-.64s' is not in the correct format"),
 /* ER_FOREIGN_DATA_STRING_INVALID */
-gettext_noop("The data source connection string '%-.64s' is not in the correct format"),
+N_("The data source connection string '%-.64s' is not in the correct format"),
 /* ER_CANT_CREATE_FEDERATED_TABLE   */
-gettext_noop("Can't create federated table. Foreign data src error:  %-.64s"),
+N_("Can't create federated table. Foreign data src error:  %-.64s"),
 /* ER_TRG_IN_WRONG_SCHEMA   */
-gettext_noop("Trigger in wrong schema"),
+N_("Trigger in wrong schema"),
 /* ER_STACK_OVERRUN_NEED_MORE */
-gettext_noop("Thread stack overrun:  %ld bytes used of a %ld byte stack, and %ld bytes needed.  Use 'mysqld -O thread_stack=#' to specify a bigger stack."),
+N_("Thread stack overrun:  %ld bytes used of a %ld byte stack, and %ld bytes needed.  Use 'mysqld -O thread_stack=#' to specify a bigger stack."),
 /* ER_TOO_LONG_BODY 42000 S1009 */
-gettext_noop("Routine body for '%-.100s' is too long"),
+N_("Routine body for '%-.100s' is too long"),
 /* ER_WARN_CANT_DROP_DEFAULT_KEYCACHE */
-gettext_noop("Cannot drop default keycache"),
+N_("Cannot drop default keycache"),
 /* ER_TOO_BIG_DISPLAYWIDTH 42000 S1009 */
-gettext_noop("Display width out of range for column '%-.192s' (max = %d)"),
+N_("Display width out of range for column '%-.192s' (max = %d)"),
 /* ER_XAER_DUPID XAE08 */
-gettext_noop("XAER_DUPID: The XID already exists"),
+N_("XAER_DUPID: The XID already exists"),
 /* ER_DATETIME_FUNCTION_OVERFLOW 22008 */
-gettext_noop("Datetime function: %-.32s field overflow"),
+N_("Datetime function: %-.32s field overflow"),
 /* ER_CANT_UPDATE_USED_TABLE_IN_SF_OR_TRG */
-gettext_noop("Can't update table '%-.192s' in stored function/trigger because it is already used by statement which invoked this stored function/trigger."),
+N_("Can't update table '%-.192s' in stored function/trigger because it is already used by statement which invoked this stored function/trigger."),
 /* ER_VIEW_PREVENT_UPDATE */
-gettext_noop("The definition of table '%-.192s' prevents operation %.192s on table '%-.192s'."),
+N_("The definition of table '%-.192s' prevents operation %.192s on table '%-.192s'."),
 /* ER_PS_NO_RECURSION */
-gettext_noop("The prepared statement contains a stored routine call that refers to that same statement. It's not allowed to execute a prepared statement in such a recursive manner"),
+N_("The prepared statement contains a stored routine call that refers to that same statement. It's not allowed to execute a prepared statement in such a recursive manner"),
 /* ER_SP_CANT_SET_AUTOCOMMIT */
-gettext_noop("Not allowed to set autocommit from a stored function or trigger"),
+N_("Not allowed to set autocommit from a stored function or trigger"),
 /* ER_MALFORMED_DEFINER */
-gettext_noop("Definer is not fully qualified"),
+N_("Definer is not fully qualified"),
 /* ER_VIEW_FRM_NO_USER */
-gettext_noop("View '%-.192s'.'%-.192s' has no definer information (old table format). Current user is used as definer. Please recreate the view!"),
+N_("View '%-.192s'.'%-.192s' has no definer information (old table format). Current user is used as definer. Please recreate the view!"),
 /* ER_VIEW_OTHER_USER */
-gettext_noop("You need the SUPER privilege for creation view with '%-.192s'@'%-.192s' definer"),
+N_("You need the SUPER privilege for creation view with '%-.192s'@'%-.192s' definer"),
 /* ER_NO_SUCH_USER */
-gettext_noop("The user specified as a definer ('%-.64s'@'%-.64s') does not exist"),
+N_("The user specified as a definer ('%-.64s'@'%-.64s') does not exist"),
 /* ER_FORBID_SCHEMA_CHANGE */
-gettext_noop("Changing schema from '%-.192s' to '%-.192s' is not allowed."),
+N_("Changing schema from '%-.192s' to '%-.192s' is not allowed."),
 /* ER_ROW_IS_REFERENCED_2 23000 */
-gettext_noop("Cannot delete or update a parent row: a foreign key constraint fails (%.192s)"),
+N_("Cannot delete or update a parent row: a foreign key constraint fails (%.192s)"),
 /* ER_NO_REFERENCED_ROW_2 23000 */
-gettext_noop("Cannot add or update a child row: a foreign key constraint fails (%.192s)"),
+N_("Cannot add or update a child row: a foreign key constraint fails (%.192s)"),
 /* ER_SP_BAD_VAR_SHADOW 42000 */
-gettext_noop("Variable '%-.64s' must be quoted with `...`, or renamed"),
+N_("Variable '%-.64s' must be quoted with `...`, or renamed"),
 /* ER_TRG_NO_DEFINER */
-gettext_noop("No definer attribute for trigger '%-.192s'.'%-.192s'. The trigger will be activated under the authorization of the invoker, which may have insufficient privileges. Please recreate the trigger."),
+N_("No definer attribute for trigger '%-.192s'.'%-.192s'. The trigger will be activated under the authorization of the invoker, which may have insufficient privileges. Please recreate the trigger."),
 /* ER_OLD_FILE_FORMAT */
-gettext_noop("'%-.192s' has an old format, you should re-create the '%s' object(s)"),
+N_("'%-.192s' has an old format, you should re-create the '%s' object(s)"),
 /* ER_SP_RECURSION_LIMIT */
-gettext_noop("Recursive limit %d (as set by the max_sp_recursion_depth variable) was exceeded for routine %.192s"),
+N_("Recursive limit %d (as set by the max_sp_recursion_depth variable) was exceeded for routine %.192s"),
 /* ER_SP_PROC_TABLE_CORRUPT */
-gettext_noop("Failed to load routine %-.192s. The table mysql.proc is missing, corrupt, or contains bad data (internal code %d)"),
+N_("Failed to load routine %-.192s. The table mysql.proc is missing, corrupt, or contains bad data (internal code %d)"),
 /* ER_SP_WRONG_NAME 42000 */
-gettext_noop("Incorrect routine name '%-.192s'"),
+N_("Incorrect routine name '%-.192s'"),
 /* ER_TABLE_NEEDS_UPGRADE */
-gettext_noop("Table upgrade required. Please do \"REPAIR TABLE `%-.32s`\" to fix it!"),
+N_("Table upgrade required. Please do \"REPAIR TABLE `%-.32s`\" to fix it!"),
 /* ER_SP_NO_AGGREGATE 42000 */
-gettext_noop("AGGREGATE is not supported for stored functions"),
+N_("AGGREGATE is not supported for stored functions"),
 /* ER_MAX_PREPARED_STMT_COUNT_REACHED 42000 */
-gettext_noop("Can't create more than max_prepared_stmt_count statements (current value: %lu)"),
+N_("Can't create more than max_prepared_stmt_count statements (current value: %lu)"),
 /* ER_VIEW_RECURSIVE */
-gettext_noop("`%-.192s`.`%-.192s` contains view recursion"),
+N_("`%-.192s`.`%-.192s` contains view recursion"),
 /* ER_NON_GROUPING_FIELD_USED 42000 */
-gettext_noop("non-grouping field '%-.192s' is used in %-.64s clause"),
+N_("non-grouping field '%-.192s' is used in %-.64s clause"),
 /* ER_TABLE_CANT_HANDLE_SPKEYS */
-gettext_noop("The used table type doesn't support SPATIAL indexes"),
+N_("The used table type doesn't support SPATIAL indexes"),
 /* ER_NO_TRIGGERS_ON_SYSTEM_SCHEMA */
-gettext_noop("Triggers can not be created on system tables"),
+N_("Triggers can not be created on system tables"),
 /* ER_REMOVED_SPACES */
-gettext_noop("Leading spaces are removed from name '%s'"),
+N_("Leading spaces are removed from name '%s'"),
 /* ER_AUTOINC_READ_FAILED */
-gettext_noop("Failed to read auto-increment value from storage engine"),
+N_("Failed to read auto-increment value from storage engine"),
 /* ER_USERNAME */
-gettext_noop("user name"),
+N_("user name"),
 /* ER_HOSTNAME */
-gettext_noop("host name"),
+N_("host name"),
 /* ER_WRONG_STRING_LENGTH */
-gettext_noop("String '%-.70s' is too long for %s (should be no longer than %d)"),
+N_("String '%-.70s' is too long for %s (should be no longer than %d)"),
 /* ER_NON_INSERTABLE_TABLE   */
-gettext_noop("The target table %-.100s of the %s is not insertable-into"),
+N_("The target table %-.100s of the %s is not insertable-into"),
 /* ER_ADMIN_WRONG_MRG_TABLE */
-gettext_noop("Table '%-.64s' is differently defined or of non-MyISAM type or doesn't exist"),
+N_("Table '%-.64s' is differently defined or of non-MyISAM type or doesn't exist"),
 /* ER_TOO_HIGH_LEVEL_OF_NESTING_FOR_SELECT */
-gettext_noop("Too high level of nesting for select"),
+N_("Too high level of nesting for select"),
 /* ER_NAME_BECOMES_EMPTY */
-gettext_noop("Name '%-.64s' has become ''"),
+N_("Name '%-.64s' has become ''"),
 /* ER_AMBIGUOUS_FIELD_TERM */
-gettext_noop("First character of the FIELDS TERMINATED string is ambiguous; please use non-optional and non-empty FIELDS ENCLOSED BY"),
+N_("First character of the FIELDS TERMINATED string is ambiguous; please use non-optional and non-empty FIELDS ENCLOSED BY"),
 /* ER_FOREIGN_SERVER_EXISTS */
-gettext_noop("The foreign server, %s, you are trying to create already exists."),
+N_("The foreign server, %s, you are trying to create already exists."),
 /* ER_FOREIGN_SERVER_DOESNT_EXIST */
-gettext_noop("The foreign server name you are trying to reference does not exist. Data source error:  %-.64s"),
+N_("The foreign server name you are trying to reference does not exist. Data source error:  %-.64s"),
 /* ER_ILLEGAL_HA_CREATE_OPTION */
-gettext_noop("Table storage engine '%-.64s' does not support the create option '%.64s'"),
+N_("Table storage engine '%-.64s' does not support the create option '%.64s'"),
 /* ER_PARTITION_REQUIRES_VALUES_ERROR */
-gettext_noop("Syntax error: %-.64s PARTITIONING requires definition of VALUES %-.64s for each partition"),
+N_("Syntax error: %-.64s PARTITIONING requires definition of VALUES %-.64s for each partition"),
 /* ER_PARTITION_WRONG_VALUES_ERROR */
-gettext_noop("Only %-.64s PARTITIONING can use VALUES %-.64s in partition definition"),
+N_("Only %-.64s PARTITIONING can use VALUES %-.64s in partition definition"),
 /* ER_PARTITION_MAXVALUE_ERROR */
-gettext_noop("MAXVALUE can only be used in last partition definition"),
+N_("MAXVALUE can only be used in last partition definition"),
 /* ER_PARTITION_SUBPARTITION_ERROR */
-gettext_noop("Subpartitions can only be hash partitions and by key"),
+N_("Subpartitions can only be hash partitions and by key"),
 /* ER_PARTITION_SUBPART_MIX_ERROR */
-gettext_noop("Must define subpartitions on all partitions if on one partition"),
+N_("Must define subpartitions on all partitions if on one partition"),
 /* ER_PARTITION_WRONG_NO_PART_ERROR */
-gettext_noop("Wrong number of partitions defined, mismatch with previous setting"),
+N_("Wrong number of partitions defined, mismatch with previous setting"),
 /* ER_PARTITION_WRONG_NO_SUBPART_ERROR */
-gettext_noop("Wrong number of subpartitions defined, mismatch with previous setting"),
+N_("Wrong number of subpartitions defined, mismatch with previous setting"),
 /* ER_CONST_EXPR_IN_PARTITION_FUNC_ERROR */
-gettext_noop("Constant/Random expression in (sub)partitioning function is not allowed"),
+N_("Constant/Random expression in (sub)partitioning function is not allowed"),
 /* ER_NO_CONST_EXPR_IN_RANGE_OR_LIST_ERROR */
-gettext_noop("Expression in RANGE/LIST VALUES must be constant"),
+N_("Expression in RANGE/LIST VALUES must be constant"),
 /* ER_FIELD_NOT_FOUND_PART_ERROR */
-gettext_noop("Field in list of fields for partition function not found in table"),
+N_("Field in list of fields for partition function not found in table"),
 /* ER_LIST_OF_FIELDS_ONLY_IN_HASH_ERROR */
-gettext_noop("List of fields is only allowed in KEY partitions"),
+N_("List of fields is only allowed in KEY partitions"),
 /* ER_INCONSISTENT_PARTITION_INFO_ERROR */
-gettext_noop("The partition info in the frm file is not consistent with what can be written into the frm file"),
+N_("The partition info in the frm file is not consistent with what can be written into the frm file"),
 /* ER_PARTITION_FUNC_NOT_ALLOWED_ERROR */
-gettext_noop("The %-.192s function returns the wrong type"),
+N_("The %-.192s function returns the wrong type"),
 /* ER_PARTITIONS_MUST_BE_DEFINED_ERROR */
-gettext_noop("For %-.64s partitions each partition must be defined"),
+N_("For %-.64s partitions each partition must be defined"),
 /* ER_RANGE_NOT_INCREASING_ERROR */
-gettext_noop("VALUES LESS THAN value must be strictly increasing for each partition"),
+N_("VALUES LESS THAN value must be strictly increasing for each partition"),
 /* ER_INCONSISTENT_TYPE_OF_FUNCTIONS_ERROR */
-gettext_noop("VALUES value must be of same type as partition function"),
+N_("VALUES value must be of same type as partition function"),
 /* ER_MULTIPLE_DEF_CONST_IN_LIST_PART_ERROR */
-gettext_noop("Multiple definition of same constant in list partitioning"),
+N_("Multiple definition of same constant in list partitioning"),
 /* ER_PARTITION_ENTRY_ERROR */
-gettext_noop("Partitioning can not be used stand-alone in query"),
+N_("Partitioning can not be used stand-alone in query"),
 /* ER_MIX_HANDLER_ERROR */
-gettext_noop("The mix of handlers in the partitions is not allowed in this version of MySQL"),
+N_("The mix of handlers in the partitions is not allowed in this version of MySQL"),
 /* ER_PARTITION_NOT_DEFINED_ERROR */
-gettext_noop("For the partitioned engine it is necessary to define all %-.64s"),
+N_("For the partitioned engine it is necessary to define all %-.64s"),
 /* ER_TOO_MANY_PARTITIONS_ERROR */
-gettext_noop("Too many partitions (including subpartitions) were defined"),
+N_("Too many partitions (including subpartitions) were defined"),
 /* ER_SUBPARTITION_ERROR */
-gettext_noop("It is only possible to mix RANGE/LIST partitioning with HASH/KEY partitioning for subpartitioning"),
+N_("It is only possible to mix RANGE/LIST partitioning with HASH/KEY partitioning for subpartitioning"),
 /* ER_CANT_CREATE_HANDLER_FILE */
-gettext_noop("Failed to create specific handler file"),
+N_("Failed to create specific handler file"),
 /* ER_BLOB_FIELD_IN_PART_FUNC_ERROR */
-gettext_noop("A BLOB field is not allowed in partition function"),
+N_("A BLOB field is not allowed in partition function"),
 /* ER_UNIQUE_KEY_NEED_ALL_FIELDS_IN_PF */
-gettext_noop("A %-.192s must include all columns in the table's partitioning function"),
+N_("A %-.192s must include all columns in the table's partitioning function"),
 /* ER_NO_PARTS_ERROR */
-gettext_noop("Number of %-.64s = 0 is not an allowed value"),
+N_("Number of %-.64s = 0 is not an allowed value"),
 /* ER_PARTITION_MGMT_ON_NONPARTITIONED */
-gettext_noop("Partition management on a not partitioned table is not possible"),
+N_("Partition management on a not partitioned table is not possible"),
 /* ER_FOREIGN_KEY_ON_PARTITIONED */
-gettext_noop("Foreign key condition is not yet supported in conjunction with partitioning"),
+N_("Foreign key condition is not yet supported in conjunction with partitioning"),
 /* ER_DROP_PARTITION_NON_EXISTENT */
-gettext_noop("Error in list of partitions to %-.64s"),
+N_("Error in list of partitions to %-.64s"),
 /* ER_DROP_LAST_PARTITION */
-gettext_noop("Cannot remove all partitions, use DROP TABLE instead"),
+N_("Cannot remove all partitions, use DROP TABLE instead"),
 /* ER_COALESCE_ONLY_ON_HASH_PARTITION */
-gettext_noop("COALESCE PARTITION can only be used on HASH/KEY partitions"),
+N_("COALESCE PARTITION can only be used on HASH/KEY partitions"),
 /* ER_REORG_HASH_ONLY_ON_SAME_NO */
-gettext_noop("REORGANISE PARTITION can only be used to reorganise partitions not to change their numbers"),
+N_("REORGANISE PARTITION can only be used to reorganise partitions not to change their numbers"),
 /* ER_REORG_NO_PARAM_ERROR */
-gettext_noop("REORGANISE PARTITION without parameters can only be used on auto-partitioned tables using HASH PARTITIONs"),
+N_("REORGANISE PARTITION without parameters can only be used on auto-partitioned tables using HASH PARTITIONs"),
 /* ER_ONLY_ON_RANGE_LIST_PARTITION */
-gettext_noop("%-.64s PARTITION can only be used on RANGE/LIST partitions"),
+N_("%-.64s PARTITION can only be used on RANGE/LIST partitions"),
 /* ER_ADD_PARTITION_SUBPART_ERROR */
-gettext_noop("Trying to Add partition(s) with wrong number of subpartitions"),
+N_("Trying to Add partition(s) with wrong number of subpartitions"),
 /* ER_ADD_PARTITION_NO_NEW_PARTITION */
-gettext_noop("At least one partition must be added"),
+N_("At least one partition must be added"),
 /* ER_COALESCE_PARTITION_NO_PARTITION */
-gettext_noop("At least one partition must be coalesced"),
+N_("At least one partition must be coalesced"),
 /* ER_REORG_PARTITION_NOT_EXIST */
-gettext_noop("More partitions to reorganise than there are partitions"),
+N_("More partitions to reorganise than there are partitions"),
 /* ER_SAME_NAME_PARTITION */
-gettext_noop("Duplicate partition name %-.192s"),
+N_("Duplicate partition name %-.192s"),
 /* ER_NO_BINLOG_ERROR */
-gettext_noop("It is not allowed to shut off binlog on this command"),
+N_("It is not allowed to shut off binlog on this command"),
 /* ER_CONSECUTIVE_REORG_PARTITIONS */
-gettext_noop("When reorganising a set of partitions they must be in consecutive order"),
+N_("When reorganising a set of partitions they must be in consecutive order"),
 /* ER_REORG_OUTSIDE_RANGE */
-gettext_noop("Reorganize of range partitions cannot change total ranges except for last partition where it can extend the range"),
+N_("Reorganize of range partitions cannot change total ranges except for last partition where it can extend the range"),
 /* ER_PARTITION_FUNCTION_FAILURE */
-gettext_noop("Partition function not supported in this version for this handler"),
+N_("Partition function not supported in this version for this handler"),
 /* ER_PART_STATE_ERROR */
-gettext_noop("Partition state cannot be defined from CREATE/ALTER TABLE"),
+N_("Partition state cannot be defined from CREATE/ALTER TABLE"),
 /* ER_LIMITED_PART_RANGE */
-gettext_noop("The %-.64s handler only supports 32 bit integers in VALUES"),
+N_("The %-.64s handler only supports 32 bit integers in VALUES"),
 /* ER_PLUGIN_IS_NOT_LOADED */
-gettext_noop("Plugin '%-.192s' is not loaded"),
+N_("Plugin '%-.192s' is not loaded"),
 /* ER_WRONG_VALUE */
-gettext_noop("Incorrect %-.32s value: '%-.128s'"),
+N_("Incorrect %-.32s value: '%-.128s'"),
 /* ER_NO_PARTITION_FOR_GIVEN_VALUE */
-gettext_noop("Table has no partition for value %-.64s"),
+N_("Table has no partition for value %-.64s"),
 /* ER_FILEGROUP_OPTION_ONLY_ONCE */
-gettext_noop("It is not allowed to specify %s more than once"),
+N_("It is not allowed to specify %s more than once"),
 /* ER_CREATE_FILEGROUP_FAILED */
-gettext_noop("Failed to create %s"),
+N_("Failed to create %s"),
 /* ER_DROP_FILEGROUP_FAILED */
-gettext_noop("Failed to drop %s"),
+N_("Failed to drop %s"),
 /* ER_TABLESPACE_AUTO_EXTEND_ERROR */
-gettext_noop("The handler doesn't support autoextend of tablespaces"),
+N_("The handler doesn't support autoextend of tablespaces"),
 /* ER_WRONG_SIZE_NUMBER */
-gettext_noop("A size parameter was incorrectly specified, either number or on the form 10M"),
+N_("A size parameter was incorrectly specified, either number or on the form 10M"),
 /* ER_SIZE_OVERFLOW_ERROR */
-gettext_noop("The size number was correct but we don't allow the digit part to be more than 2 billion"),
+N_("The size number was correct but we don't allow the digit part to be more than 2 billion"),
 /* ER_ALTER_FILEGROUP_FAILED */
-gettext_noop("Failed to alter: %s"),
+N_("Failed to alter: %s"),
 /* ER_BINLOG_ROW_LOGGING_FAILED */
-gettext_noop("Writing one row to the row-based binary log failed"),
+N_("Writing one row to the row-based binary log failed"),
 /* ER_BINLOG_ROW_WRONG_TABLE_DEF */
-gettext_noop("Table definition on master and slave does not match: %s"),
+N_("Table definition on master and slave does not match: %s"),
 /* ER_BINLOG_ROW_RBR_TO_SBR */
-gettext_noop("Slave running with --log-slave-updates must use row-based binary logging to be able to replicate row-based binary log events"),
+N_("Slave running with --log-slave-updates must use row-based binary logging to be able to replicate row-based binary log events"),
 /* ER_EVENT_ALREADY_EXISTS */
-gettext_noop("Event '%-.192s' already exists"),
+N_("Event '%-.192s' already exists"),
 /* ER_EVENT_STORE_FAILED */
-gettext_noop("Failed to store event %s. Error code %d from storage engine."),
+N_("Failed to store event %s. Error code %d from storage engine."),
 /* ER_EVENT_DOES_NOT_EXIST */
-gettext_noop("Unknown event '%-.192s'"),
+N_("Unknown event '%-.192s'"),
 /* ER_EVENT_CANT_ALTER */
-gettext_noop("Failed to alter event '%-.192s'"),
+N_("Failed to alter event '%-.192s'"),
 /* ER_EVENT_DROP_FAILED */
-gettext_noop("Failed to drop %s"),
+N_("Failed to drop %s"),
 /* ER_EVENT_INTERVAL_NOT_POSITIVE_OR_TOO_BIG */
-gettext_noop("INTERVAL is either not positive or too big"),
+N_("INTERVAL is either not positive or too big"),
 /* ER_EVENT_ENDS_BEFORE_STARTS */
-gettext_noop("ENDS is either invalid or before STARTS"),
+N_("ENDS is either invalid or before STARTS"),
 /* ER_EVENT_EXEC_TIME_IN_THE_PAST */
-gettext_noop("Event execution time is in the past. Event has been disabled"),
+N_("Event execution time is in the past. Event has been disabled"),
 /* ER_EVENT_OPEN_TABLE_FAILED */
-gettext_noop("Failed to open mysql.event"),
+N_("Failed to open mysql.event"),
 /* ER_EVENT_NEITHER_M_EXPR_NOR_M_AT */
-gettext_noop("No datetime expression provided"),
+N_("No datetime expression provided"),
 /* ER_COL_COUNT_DOESNT_MATCH_CORRUPTED */
-gettext_noop("Column count of mysql.%s is wrong. Expected %d, found %d. The table is probably corrupted"),
+N_("Column count of mysql.%s is wrong. Expected %d, found %d. The table is probably corrupted"),
 /* ER_CANNOT_LOAD_FROM_TABLE */
-gettext_noop("Cannot load from mysql.%s. The table is probably corrupted"),
+N_("Cannot load from mysql.%s. The table is probably corrupted"),
 /* ER_EVENT_CANNOT_DELETE */
-gettext_noop("Failed to delete the event from mysql.event"),
+N_("Failed to delete the event from mysql.event"),
 /* ER_EVENT_COMPILE_ERROR */
-gettext_noop("Error during compilation of event's body"),
+N_("Error during compilation of event's body"),
 /* ER_EVENT_SAME_NAME */
-gettext_noop("Same old and new event name"),
+N_("Same old and new event name"),
 /* ER_EVENT_DATA_TOO_LONG */
-gettext_noop("Data for column '%s' too long"),
+N_("Data for column '%s' too long"),
 /* ER_DROP_INDEX_FK */
-gettext_noop("Cannot drop index '%-.192s': needed in a foreign key constraint"),
+N_("Cannot drop index '%-.192s': needed in a foreign key constraint"),
 /* ER_WARN_DEPRECATED_SYNTAX_WITH_VER   */
-gettext_noop("The syntax '%s' is deprecated and will be removed in MySQL %s. Please use %s instead"),
+N_("The syntax '%s' is deprecated and will be removed in MySQL %s. Please use %s instead"),
 /* ER_CANT_WRITE_LOCK_LOG_TABLE */
-gettext_noop("You can't write-lock a log table. Only read access is possible"),
+N_("You can't write-lock a log table. Only read access is possible"),
 /* ER_CANT_LOCK_LOG_TABLE */
-gettext_noop("You can't use locks with log tables."),
+N_("You can't use locks with log tables."),
 /* ER_FOREIGN_DUPLICATE_KEY 23000 S1009 */
-gettext_noop("Upholding foreign key constraints for table '%.192s', entry '%-.192s', key %d would lead to a duplicate entry"),
+N_("Upholding foreign key constraints for table '%.192s', entry '%-.192s', key %d would lead to a duplicate entry"),
 /* ER_COL_COUNT_DOESNT_MATCH_PLEASE_UPDATE */
-gettext_noop("Column count of mysql.%s is wrong. Expected %d, found %d. Created with MySQL %d, now running %d. Please use mysql_upgrade to fix this error."),
+N_("Column count of mysql.%s is wrong. Expected %d, found %d. Created with MySQL %d, now running %d. Please use mysql_upgrade to fix this error."),
 /* ER_TEMP_TABLE_PREVENTS_SWITCH_OUT_OF_RBR */
-gettext_noop("Cannot switch out of the row-based binary log format when the session has open temporary tables"),
+N_("Cannot switch out of the row-based binary log format when the session has open temporary tables"),
 /* ER_STORED_FUNCTION_PREVENTS_SWITCH_BINLOG_FORMAT */
-gettext_noop("Cannot change the binary logging format inside a stored function or trigger"),
+N_("Cannot change the binary logging format inside a stored function or trigger"),
 /* ER_NDB_CANT_SWITCH_BINLOG_FORMAT */
-gettext_noop("The NDB cluster engine does not support changing the binlog format on the fly yet"),
+N_("The NDB cluster engine does not support changing the binlog format on the fly yet"),
 /* ER_PARTITION_NO_TEMPORARY */
-gettext_noop("Cannot create temporary table with partitions"),
+N_("Cannot create temporary table with partitions"),
 /* ER_PARTITION_CONST_DOMAIN_ERROR */
-gettext_noop("Partition constant is out of partition function domain"),
+N_("Partition constant is out of partition function domain"),
 /* ER_PARTITION_FUNCTION_IS_NOT_ALLOWED */
-gettext_noop("This partition function is not allowed"),
+N_("This partition function is not allowed"),
 /* ER_DDL_LOG_ERROR */
-gettext_noop("Error in DDL log"),
+N_("Error in DDL log"),
 /* ER_NULL_IN_VALUES_LESS_THAN */
-gettext_noop("Not allowed to use NULL value in VALUES LESS THAN"),
+N_("Not allowed to use NULL value in VALUES LESS THAN"),
 /* ER_WRONG_PARTITION_NAME */
-gettext_noop("Incorrect partition name"),
+N_("Incorrect partition name"),
 /* ER_CANT_CHANGE_TX_ISOLATION 25001 */
-gettext_noop("Transaction isolation level can't be changed while a transaction is in progress"),
+N_("Transaction isolation level can't be changed while a transaction is in progress"),
 /* ER_DUP_ENTRY_AUTOINCREMENT_CASE */
-gettext_noop("ALTER TABLE causes auto_increment resequencing, resulting in duplicate entry '%-.192s' for key '%-.192s'"),
+N_("ALTER TABLE causes auto_increment resequencing, resulting in duplicate entry '%-.192s' for key '%-.192s'"),
 /* ER_EVENT_MODIFY_QUEUE_ERROR */
-gettext_noop("Internal scheduler error %d"),
+N_("Internal scheduler error %d"),
 /* ER_EVENT_SET_VAR_ERROR */
-gettext_noop("Error during starting/stopping of the scheduler. Error code %u"),
+N_("Error during starting/stopping of the scheduler. Error code %u"),
 /* ER_PARTITION_MERGE_ERROR */
-gettext_noop("Engine cannot be used in partitioned tables"),
+N_("Engine cannot be used in partitioned tables"),
 /* ER_CANT_ACTIVATE_LOG */
-gettext_noop("Cannot activate '%-.64s' log"),
+N_("Cannot activate '%-.64s' log"),
 /* ER_RBR_NOT_AVAILABLE */
-gettext_noop("The server was not built with row-based replication"),
+N_("The server was not built with row-based replication"),
 /* ER_BASE64_DECODE_ERROR */
-gettext_noop("Decoding of base64 string failed"),
+N_("Decoding of base64 string failed"),
 /* ER_EVENT_RECURSION_FORBIDDEN */
-gettext_noop("Recursion of EVENT DDL statements is forbidden when body is present"),
+N_("Recursion of EVENT DDL statements is forbidden when body is present"),
 /* ER_EVENTS_DB_ERROR */
-gettext_noop("Cannot proceed because system tables used by Event Scheduler were found damaged at server start"),
+N_("Cannot proceed because system tables used by Event Scheduler were found damaged at server start"),
 /* ER_ONLY_INTEGERS_ALLOWED */
-gettext_noop("Only integers allowed as number here"),
+N_("Only integers allowed as number here"),
 /* ER_UNSUPORTED_LOG_ENGINE */
-gettext_noop("This storage engine cannot be used for log tables"),
+N_("This storage engine cannot be used for log tables"),
 /* ER_BAD_LOG_STATEMENT */
-gettext_noop("You cannot '%s' a log table if logging is enabled"),
+N_("You cannot '%s' a log table if logging is enabled"),
 /* ER_CANT_RENAME_LOG_TABLE */
-gettext_noop("Cannot rename '%s'. When logging enabled, rename to/from log table must rename two tables: the log table to an archive table and another table back to '%s'"),
+N_("Cannot rename '%s'. When logging enabled, rename to/from log table must rename two tables: the log table to an archive table and another table back to '%s'"),
 /* ER_WRONG_PARAMCOUNT_TO_NATIVE_FCT 42000 */
-gettext_noop("Incorrect parameter count in the call to native function '%-.192s'"),
+N_("Incorrect parameter count in the call to native function '%-.192s'"),
 /* ER_WRONG_PARAMETERS_TO_NATIVE_FCT 42000 */
-gettext_noop("Incorrect parameters in the call to native function '%-.192s'"),
+N_("Incorrect parameters in the call to native function '%-.192s'"),
 /* ER_WRONG_PARAMETERS_TO_STORED_FCT 42000   */
-gettext_noop("Incorrect parameters in the call to stored function '%-.192s'"),
+N_("Incorrect parameters in the call to stored function '%-.192s'"),
 /* ER_NATIVE_FCT_NAME_COLLISION */
-gettext_noop("This function '%-.192s' has the same name as a native function"),
+N_("This function '%-.192s' has the same name as a native function"),
 /* ER_DUP_ENTRY_WITH_KEY_NAME 23000 S1009 */
-gettext_noop("Duplicate entry '%-.64s' for key '%-.192s'"),
+N_("Duplicate entry '%-.64s' for key '%-.192s'"),
 /* ER_BINLOG_PURGE_EMFILE */
-gettext_noop("Too many files opened, please execute the command again"),
+N_("Too many files opened, please execute the command again"),
 /* ER_EVENT_CANNOT_CREATE_IN_THE_PAST */
-gettext_noop("Event execution time is in the past and ON COMPLETION NOT PRESERVE is set. The event was dropped immediately after creation."),
+N_("Event execution time is in the past and ON COMPLETION NOT PRESERVE is set. The event was dropped immediately after creation."),
 /* ER_EVENT_CANNOT_ALTER_IN_THE_PAST */
-gettext_noop("Event execution time is in the past and ON COMPLETION NOT PRESERVE is set. The event was dropped immediately after creation."),
+N_("Event execution time is in the past and ON COMPLETION NOT PRESERVE is set. The event was dropped immediately after creation."),
 /* ER_SLAVE_INCIDENT */
-gettext_noop("The incident %s occured on the master. Message: %-.64s"),
+N_("The incident %s occured on the master. Message: %-.64s"),
 /* ER_NO_PARTITION_FOR_GIVEN_VALUE_SILENT */
-gettext_noop("Table has no partition for some existing values"),
+N_("Table has no partition for some existing values"),
 /* ER_BINLOG_UNSAFE_STATEMENT */
-gettext_noop("Statement is not safe to log in statement format."),
+N_("Statement is not safe to log in statement format."),
 /* ER_SLAVE_FATAL_ERROR */
-gettext_noop("Fatal error: %s"),
+N_("Fatal error: %s"),
 /* ER_SLAVE_RELAY_LOG_READ_FAILURE */
-gettext_noop("Relay log read failure: %s"),
+N_("Relay log read failure: %s"),
 /* ER_SLAVE_RELAY_LOG_WRITE_FAILURE */
-gettext_noop("Relay log write failure: %s"),
+N_("Relay log write failure: %s"),
 /* ER_SLAVE_CREATE_EVENT_FAILURE */
-gettext_noop("Failed to create %s"),
+N_("Failed to create %s"),
 /* ER_SLAVE_MASTER_COM_FAILURE */
-gettext_noop("Master command %s failed: %s"),
+N_("Master command %s failed: %s"),
 /* ER_BINLOG_LOGGING_IMPOSSIBLE */
-gettext_noop("Binary logging not possible. Message: %s"),
+N_("Binary logging not possible. Message: %s"),
 /* ER_VIEW_NO_CREATION_CTX */
-gettext_noop("View `%-.64s`.`%-.64s` has no creation context"),
+N_("View `%-.64s`.`%-.64s` has no creation context"),
 /* ER_VIEW_INVALID_CREATION_CTX */
-gettext_noop("Creation context of view `%-.64s`.`%-.64s' is invalid"),
+N_("Creation context of view `%-.64s`.`%-.64s' is invalid"),
 /* ER_SR_INVALID_CREATION_CTX */
-gettext_noop("Creation context of stored routine `%-.64s`.`%-.64s` is invalid"),
+N_("Creation context of stored routine `%-.64s`.`%-.64s` is invalid"),
 /* ER_TRG_CORRUPTED_FILE */
-gettext_noop("Corrupted TRG file for table `%-.64s`.`%-.64s`"),
+N_("Corrupted TRG file for table `%-.64s`.`%-.64s`"),
 /* ER_TRG_NO_CREATION_CTX */
-gettext_noop("Triggers for table `%-.64s`.`%-.64s` have no creation context"),
+N_("Triggers for table `%-.64s`.`%-.64s` have no creation context"),
 /* ER_TRG_INVALID_CREATION_CTX */
-gettext_noop("Trigger creation context of table `%-.64s`.`%-.64s` is invalid"),
+N_("Trigger creation context of table `%-.64s`.`%-.64s` is invalid"),
 /* ER_EVENT_INVALID_CREATION_CTX */
-gettext_noop("Creation context of event `%-.64s`.`%-.64s` is invalid"),
+N_("Creation context of event `%-.64s`.`%-.64s` is invalid"),
 /* ER_TRG_CANT_OPEN_TABLE */
-gettext_noop("Cannot open table for trigger `%-.64s`.`%-.64s`"),
+N_("Cannot open table for trigger `%-.64s`.`%-.64s`"),
 /* ER_CANT_CREATE_SROUTINE */
-gettext_noop("Cannot create stored routine `%-.64s`. Check warnings"),
+N_("Cannot create stored routine `%-.64s`. Check warnings"),
 /* ER_SLAVE_AMBIGOUS_EXEC_MODE */
-gettext_noop("Ambiguous slave modes combination. %s"),
+N_("Ambiguous slave modes combination. %s"),
 /* ER_NO_FORMAT_DESCRIPTION_EVENT_BEFORE_BINLOG_STATEMENT */
-gettext_noop("The BINLOG statement of type `%s` was not preceded by a format description BINLOG statement."),
+N_("The BINLOG statement of type `%s` was not preceded by a format description BINLOG statement."),
 /* ER_SLAVE_CORRUPT_EVENT */
-gettext_noop("Corrupted replication event was detected"),
+N_("Corrupted replication event was detected"),
 /* ER_LOAD_DATA_INVALID_COLUMN */
-gettext_noop("Invalid column reference (%-.64s) in LOAD DATA"),
+N_("Invalid column reference (%-.64s) in LOAD DATA"),
 /* ER_LOG_PURGE_NO_FILE   */
-gettext_noop("Being purged log %s was not found"),
+N_("Being purged log %s was not found"),
 /* ER_WARN_AUTO_CONVERT_LOCK */
-gettext_noop("Converted to non-transactional lock on '%-.64s'"),
+N_("Converted to non-transactional lock on '%-.64s'"),
 /* ER_NO_AUTO_CONVERT_LOCK_STRICT */
-gettext_noop("Cannot convert to non-transactional lock in strict mode on '%-.64s'"),
+N_("Cannot convert to non-transactional lock in strict mode on '%-.64s'"),
 /* ER_NO_AUTO_CONVERT_LOCK_TRANSACTION */
-gettext_noop("Cannot convert to non-transactional lock in an active transaction on '%-.64s'"),
+N_("Cannot convert to non-transactional lock in an active transaction on '%-.64s'"),
 /* ER_NO_STORAGE_ENGINE */
-gettext_noop("Can't access storage engine of table %-.64s"),
+N_("Can't access storage engine of table %-.64s"),
 /* ER_BACKUP_BACKUP_START */
-gettext_noop("Starting backup process"),
+N_("Starting backup process"),
 /* ER_BACKUP_BACKUP_DONE */
-gettext_noop("Backup completed"),
+N_("Backup completed"),
 /* ER_BACKUP_RESTORE_START */
-gettext_noop("Starting restore process"),
+N_("Starting restore process"),
 /* ER_BACKUP_RESTORE_DONE */
-gettext_noop("Restore completed"),
+N_("Restore completed"),
 /* ER_BACKUP_NOTHING_TO_BACKUP */
-gettext_noop("Nothing to backup"),
+N_("Nothing to backup"),
 /* ER_BACKUP_CANNOT_INCLUDE_DB */
-gettext_noop("Database '%-.64s' cannot be included in a backup"),
+N_("Database '%-.64s' cannot be included in a backup"),
 /* ER_BACKUP_BACKUP */
-gettext_noop("Error during backup operation - server's error log contains more information about the error"),
+N_("Error during backup operation - server's error log contains more information about the error"),
 /* ER_BACKUP_RESTORE */
-gettext_noop("Error during restore operation - server's error log contains more information about the error"),
+N_("Error during restore operation - server's error log contains more information about the error"),
 /* ER_BACKUP_RUNNING */
-gettext_noop("Can't execute this command because another BACKUP/RESTORE operation is in progress"),
+N_("Can't execute this command because another BACKUP/RESTORE operation is in progress"),
 /* ER_BACKUP_BACKUP_PREPARE */
-gettext_noop("Error when preparing for backup operation"),
+N_("Error when preparing for backup operation"),
 /* ER_BACKUP_RESTORE_PREPARE */
-gettext_noop("Error when preparing for restore operation"),
+N_("Error when preparing for restore operation"),
 /* ER_BACKUP_INVALID_LOC */
-gettext_noop("Invalid backup location '%-.64s'"),
+N_("Invalid backup location '%-.64s'"),
 /* ER_BACKUP_READ_LOC */
-gettext_noop("Can't read backup location '%-.64s'"),
+N_("Can't read backup location '%-.64s'"),
 /* ER_BACKUP_WRITE_LOC */
-gettext_noop("Can't write to backup location '%-.64s' (file already exists?)"),
+N_("Can't write to backup location '%-.64s' (file already exists?)"),
 /* ER_BACKUP_LIST_DBS */
-gettext_noop("Can't enumerate server databases"),
+N_("Can't enumerate server databases"),
 /* ER_BACKUP_LIST_TABLES */
-gettext_noop("Can't enumerate server tables"),
+N_("Can't enumerate server tables"),
 /* ER_BACKUP_LIST_DB_TABLES */
-gettext_noop("Can't enumerate tables in database %-.64s"),
+N_("Can't enumerate tables in database %-.64s"),
 /* ER_BACKUP_SKIP_VIEW */
-gettext_noop("Skipping view %-.64s in database %-.64s"),
+N_("Skipping view %-.64s in database %-.64s"),
 /* ER_BACKUP_NO_ENGINE */
-gettext_noop("Skipping table %-.64s since it has no valid storage engine"),
+N_("Skipping table %-.64s since it has no valid storage engine"),
 /* ER_BACKUP_TABLE_OPEN */
-gettext_noop("Can't open table %-.64s"),
+N_("Can't open table %-.64s"),
 /* ER_BACKUP_READ_HEADER */
-gettext_noop("Can't read backup archive preamble"),
+N_("Can't read backup archive preamble"),
 /* ER_BACKUP_WRITE_HEADER */
-gettext_noop("Can't write backup archive preamble"),
+N_("Can't write backup archive preamble"),
 /* ER_BACKUP_NO_BACKUP_DRIVER */
-gettext_noop("Can't find backup driver for table %-.64s"),
+N_("Can't find backup driver for table %-.64s"),
 /* ER_BACKUP_NOT_ACCEPTED */
-gettext_noop("%-.64s backup driver was selected for table %-.64s but it rejects to handle this table"),
+N_("%-.64s backup driver was selected for table %-.64s but it rejects to handle this table"),
 /* ER_BACKUP_CREATE_BACKUP_DRIVER */
-gettext_noop("Can't create %-.64s backup driver"),
+N_("Can't create %-.64s backup driver"),
 /* ER_BACKUP_CREATE_RESTORE_DRIVER */
-gettext_noop("Can't create %-.64s restore driver"),
+N_("Can't create %-.64s restore driver"),
 /* ER_BACKUP_TOO_MANY_IMAGES */
-gettext_noop("Found %d images in backup archive but maximum %d are supported"),
+N_("Found %d images in backup archive but maximum %d are supported"),
 /* ER_BACKUP_WRITE_META */
-gettext_noop("Error when saving meta-data of %-.64s"),
+N_("Error when saving meta-data of %-.64s"),
 /* ER_BACKUP_READ_META */
-gettext_noop("Error when reading meta-data list"),
+N_("Error when reading meta-data list"),
 /* ER_BACKUP_CREATE_META */
-gettext_noop("Can't create %-.64s"),
+N_("Can't create %-.64s"),
 /* ER_BACKUP_GET_BUF */
-gettext_noop("Can't allocate buffer for image data transfer"),
+N_("Can't allocate buffer for image data transfer"),
 /* ER_BACKUP_WRITE_DATA */
-gettext_noop("Error when writing %-.64s backup image data (for table #%d)"),
+N_("Error when writing %-.64s backup image data (for table #%d)"),
 /* ER_BACKUP_READ_DATA */
-gettext_noop("Error when reading data from backup stream"),
+N_("Error when reading data from backup stream"),
 /* ER_BACKUP_NEXT_CHUNK */
-gettext_noop("Can't go to the next chunk in backup stream"),
+N_("Can't go to the next chunk in backup stream"),
 /* ER_BACKUP_INIT_BACKUP_DRIVER */
-gettext_noop("Can't initialize %-.64s backup driver"),
+N_("Can't initialize %-.64s backup driver"),
 /* ER_BACKUP_INIT_RESTORE_DRIVER */
-gettext_noop("Can't initialize %-.64s restore driver"),
+N_("Can't initialize %-.64s restore driver"),
 /* ER_BACKUP_STOP_BACKUP_DRIVER */
-gettext_noop("Can't shut down %-.64s backup driver"),
+N_("Can't shut down %-.64s backup driver"),
 /* ER_BACKUP_STOP_RESTORE_DRIVERS */
-gettext_noop("Can't shut down %-.64s backup driver(s)"),
+N_("Can't shut down %-.64s backup driver(s)"),
 /* ER_BACKUP_PREPARE_DRIVER */
-gettext_noop("%-.64s backup driver can't prepare for synchronization"),
+N_("%-.64s backup driver can't prepare for synchronization"),
 /* ER_BACKUP_CREATE_VP */
-gettext_noop("%-.64s backup driver can't create its image validity point"),
+N_("%-.64s backup driver can't create its image validity point"),
 /* ER_BACKUP_UNLOCK_DRIVER */
-gettext_noop("Can't unlock %-.64s backup driver after creating the validity point"),
+N_("Can't unlock %-.64s backup driver after creating the validity point"),
 /* ER_BACKUP_CANCEL_BACKUP */
-gettext_noop("%-.64s backup driver can't cancel its backup operation"),
+N_("%-.64s backup driver can't cancel its backup operation"),
 /* ER_BACKUP_CANCEL_RESTORE */
-gettext_noop("%-.64s restore driver can't cancel its restore operation"),
+N_("%-.64s restore driver can't cancel its restore operation"),
 /* ER_BACKUP_GET_DATA */
-gettext_noop("Error when polling %-.64s backup driver for its image data"),
+N_("Error when polling %-.64s backup driver for its image data"),
 /* ER_BACKUP_SEND_DATA */
-gettext_noop("Error when sending image data (for table #%d) to %-.64s restore driver"),
+N_("Error when sending image data (for table #%d) to %-.64s restore driver"),
 /* ER_BACKUP_SEND_DATA_RETRY */
-gettext_noop("After %d attempts %-.64s restore driver still can't accept next block of data"),
+N_("After %d attempts %-.64s restore driver still can't accept next block of data"),
 /* ER_BACKUP_OPEN_TABLES */
-gettext_noop("Open and lock tables failed in %-.64s"),
+N_("Open and lock tables failed in %-.64s"),
 /* ER_BACKUP_THREAD_INIT */
-gettext_noop("Backup driver's table locking thread can not be initialized."),
+N_("Backup driver's table locking thread can not be initialized."),
 /* ER_BACKUP_PROGRESS_TABLES */
-gettext_noop("Can't open the online backup progress tables. Check 'mysql.online_backup' and 'mysql.online_backup_progress'."),
+N_("Can't open the online backup progress tables. Check 'mysql.online_backup' and 'mysql.online_backup_progress'."),
 /* ER_TABLESPACE_EXIST */
-gettext_noop("Tablespace '%-.192s' already exists"),
+N_("Tablespace '%-.192s' already exists"),
 /* ER_NO_SUCH_TABLESPACE */
-gettext_noop("Tablespace '%-.192s' doesn't exist"),
+N_("Tablespace '%-.192s' doesn't exist"),
 /* ER_SLAVE_HEARTBEAT_FAILURE */
-gettext_noop("Unexpected master's heartbeat data: %s"),
+N_("Unexpected master's heartbeat data: %s"),
 /* ER_SLAVE_HEARTBEAT_VALUE_OUT_OF_RANGE */
-gettext_noop("The requested value for the heartbeat period %s %s"),
+N_("The requested value for the heartbeat period %s %s"),
 /* ER_BACKUP_LOG_WRITE_ERROR */
-gettext_noop("Can't write to the online backup progress log %-.64s."),
+N_("Can't write to the online backup progress log %-.64s."),
 /* ER_TABLESPACE_NOT_EMPTY */
-gettext_noop("Tablespace '%-.192s' not empty"),
+N_("Tablespace '%-.192s' not empty"),
 /* ER_BACKUP_TS_CHANGE */
-gettext_noop("Tablespace `%-.64s` needed by tables being restored has changed on the server. The original definition of the required tablespace is '%-.256s' while the same tablespace is defined on the server as '%-.256s'")
+N_("Tablespace `%-.64s` needed by tables being restored has changed on the server. The original definition of the required tablespace is '%-.256s' while the same tablespace is defined on the server as '%-.256s'")
 };
 
 #endif

=== modified file 'drizzled/global.h'
--- drizzled/global.h	2008-08-01 19:02:15 +0000
+++ drizzled/global.h	2008-08-04 06:46:27 +0000
@@ -345,6 +345,10 @@
 typedef unsigned short ushort;
 #endif
 
+/* Declared in int2str() */
+extern char _dig_vec_upper[];
+extern char _dig_vec_lower[];
+
 #define CMP_NUM(a,b)    (((a) < (b)) ? -1 : ((a) == (b)) ? 0 : 1)
 #define sgn(a)		(((a) < 0) ? -1 : ((a) > 0) ? 1 : 0)
 #define swap_variables(t, a, b) { register t dummy; dummy= a; a= b; b= dummy; }

=== modified file 'drizzled/log_event.cc'
--- drizzled/log_event.cc	2008-08-01 22:33:44 +0000
+++ drizzled/log_event.cc	2008-08-04 05:06:24 +0000
@@ -7401,8 +7401,7 @@
      values filled in and one flag to handle the case that the default
      values should be checked. Maybe these two flags can be combined.
   */
-  if ((error= prepare_record(table, &m_cols, m_width,
-                             table->file->ht->db_type != DB_TYPE_NDBCLUSTER)))
+  if ((error= prepare_record(table, &m_cols, m_width, true)))
     return(error);
   
   /* unpack row into table->record[0] */

=== modified file 'drizzled/rpl_mi.cc'
--- drizzled/rpl_mi.cc	2008-07-30 05:33:20 +0000
+++ drizzled/rpl_mi.cc	2008-08-04 08:36:15 +0000
@@ -16,6 +16,7 @@
 #include "mysql_priv.h"
 
 #include "rpl_mi.h"
+#include <libdrizzle/gettext.h>
 
 #ifdef HAVE_REPLICATION
 
@@ -146,13 +147,13 @@
       my_close(fd, MYF(MY_WME));
     if ((fd = my_open(fname, O_CREAT|O_RDWR|O_BINARY, MYF(MY_WME))) < 0 )
     {
-      sql_print_error("Failed to create a new master info file (file '%s', errno %d)", fname, my_errno);
+      sql_print_error(_("Failed to create a new master info file (file '%s', errno %d)"), fname, my_errno);
       goto err;
     }
     if (init_io_cache(&mi->file, fd, IO_SIZE*2, READ_CACHE, 0L,0,
                       MYF(MY_WME)))
     {
-      sql_print_error("Failed to create a cache on master info file (file '%s')", fname);
+      sql_print_error(_("Failed to create a cache on master info file (file '%s')"), fname);
       goto err;
     }
 
@@ -168,13 +169,13 @@
     {
       if ((fd = my_open(fname, O_RDWR|O_BINARY, MYF(MY_WME))) < 0 )
       {
-        sql_print_error("Failed to open the existing master info file (file '%s', errno %d)", fname, my_errno);
+        sql_print_error(_("Failed to open the existing master info file (file '%s', errno %d)"), fname, my_errno);
         goto err;
       }
       if (init_io_cache(&mi->file, fd, IO_SIZE*2, READ_CACHE, 0L,
                         0, MYF(MY_WME)))
       {
-        sql_print_error("Failed to create a cache on master info file (file '%s')", fname);
+        sql_print_error(_("Failed to create a cache on master info file (file '%s')"), fname);
         goto err;
       }
     }
@@ -274,9 +275,9 @@
     }
 
     if (ssl)
-      sql_print_warning("SSL information in the master info file "
-                      "('%s') are ignored because this MySQL slave was "
-                      "compiled without SSL support.", fname);
+      sql_print_warning(_("SSL information in the master info file "
+                          "('%s') are ignored because this MySQL slave was "
+                          "compiled without SSL support."), fname);
 
     /*
       This has to be handled here as init_intvar_from_file can't handle
@@ -298,12 +299,12 @@
   // now change cache READ -> WRITE - must do this before flush_master_info
   reinit_io_cache(&mi->file, WRITE_CACHE, 0L, 0, 1);
   if ((error=test(flush_master_info(mi, 1))))
-    sql_print_error("Failed to flush master info file");
+    sql_print_error(_("Failed to flush master info file"));
   pthread_mutex_unlock(&mi->data_lock);
   return(error);
 
 errwithmsg:
-  sql_print_error("Error reading master configuration");
+  sql_print_error(_("Error reading master configuration"));
 
 err:
   if (fd >= 0)

=== modified file 'drizzled/rpl_reporting.cc'
--- drizzled/rpl_reporting.cc	2008-07-10 01:53:34 +0000
+++ drizzled/rpl_reporting.cc	2008-08-04 08:36:15 +0000
@@ -1,6 +1,7 @@
 
 #include "mysql_priv.h"
 #include "rpl_reporting.h"
+#include <libdrizzle/gettext.h>
 
 void
 Slave_reporting_capability::report(loglevel level, int err_code,
@@ -41,7 +42,7 @@
   va_end(args);
 
   /* If the msg string ends with '.', do not add a ',' it would be ugly */
-  report_function("Slave %s: %s%s Error_code: %d",
+  report_function(_("Slave %s: %s%s Error_code: %d"),
                   m_thread_name, pbuff,
                   (pbuff[0] && *(strend(pbuff)-1) == '.') ? "" : ",",
                   err_code);

=== modified file 'drizzled/rpl_utility.cc'
--- drizzled/rpl_utility.cc	2008-08-01 22:33:44 +0000
+++ drizzled/rpl_utility.cc	2008-08-04 08:36:15 +0000
@@ -16,6 +16,7 @@
 #include "rpl_utility.h"
 #include "rpl_rli.h"
 #include <drizzled/drizzled_error_messages.h>
+#include <libdrizzle/gettext.h>
 
 /*********************************************************************
  *                   table_def member definitions                    *
@@ -119,8 +120,8 @@
       assert(tsh->db.str && tsh->table_name.str);
       error= 1;
       char buf[256];
-      snprintf(buf, sizeof(buf), "Column %d type mismatch - "
-                "received type %d, %s.%s has type %d",
+      snprintf(buf, sizeof(buf), _("Column %d type mismatch - "
+                "received type %d, %s.%s has type %d"),
                 col, type(col), tsh->db.str, tsh->table_name.str,
                 table->field[col]->type());
       rli->report(ERROR_LEVEL, ER_BINLOG_ROW_WRONG_TABLE_DEF,
@@ -134,10 +135,10 @@
     {
       error= 1;
       char buf[256];
-      snprintf(buf, sizeof(buf), "Column %d size mismatch - "
+      snprintf(buf, sizeof(buf), _("Column %d size mismatch - "
                "master has size %d, %s.%s on slave has size %d."
                " Master's column size should be <= the slave's "
-               "column size.", col,
+               "column size."), col,
                table->field[col]->pack_length_from_metadata(
                                     m_field_metadata[col]),
                tsh->db.str, tsh->table_name.str, 

=== modified file 'drizzled/slave.cc'
--- drizzled/slave.cc	2008-08-02 02:42:57 +0000
+++ drizzled/slave.cc	2008-08-04 19:37:18 +0000
@@ -88,33 +88,33 @@
 static const char *reconnect_messages[SLAVE_RECON_ACT_MAX][SLAVE_RECON_MSG_MAX]=
 {
   {
-    gettext_noop("Waiting to reconnect after a failed registration on master"),
-    gettext_noop("Slave I/O thread killed while waitnig to reconnect after a "
+    N_("Waiting to reconnect after a failed registration on master"),
+    N_("Slave I/O thread killed while waitnig to reconnect after a "
                  "failed registration on master"),
-    gettext_noop("Reconnecting after a failed registration on master"),
-    gettext_noop("failed registering on master, reconnecting to try again, "
+    N_("Reconnecting after a failed registration on master"),
+    N_("failed registering on master, reconnecting to try again, "
                  "log '%s' at postion %s"),
     "COM_REGISTER_SLAVE",
-    gettext_noop("Slave I/O thread killed during or after reconnect")
+    N_("Slave I/O thread killed during or after reconnect")
   },
   {
-    gettext_noop("Waiting to reconnect after a failed binlog dump request"),
-    gettext_noop("Slave I/O thread killed while retrying master dump"),
-    gettext_noop("Reconnecting after a failed binlog dump request"),
-    gettext_noop("failed dump request, reconnecting to try again, "
+    N_("Waiting to reconnect after a failed binlog dump request"),
+    N_("Slave I/O thread killed while retrying master dump"),
+    N_("Reconnecting after a failed binlog dump request"),
+    N_("failed dump request, reconnecting to try again, "
                  "log '%s' at postion %s"),
     "COM_BINLOG_DUMP",
-    gettext_noop("Slave I/O thread killed during or after reconnect")
+    N_("Slave I/O thread killed during or after reconnect")
   },
   {
-    gettext_noop("Waiting to reconnect after a failed master event read"),
-    gettext_noop("Slave I/O thread killed while waiting to reconnect "
+    N_("Waiting to reconnect after a failed master event read"),
+    N_("Slave I/O thread killed while waiting to reconnect "
                  "after a failed read"),
-    gettext_noop("Reconnecting after a failed master event read"),
-    gettext_noop("Slave I/O thread: Failed reading log event, "
+    N_("Reconnecting after a failed master event read"),
+    N_("Slave I/O thread: Failed reading log event, "
                  "reconnecting to retry, log '%s' at postion %s"),
     "",
-    gettext_noop("Slave I/O thread killed during or after a "
+    N_("Slave I/O thread killed during or after a "
                  "reconnect done to recover from failed read")
   }
 };
@@ -615,12 +615,12 @@
     if (difftime(time(0), rli->last_event_start_time) > 60)
     {
       rli->report(ERROR_LEVEL, 0,
-                  "SQL thread had to stop in an unsafe situation, in "
+                  _("SQL thread had to stop in an unsafe situation, in "
                   "the middle of applying updates to a "
                   "non-transactional table without any primary key. "
                   "There is a risk of duplicate updates when the slave "
                   "SQL thread is restarted. Please check your tables' "
-                  "contents after restart.");
+                  "contents after restart."));
       return(1);
     }
   }
@@ -1690,10 +1690,10 @@
     {
       char buf[22];
       rli->report(ERROR_LEVEL, ER_UNKNOWN_ERROR,
-                  "It was not possible to update the positions"
+                  _("It was not possible to update the positions"
                   " of the relay log information: the slave may"
                   " be in an inconsistent state."
-                  " Stopped in %s position %s",
+                  " Stopped in %s position %s"),
                   rli->group_relay_log_name,
                   llstr(rli->group_relay_log_pos, buf));
       return(2);
@@ -1862,15 +1862,16 @@
   }
   pthread_mutex_unlock(&rli->data_lock);
   rli->report(ERROR_LEVEL, ER_SLAVE_RELAY_LOG_READ_FAILURE,
-              ER(ER_SLAVE_RELAY_LOG_READ_FAILURE), "\
-Could not parse relay log event entry. The possible reasons are: the master's \
-binary log is corrupted (you can check this by running 'mysqlbinlog' on the \
-binary log), the slave's relay log is corrupted (you can check this by running \
-'mysqlbinlog' on the relay log), a network problem, or a bug in the master's \
-or slave's DRIZZLE code. If you want to check the master's binary log or slave's \
-relay log, you will be able to know their names by issuing 'SHOW SLAVE STATUS' \
-on this slave.\
-");
+              ER(ER_SLAVE_RELAY_LOG_READ_FAILURE),
+              _("Could not parse relay log event entry. The possible reasons "
+                "are: the master's binary log is corrupted (you can check this "
+                "by running 'mysqlbinlog' on the binary log), the slave's "
+                "relay log is corrupted (you can check this by running "
+                "'mysqlbinlog' on the relay log), a network problem, or a bug "
+                "in the master's or slave's DRIZZLE code. If you want to check "
+                "the master's binary log or slave's relay log, you will be "
+                "able to know their names by issuing 'SHOW SLAVE STATUS' "
+                "on this slave."));
   return(1);
 }
 
@@ -2000,7 +2001,7 @@
   if (!(mi->drizzle= drizzle = drizzle_create(NULL)))
   {
     mi->report(ERROR_LEVEL, ER_SLAVE_FATAL_ERROR,
-               ER(ER_SLAVE_FATAL_ERROR), "error in drizzle_create()");
+               ER(ER_SLAVE_FATAL_ERROR), _("error in drizzle_create()"));
     goto err;
   }
 
@@ -2575,7 +2576,7 @@
         {
           mi->report(ERROR_LEVEL, ER_SLAVE_RELAY_LOG_WRITE_FAILURE,
                      ER(ER_SLAVE_RELAY_LOG_WRITE_FAILURE),
-                     "error writing Exec_load event to relay log");
+                     _("error writing Exec_load event to relay log"));
           goto err;
         }
         mi->rli.relay_log.harvest_bytes_written(&mi->rli.log_space_total);
@@ -2589,7 +2590,7 @@
         {
           mi->report(ERROR_LEVEL, ER_SLAVE_RELAY_LOG_WRITE_FAILURE,
                      ER(ER_SLAVE_RELAY_LOG_WRITE_FAILURE),
-                     "error writing Create_file event to relay log");
+                     _("error writing Create_file event to relay log"));
           goto err;
         }
         cev_not_written=0;
@@ -2604,7 +2605,7 @@
         {
           mi->report(ERROR_LEVEL, ER_SLAVE_RELAY_LOG_WRITE_FAILURE,
                      ER(ER_SLAVE_RELAY_LOG_WRITE_FAILURE),
-                     "error writing Append_block event to relay log");
+                     _("error writing Append_block event to relay log"));
           goto err;
         }
         mi->rli.relay_log.harvest_bytes_written(&mi->rli.log_space_total) ;
@@ -2700,7 +2701,7 @@
     if (unlikely(!(tmp_buf=(char*)my_malloc(event_len+1,MYF(MY_WME)))))
     {
       mi->report(ERROR_LEVEL, ER_SLAVE_FATAL_ERROR,
-                 ER(ER_SLAVE_FATAL_ERROR), "Memory allocation failed");
+                 ER(ER_SLAVE_FATAL_ERROR), _("Memory allocation failed"));
       return(1);
     }
     memcpy(tmp_buf,buf,event_len);
@@ -3082,9 +3083,9 @@
 err:
   pthread_mutex_unlock(&mi->data_lock);
   if (error)
-    mi->report(ERROR_LEVEL, error, ER(error), 
+    mi->report(ERROR_LEVEL, error, ER(error),
                (error == ER_SLAVE_RELAY_LOG_WRITE_FAILURE)?
-               "could not queue event from master" :
+               _("could not queue event from master") :
                error_msg.ptr());
   return(error);
 }
@@ -3178,9 +3179,9 @@
       last_errno=drizzle_errno(drizzle);
       suppress_warnings= 0;
       mi->report(ERROR_LEVEL, last_errno,
-                 "error %s to master '%s@%s:%d'"
-                 " - retry-time: %d  retries: %u",
-                 (reconnect ? "reconnecting" : "connecting"),
+                 _("error %s to master '%s@%s:%d'"
+                   " - retry-time: %d  retries: %u"),
+                 (reconnect ? _("reconnecting") : _("connecting")),
                  mi->user, mi->host, mi->port,
                  mi->connect_retry, master_retry_count);
     }

=== modified file 'drizzled/sql_repl.cc'
--- drizzled/sql_repl.cc	2008-08-01 22:33:44 +0000
+++ drizzled/sql_repl.cc	2008-08-04 07:32:02 +0000
@@ -21,6 +21,7 @@
 #include "log_event.h"
 #include "rpl_filter.h"
 #include <drizzled/drizzled_error_messages.h>
+#include <libdrizzle/gettext.h>
 
 int max_binlog_dump_events = 0; // unlimited
 
@@ -98,7 +99,7 @@
   */
   if (net_flush(net) || (packet_len = my_net_read(net)) == packet_error)
   {
-    errmsg = "while reading file name";
+    errmsg = _("Failed in send_file() while reading file name");
     goto err;
   }
 
@@ -111,7 +112,7 @@
 
   if ((fd = my_open(fname, O_RDONLY, MYF(0))) < 0)
   {
-    errmsg = "on open of file";
+    errmsg = _("Failed in send_file() on open of file");
     goto err;
   }
 
@@ -119,7 +120,7 @@
   {
     if (my_net_write(net, buf, bytes))
     {
-      errmsg = "while writing data to client";
+      errmsg = _("Failed in send_file() while writing data to client");
       goto err;
     }
   }
@@ -128,7 +129,7 @@
   if (my_net_write(net, (uchar*) "", 0) || net_flush(net) ||
       (my_net_read(net) == packet_error))
   {
-    errmsg = "while negotiating file transfer close";
+    errmsg = _("Failed in send_file() while negotiating file transfer close");
     goto err;
   }
   error = 0;
@@ -139,7 +140,7 @@
     (void) my_close(fd, MYF(0));
   if (errmsg)
   {
-    sql_print_error("Failed in send_file() %s", errmsg);
+    sql_print_error(errmsg);
   }
   return(error);
 }

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2008-08-02 00:10:25 +0000
+++ drizzled/table.cc	2008-08-04 19:48:27 +0000
@@ -543,9 +543,9 @@
     if (use_mb(default_charset_info))
     {
       /* Warn that we may be changing the size of character columns */
-      sql_print_warning("'%s' had no or invalid character set, "
+      sql_print_warning(_("'%s' had no or invalid character set, "
                         "and default character set is multi-byte, "
-                        "so character column sizes may have changed",
+                        "so character column sizes may have changed"),
                         share->path.str);
     }
     share->table_charset= default_charset_info;
@@ -980,14 +980,14 @@
       field_length= my_decimal_precision_to_length(field_length,
                                                    decimals,
                                                    f_is_dec(pack_flag) == 0);
-      sql_print_error("Found incompatible DECIMAL field '%s' in %s; "
-                      "Please do \"ALTER TABLE '%s' FORCE\" to fix it!",
+      sql_print_error(_("Found incompatible DECIMAL field '%s' in %s; "
+                      "Please do \"ALTER TABLE '%s' FORCE\" to fix it!"),
                       share->fieldnames.type_names[i], share->table_name.str,
                       share->table_name.str);
       push_warning_printf(thd, MYSQL_ERROR::WARN_LEVEL_ERROR,
                           ER_CRASHED_ON_USAGE,
-                          "Found incompatible DECIMAL field '%s' in %s; "
-                          "Please do \"ALTER TABLE '%s' FORCE\" to fix it!",
+                          _("Found incompatible DECIMAL field '%s' in %s; "
+                          "Please do \"ALTER TABLE '%s' FORCE\" to fix it!"),
                           share->fieldnames.type_names[i],
                           share->table_name.str,
                           share->table_name.str);
@@ -1158,15 +1158,15 @@
             key_part->store_length-= (uint16_t)(key_part->length -
                                               field->key_length());
             key_part->length= (uint16_t)field->key_length();
-            sql_print_error("Found wrong key definition in %s; "
-                            "Please do \"ALTER TABLE '%s' FORCE \" to fix it!",
+            sql_print_error(_("Found wrong key definition in %s; "
+                            "Please do \"ALTER TABLE '%s' FORCE \" to fix it!"),
                             share->table_name.str,
                             share->table_name.str);
             push_warning_printf(thd, MYSQL_ERROR::WARN_LEVEL_ERROR,
                                 ER_CRASHED_ON_USAGE,
-                                "Found wrong key definition in %s; "
+                                _("Found wrong key definition in %s; "
                                 "Please do \"ALTER TABLE '%s' FORCE\" to fix "
-                                "it!",
+                                "it!"),
                                 share->table_name.str,
                                 share->table_name.str);
             share->crashed= 1;                // Marker for CHECK TABLE
@@ -1807,15 +1807,15 @@
       csname= tmp;
     }
     my_printf_error(ER_UNKNOWN_COLLATION,
-                    "Unknown collation '%s' in table '%-.64s' definition", 
+                    _("Unknown collation '%s' in table '%-.64s' definition"), 
                     MYF(0), csname, share->table_name.str);
     break;
   }
   case 6:
     strxmov(buff, share->normalized_path.str, reg_ext, NullS);
     my_printf_error(ER_NOT_FORM_FILE,
-                    "Table '%-.64s' was created with a different version "
-                    "of MySQL and cannot be read", 
+                    _("Table '%-.64s' was created with a different version "
+                    "of MySQL and cannot be read"), 
                     MYF(0), buff);
     break;
   case 8:
@@ -2403,8 +2403,8 @@
           Still this can be a sign of a tampered table, output an error
           to the error log.
         */
-        sql_print_error("Incorrect definition of table %s.%s: "
-                        "expected column '%s' at position %d, found '%s'.",
+        sql_print_error(_("Incorrect definition of table %s.%s: "
+                        "expected column '%s' at position %d, found '%s'."),
                         table->s->db.str, table->alias, table_def->name.str, i,
                         field->field_name);
       }
@@ -2429,29 +2429,29 @@
       if (strncmp(sql_type.c_ptr_safe(), table_def->type.str,
                   table_def->type.length - 1))
       {
-        sql_print_error("Incorrect definition of table %s.%s: "
+        sql_print_error(_("Incorrect definition of table %s.%s: "
                         "expected column '%s' at position %d to have type "
-                        "%s, found type %s.", table->s->db.str, table->alias,
+                        "%s, found type %s."), table->s->db.str, table->alias,
                         table_def->name.str, i, table_def->type.str,
                         sql_type.c_ptr_safe());
         error= true;
       }
       else if (table_def->cset.str && !field->has_charset())
       {
-        sql_print_error("Incorrect definition of table %s.%s: "
+        sql_print_error(_("Incorrect definition of table %s.%s: "
                         "expected the type of column '%s' at position %d "
                         "to have character set '%s' but the type has no "
-                        "character set.", table->s->db.str, table->alias,
+                        "character set."), table->s->db.str, table->alias,
                         table_def->name.str, i, table_def->cset.str);
         error= true;
       }
       else if (table_def->cset.str &&
                strcmp(field->charset()->csname, table_def->cset.str))
       {
-        sql_print_error("Incorrect definition of table %s.%s: "
+        sql_print_error(_("Incorrect definition of table %s.%s: "
                         "expected the type of column '%s' at position %d "
                         "to have character set '%s' but found "
-                        "character set '%s'.", table->s->db.str, table->alias,
+                        "character set '%s'."), table->s->db.str, table->alias,
                         table_def->name.str, i, table_def->cset.str,
                         field->charset()->csname);
         error= true;
@@ -2459,9 +2459,9 @@
     }
     else
     {
-      sql_print_error("Incorrect definition of table %s.%s: "
+      sql_print_error(_("Incorrect definition of table %s.%s: "
                       "expected column '%s' at position %d to have type %s "
-                      " but the column is not found.",
+                      " but the column is not found."),
                       table->s->db.str, table->alias,
                       table_def->name.str, i, table_def->type.str);
       error= true;

=== modified file 'drizzled/thr_malloc.cc'
--- drizzled/thr_malloc.cc	2008-08-01 22:33:44 +0000
+++ drizzled/thr_malloc.cc	2008-08-04 19:45:27 +0000
@@ -18,6 +18,7 @@
 
 #include "mysql_priv.h"
 #include <drizzled/drizzled_error_messages.h>
+#include <libdrizzle/gettext.h>
 
 extern "C" {
   void sql_alloc_error_handler(void)

=== modified file 'drizzled/tztime.cc'
--- drizzled/tztime.cc	2008-07-31 18:25:59 +0000
+++ drizzled/tztime.cc	2008-08-04 07:32:02 +0000
@@ -21,6 +21,7 @@
 #include <libdrizzle/my_time.h>
 
 #include "tzfile.h"
+#include <libdrizzle/gettext.h>
 
 /* Structure describing local time type (e.g. Moscow summer time (MSD)) */
 typedef struct ttinfo
@@ -1062,7 +1063,7 @@
     */
     if (!(global_system_variables.time_zone= my_tz_find(thd, &tmp_tzname2)))
     {
-      sql_print_error("Fatal error: Illegal or unknown default time zone '%s'",
+      sql_print_error(_("Fatal error: Illegal or unknown default time zone '%s'"),
                       default_tzname);
       return true;
     }

=== modified file 'drizzled/unireg.h'
--- drizzled/unireg.h	2008-08-01 22:33:44 +0000
+++ drizzled/unireg.h	2008-08-04 19:45:27 +0000
@@ -18,6 +18,8 @@
 
 #ifndef _unireg_h
 
+#include <libdrizzle/gettext.h>
+
 #ifndef NO_ALARM_LOOP
 #define NO_ALARM_LOOP		/* lib5 and popen can't use alarm */
 #endif
@@ -39,8 +41,8 @@
 #define PLUGINDIR	"lib/plugin"
 #endif
 
-#define ER(X) drizzled_error_messages[(X) - ER_ERROR_FIRST]
-#define ER_SAFE(X) (((X) >= ER_ERROR_FIRST && (X) <= ER_ERROR_LAST) ? ER(X) : "Invalid error code")
+#define ER(X) _(drizzled_error_messages[(X) - ER_ERROR_FIRST])
+#define ER_SAFE(X) (((X) >= ER_ERROR_FIRST && (X) <= ER_ERROR_LAST) ? ER(X) : _("Invalid error code"))
 
 
 #define ERRMAPP 1				/* Errormap f|r my_error */

=== modified file 'libdrizzle/client.c'
--- libdrizzle/client.c	2008-07-30 23:01:38 +0000
+++ libdrizzle/client.c	2008-08-04 22:09:11 +0000
@@ -253,7 +253,7 @@
 static void read_user_name(char *name)
 {
   if (geteuid() == 0)
-    (void) strmov(name,"root");    /* allow use of surun */
+    strcpy(name,"root");    /* allow use of surun */
   else
   {
 #ifdef HAVE_GETPWUID
@@ -267,11 +267,11 @@
          !(str=getenv("LOGIN")))
   str="UNKNOWN_USER";
     }
-    (void) strmake(name,str,USERNAME_LENGTH);
+    strncpy(name,str,USERNAME_LENGTH);
 #elif HAVE_CUSERID
     (void) cuserid(name);
 #else
-    strmov(name,"UNKNOWN_USER");
+    strcpy(name,"UNKNOWN_USER");
 #endif
   }
   return;
@@ -296,13 +296,13 @@
   {
     net= &drizzle->net;
     net->last_errno= errcode;
-    strmov(net->last_error, ER(errcode));
-    strmov(net->sqlstate, sqlstate);
+    strcpy(net->last_error, ER(errcode));
+    strcpy(net->sqlstate, sqlstate);
   }
   else
   {
     drizzle_server_last_errno= errcode;
-    strmov(drizzle_server_last_error, ER(errcode));
+    strcpy(drizzle_server_last_error, ER(errcode));
   }
   return;
 }
@@ -317,7 +317,7 @@
 {
   net->last_errno= 0;
   net->last_error[0]= '\0';
-  strmov(net->sqlstate, not_error_sqlstate);
+  strcpy(net->sqlstate, not_error_sqlstate);
 }
 
 /**
@@ -345,7 +345,7 @@
   vsnprintf(net->last_error, sizeof(net->last_error)-1,
                format, args);
   va_end(args);
-  strmov(net->sqlstate, sqlstate);
+  strcpy(net->sqlstate, sqlstate);
 
   return;
 }
@@ -388,8 +388,8 @@
       len-=2;
       if (protocol_41(drizzle) && pos[0] == '#')
       {
-  strmake(net->sqlstate, pos+1, SQLSTATE_LENGTH);
-  pos+= SQLSTATE_LENGTH+1;
+        strncpy(net->sqlstate, pos+1, SQLSTATE_LENGTH);
+        pos+= SQLSTATE_LENGTH+1;
       }
       else
       {
@@ -398,11 +398,11 @@
           (unknown error sql state).
         */
 
-        strmov(net->sqlstate, unknown_sqlstate);
+        strcpy(net->sqlstate, unknown_sqlstate);
       }
 
-      (void) strmake(net->last_error,(char*) pos,
-         min((uint) len,(uint) sizeof(net->last_error)-1));
+      strncpy(net->last_error,(char*) pos, min((uint) len,
+              (uint32_t) sizeof(net->last_error)-1));
     }
     else
       set_drizzle_error(drizzle, CR_UNKNOWN_ERROR, unknown_sqlstate);
@@ -679,8 +679,6 @@
       options->password=my_strdup(opt_arg,MYF(MY_WME));
     }
     break;
-        case 5:
-          options->protocol = DRIZZLE_PROTOCOL_PIPE;
   case 20:      /* connect_timeout */
   case 6:        /* timeout */
     if (opt_arg)
@@ -751,13 +749,6 @@
             exit(1);
           }
           break;
-        case 26: /* shared_memory_base_name */
-#ifdef HAVE_SMEM
-          if (options->shared_memory_base_name != def_shared_memory_base_name)
-            my_free(options->shared_memory_base_name,MYF(MY_ALLOW_ZERO_PTR));
-          options->shared_memory_base_name=my_strdup(opt_arg,MYF(MY_WME));
-#endif
-          break;
   case 27: /* multi-results */
     options->client_flag|= CLIENT_MULTI_RESULTS;
     break;
@@ -1112,13 +1103,6 @@
           drizzle_port =(uint) atoi(env);
       }
     }
-    if (!drizzle_unix_port)
-    {
-      char *env;
-      drizzle_unix_port = (char*) MYSQL_UNIX_ADDR;
-      if ((env = getenv("DRIZZLE_UNIX_PORT")))
-        drizzle_unix_port = env;
-    }
 #if defined(SIGPIPE)
     (void) signal(SIGPIPE, SIG_IGN);
 #endif
@@ -1158,10 +1142,6 @@
   ptr->options.client_flag|= CLIENT_LOCAL_FILES;
 #endif
 
-#ifdef HAVE_SMEM
-  ptr->options.shared_memory_base_name= (char*) def_shared_memory_base_name;
-#endif
-
   ptr->options.methods_to_use= DRIZZLE_OPT_GUESS_CONNECTION;
   ptr->options.report_data_truncation= true;  /* default */
 
@@ -1341,7 +1321,6 @@
   char          *end,*host_info=NULL;
   uint32_t         pkt_length;
   NET           *net= &drizzle->net;
-  struct        sockaddr_un UNIXaddr;
   init_sigpipe_variables
 
   /* Don't give sigpipe errors if the client doesn't want them */
@@ -1389,81 +1368,6 @@
   /*
     Part 0: Grab a socket and connect it to the server
   */
-#if defined(HAVE_SMEM)
-  if ((!drizzle->options.protocol ||
-       drizzle->options.protocol == DRIZZLE_PROTOCOL_MEMORY) &&
-      (!host || !strcmp(host,LOCAL_HOST)))
-  {
-    if ((create_shared_memory(drizzle,net, drizzle->options.connect_timeout)) ==
-  INVALID_HANDLE_VALUE)
-    {
-      if (drizzle->options.protocol == DRIZZLE_PROTOCOL_MEMORY)
-  goto error;
-
-      /*
-        Try also with PIPE or TCP/IP. Clear the error from
-        create_shared_memory().
-      */
-
-      net_clear_error(net);
-    }
-    else
-    {
-      drizzle->options.protocol=DRIZZLE_PROTOCOL_MEMORY;
-      unix_socket = 0;
-      host=drizzle->options.shared_memory_base_name;
-      snprintf(host_info=buff, sizeof(buff)-1,
-               ER(CR_SHARED_MEMORY_CONNECTION), host);
-    }
-  }
-#endif /* HAVE_SMEM */
-  if (!net->vio &&
-      (!drizzle->options.protocol ||
-       drizzle->options.protocol == DRIZZLE_PROTOCOL_SOCKET) &&
-      (unix_socket || drizzle_unix_port) &&
-      (!host || !strcmp(host,LOCAL_HOST)))
-  {
-    my_socket sock= socket(AF_UNIX, SOCK_STREAM, 0);
-    if (sock == SOCKET_ERROR)
-    {
-      set_drizzle_extended_error(drizzle, CR_SOCKET_CREATE_ERROR,
-                               unknown_sqlstate,
-                               ER(CR_SOCKET_CREATE_ERROR),
-                               socket_errno);
-      goto error;
-    }
-
-    net->vio= vio_new(sock, VIO_TYPE_SOCKET,
-                      VIO_LOCALHOST | VIO_BUFFERED_READ);
-    if (!net->vio)
-    {
-      set_drizzle_error(drizzle, CR_CONN_UNKNOW_PROTOCOL, unknown_sqlstate);
-      closesocket(sock);
-      goto error;
-    }
-
-    host= LOCAL_HOST;
-    if (!unix_socket)
-      unix_socket= drizzle_unix_port;
-    host_info= (char*) ER(CR_LOCALHOST_CONNECTION);
-
-    memset((char*) &UNIXaddr, 0, sizeof(UNIXaddr));
-    UNIXaddr.sun_family= AF_UNIX;
-    strmake(UNIXaddr.sun_path, unix_socket, sizeof(UNIXaddr.sun_path)-1);
-
-    if (my_connect(sock, (struct sockaddr *) &UNIXaddr, sizeof(UNIXaddr),
-       drizzle->options.connect_timeout))
-    {
-      set_drizzle_extended_error(drizzle, CR_CONNECTION_ERROR,
-                               unknown_sqlstate,
-                               ER(CR_CONNECTION_ERROR),
-                               unix_socket, socket_errno);
-      vio_delete(net->vio);
-      net->vio= 0;
-      goto error;
-    }
-    drizzle->options.protocol=DRIZZLE_PROTOCOL_SOCKET;
-  }
   if (!net->vio &&
       (!drizzle->options.protocol ||
        drizzle->options.protocol == DRIZZLE_PROTOCOL_TCP))
@@ -1603,7 +1507,7 @@
     Scramble is split into two parts because old clients does not understand
     long scrambles; here goes the first part.
   */
-  strmake(drizzle->scramble, end, SCRAMBLE_LENGTH_323);
+  strncpy(drizzle->scramble, end, SCRAMBLE_LENGTH_323);
   end+= SCRAMBLE_LENGTH_323+1;
 
   if (pkt_length >= (uint) (end+1 - (char*) net->read_pos))
@@ -1617,7 +1521,7 @@
   end+= 18;
   if (pkt_length >= (uint) (end + SCRAMBLE_LENGTH - SCRAMBLE_LENGTH_323 + 1 -
                            (char *) net->read_pos))
-    strmake(drizzle->scramble+SCRAMBLE_LENGTH_323, end,
+    strncpy(drizzle->scramble+SCRAMBLE_LENGTH_323, end,
             SCRAMBLE_LENGTH-SCRAMBLE_LENGTH_323);
   else
     drizzle->server_capabilities&= ~CLIENT_SECURE_CONNECTION;
@@ -1647,13 +1551,13 @@
     set_drizzle_error(drizzle, CR_OUT_OF_MEMORY, unknown_sqlstate);
     goto error;
   }
-  strmov(drizzle->host_info,host_info);
-  strmov(drizzle->host,host);
+  strcpy(drizzle->host_info,host_info);
+  strcpy(drizzle->host,host);
   if (unix_socket)
-    strmov(drizzle->unix_socket,unix_socket);
+    strcpy(drizzle->unix_socket,unix_socket);
   else
     drizzle->unix_socket=0;
-  strmov(drizzle->server_version,(char*) net->read_pos+1);
+  strcpy(drizzle->server_version,(char*) net->read_pos+1);
   drizzle->port=port;
 
   /*
@@ -1693,20 +1597,16 @@
 
   /* This needs to be changed as it's not useful with big packets */
   if (user && user[0])
-    strmake(end,user,USERNAME_LENGTH);          /* Max user name */
+    strncpy(end,user,USERNAME_LENGTH);          /* Max user name */
   else
     read_user_name((char*) end);
 
   /* We have to handle different version of handshake here */
-#ifdef _CUSTOMCONFIG_
-#include "_cust_libdrizzle.h"
-#endif
   end= strend(end) + 1;
   if (passwd[0])
   {
     {
       *end++= SCRAMBLE_LENGTH;
-      scramble(end, drizzle->scramble, passwd);
       end+= SCRAMBLE_LENGTH;
     }
   }
@@ -1716,7 +1616,7 @@
   /* Add database if needed */
   if (db && (drizzle->server_capabilities & CLIENT_CONNECT_WITH_DB))
   {
-    end= strmake(end, db, NAME_LEN) + 1;
+    end= strncpy(end, db, NAME_LEN) + NAME_LEN + 1;
     drizzle->db= my_strdup(db,MYF(MY_WME));
     db= 0;
   }
@@ -1821,8 +1721,8 @@
         drizzle->client_flag | CLIENT_REMEMBER_OPTIONS))
   {
     drizzle->net.last_errno= tmp_drizzle.net.last_errno;
-    strmov(drizzle->net.last_error, tmp_drizzle.net.last_error);
-    strmov(drizzle->net.sqlstate, tmp_drizzle.net.sqlstate);
+    strcpy(drizzle->net.last_error, tmp_drizzle.net.last_error);
+    strcpy(drizzle->net.sqlstate, tmp_drizzle.net.sqlstate);
     return(1);
   }
   if (drizzle_set_character_set(&tmp_drizzle, drizzle->charset->csname))
@@ -1830,8 +1730,8 @@
     memset((char*) &tmp_drizzle.options, 0, sizeof(tmp_drizzle.options));
     drizzle_close(&tmp_drizzle);
     drizzle->net.last_errno= tmp_drizzle.net.last_errno;
-    strmov(drizzle->net.last_error, tmp_drizzle.net.last_error);
-    strmov(drizzle->net.sqlstate, tmp_drizzle.net.sqlstate);
+    strcpy(drizzle->net.last_error, tmp_drizzle.net.last_error);
+    strcpy(drizzle->net.sqlstate, tmp_drizzle.net.sqlstate);
     return(1);
   }
 
@@ -1894,10 +1794,6 @@
     delete_dynamic(init_commands);
     my_free((char*)init_commands,MYF(MY_WME));
   }
-#ifdef HAVE_SMEM
-  if (drizzle->options.shared_memory_base_name != def_shared_memory_base_name)
-    my_free(drizzle->options.shared_memory_base_name,MYF(MY_ALLOW_ZERO_PTR));
-#endif /* HAVE_SMEM */
   memset((char*) &drizzle->options, 0, sizeof(drizzle->options));
   return;
 }
@@ -2207,9 +2103,6 @@
     drizzle->options.compress= 1;      /* Remember for connect */
     drizzle->options.client_flag|= CLIENT_COMPRESS;
     break;
-  case DRIZZLE_OPT_NAMED_PIPE:      /* This option is depricated */
-    drizzle->options.protocol=DRIZZLE_PROTOCOL_PIPE; /* Force named pipe */
-    break;
   case DRIZZLE_OPT_LOCAL_INFILE:      /* Allow LOAD DATA LOCAL ?*/
     if (!arg || test(*(uint*) arg))
       drizzle->options.client_flag|= CLIENT_LOCAL_FILES;
@@ -2238,15 +2131,7 @@
   case DRIZZLE_OPT_PROTOCOL:
     drizzle->options.protocol= *(uint*) arg;
     break;
-  case DRIZZLE_SHARED_MEMORY_BASE_NAME:
-#ifdef HAVE_SMEM
-    if (drizzle->options.shared_memory_base_name != def_shared_memory_base_name)
-      my_free(drizzle->options.shared_memory_base_name,MYF(MY_ALLOW_ZERO_PTR));
-    drizzle->options.shared_memory_base_name=my_strdup(arg,MYF(MY_WME));
-#endif
-    break;
   case DRIZZLE_OPT_USE_REMOTE_CONNECTION:
-  case DRIZZLE_OPT_USE_EMBEDDED_CONNECTION:
   case DRIZZLE_OPT_GUESS_CONNECTION:
     drizzle->options.methods_to_use= option;
     break;

=== modified file 'libdrizzle/drizzle.h'
--- libdrizzle/drizzle.h	2008-07-31 21:07:41 +0000
+++ libdrizzle/drizzle.h	2008-08-04 22:09:11 +0000
@@ -124,7 +124,7 @@
   DRIZZLE_SET_CHARSET_DIR, DRIZZLE_SET_CHARSET_NAME, DRIZZLE_OPT_LOCAL_INFILE,
   DRIZZLE_OPT_PROTOCOL, DRIZZLE_SHARED_MEMORY_BASE_NAME, DRIZZLE_OPT_READ_TIMEOUT,
   DRIZZLE_OPT_WRITE_TIMEOUT, DRIZZLE_OPT_USE_RESULT,
-  DRIZZLE_OPT_USE_REMOTE_CONNECTION, DRIZZLE_OPT_USE_EMBEDDED_CONNECTION,
+  DRIZZLE_OPT_USE_REMOTE_CONNECTION,
   DRIZZLE_OPT_GUESS_CONNECTION, DRIZZLE_SET_CLIENT_IP, DRIZZLE_SECURE_AUTH,
   DRIZZLE_REPORT_DATA_TRUNCATION, DRIZZLE_OPT_RECONNECT,
   DRIZZLE_OPT_SSL_VERIFY_SERVER_CERT
@@ -173,8 +173,7 @@
 
 enum drizzle_protocol_type
 {
-  DRIZZLE_PROTOCOL_DEFAULT, DRIZZLE_PROTOCOL_TCP, DRIZZLE_PROTOCOL_SOCKET,
-  DRIZZLE_PROTOCOL_PIPE, DRIZZLE_PROTOCOL_MEMORY
+  DRIZZLE_PROTOCOL_TCP
 };
 
 typedef struct character_set
@@ -375,7 +374,6 @@
 const char *  STDCALL drizzle_get_host_info(const DRIZZLE *drizzle);
 uint32_t  STDCALL drizzle_get_server_version(const DRIZZLE *drizzle);
 uint32_t  STDCALL drizzle_get_proto_info(const DRIZZLE *drizzle);
-DRIZZLE_RES *  STDCALL drizzle_list_dbs(DRIZZLE *drizzle,const char *wild);
 DRIZZLE_RES *  STDCALL drizzle_list_tables(DRIZZLE *drizzle,const char *wild);
 DRIZZLE_RES *  STDCALL drizzle_list_processes(DRIZZLE *drizzle);
 int32_t    STDCALL drizzle_options(DRIZZLE *drizzle,enum drizzle_option option, const void *arg);

=== modified file 'libdrizzle/gettext.h'
--- libdrizzle/gettext.h	2008-08-02 03:12:20 +0000
+++ libdrizzle/gettext.h	2008-08-04 19:37:18 +0000
@@ -270,4 +270,5 @@
 }
 
 #define _(String)  gettext(String)
+#define N_(String) gettext_noop(String)
 #endif /* _LIBGETTEXT_H */

=== modified file 'libdrizzle/libdrizzle.c'
--- libdrizzle/libdrizzle.c	2008-07-31 21:07:41 +0000
+++ libdrizzle/libdrizzle.c	2008-08-04 22:09:11 +0000
@@ -21,8 +21,6 @@
 #include <mysys/my_sys.h>
 #include "my_time.h"
 #include <mysys/mysys_err.h>
-#include <mystrings/m_string.h>
-#include <mystrings/m_ctype.h>
 #include "drizzle.h"
 #include "errmsg.h"
 #include <vio/violite.h>
@@ -106,7 +104,9 @@
   end-=5;          /* Some extra */
   if (wild && wild[0])
   {
-    to=strmov(to," like '");
+    to= strcpy(to," like '");
+    to+= 7; /* strlen(" like '"); */
+
     while (*wild && to < end)
     {
       if (*wild == '\\' || *wild == '\'')
@@ -151,7 +151,7 @@
 }
 
 bool STDCALL drizzle_change_user(DRIZZLE *drizzle, const char *user,
-          const char *passwd, const char *db)
+                                 const char *passwd, const char *db)
 {
   char buff[USERNAME_LENGTH+SCRAMBLED_PASSWORD_CHAR_LENGTH+NAME_LEN+2];
   char *end= buff;
@@ -174,21 +174,20 @@
     passwd="";
 
   /* Store user into the buffer */
-  end= strmake(end, user, USERNAME_LENGTH) + 1;
+  end= strncpy(end, user, USERNAME_LENGTH) + USERNAME_LENGTH + 1;
 
   /* write scrambled password according to server capabilities */
   if (passwd[0])
   {
     {
       *end++= SCRAMBLE_LENGTH;
-      scramble(end, drizzle->scramble, passwd);
       end+= SCRAMBLE_LENGTH;
     }
   }
   else
     *end++= '\0';                               /* empty password */
   /* Add database if needed */
-  end= strmake(end, db ? db : "", NAME_LEN) + 1;
+  end= strncpy(end, db ? db : "", NAME_LEN) + NAME_LEN + 1;
 
   /* Add character set number. */
 
@@ -214,9 +213,9 @@
       free(drizzle->db);
 
     /* alloc new connect information */
-    drizzle->user=  my_strdup(user,MYF(MY_WME));
-    drizzle->passwd=my_strdup(passwd,MYF(MY_WME));
-    drizzle->db=    db ? my_strdup(db,MYF(MY_WME)) : 0;
+    drizzle->user= strdup(user);
+    drizzle->passwd= strdup(passwd);
+    drizzle->db= db ? strdup(db) : 0;
   }
   else
   {
@@ -226,6 +225,10 @@
   return(rc);
 }
 
+#if defined(HAVE_GETPWUID) && defined(NO_GETPWUID_DECL)
+struct passwd *getpwuid(uid_t);
+char* getlogin(void);
+#endif
 
 /**************************************************************************
   Do a query. If query returned rows, free old rows.
@@ -293,22 +296,6 @@
 
 
 /*****************************************************************************
-  List all databases
-*****************************************************************************/
-
-DRIZZLE_RES * STDCALL
-drizzle_list_dbs(DRIZZLE *drizzle, const char *wild)
-{
-  char buff[255];
-
-  append_wild(strmov(buff,"show databases"),buff+sizeof(buff),wild);
-  if (drizzle_query(drizzle,buff))
-    return(0);
-  return (drizzle_store_result(drizzle));
-}
-
-
-/*****************************************************************************
   List all tables in a database
   If wild is given then only the tables matching wild is returned
 *****************************************************************************/
@@ -317,8 +304,10 @@
 drizzle_list_tables(DRIZZLE *drizzle, const char *wild)
 {
   char buff[255];
+  char *ptr= strcpy(buff, "show tables");
+  ptr+= 11; /* strlen("show tables"); */
 
-  append_wild(strmov(buff,"show tables"),buff+sizeof(buff),wild);
+  append_wild(ptr,buff+sizeof(buff),wild);
   if (drizzle_query(drizzle,buff))
     return(0);
   return (drizzle_store_result(drizzle));
@@ -350,9 +339,11 @@
 {
   DRIZZLE_RES   *result;
   DRIZZLE_FIELD *fields;
-  char       buff[257],*end;
-
-  end=strmake(strmake(buff, table,128)+1,wild ? wild : "",128);
+  char buff[257], *end;
+
+  end= strncpy(buff, table, 128) + 128;
+  end= strncpy(end+1, wild ? wild : "", 128) + 128;
+
   free_old_query(drizzle);
   if (simple_command(drizzle, COM_FIELD_LIST, (uchar*) buff,
                      (ulong) (end-buff), 1) ||

=== renamed file 'libdrizzle/libdrizzle.ver.in' => 'libdrizzle/libdrizzle.ver'
--- libdrizzle/libdrizzle.ver.in	2008-07-09 11:56:03 +0000
+++ libdrizzle/libdrizzle.ver	2008-08-04 22:01:39 +0000
@@ -1,1 +1,1 @@
-libdrizzle_@SHARED_LIB_MAJOR_VERSION@ { global: *; };
+libdrizzle_1 { global: *; };

=== modified file 'libdrizzle/local_infile.c'
--- libdrizzle/local_infile.c	2008-07-31 21:19:50 +0000
+++ libdrizzle/local_infile.c	2008-08-04 03:48:26 +0000
@@ -92,7 +92,7 @@
   {
     VOID(my_net_write(net,(const uchar*) "",0)); /* Server needs one packet */
     net_flush(net);
-    strmov(net->sqlstate, unknown_sqlstate);
+    strcpy(net->sqlstate, unknown_sqlstate);
     net->last_errno=
       (*options->local_infile_error)(li_ptr,
                                      net->last_error,
@@ -269,11 +269,11 @@
   default_local_infile_data *data = (default_local_infile_data *) ptr;
   if (data)          /* If not error on open */
   {
-    strmake(error_msg, data->error_msg, error_msg_len);
+    strncpy(error_msg, data->error_msg, error_msg_len);
     return data->error_num;
   }
   /* This can only happen if we got error on malloc of handle */
-  strmov(error_msg, ER(CR_OUT_OF_MEMORY));
+  strcpy(error_msg, ER(CR_OUT_OF_MEMORY));
   return CR_OUT_OF_MEMORY;
 }
 

=== modified file 'libdrizzle/password.c'
--- libdrizzle/password.c	2008-08-01 19:38:01 +0000
+++ libdrizzle/password.c	2008-08-04 00:10:10 +0000
@@ -189,194 +189,3 @@
   *to= '\0';
   return to;
 }
-
-
-/*
-    Convert given asciiz string of hex (0..9 a..f) characters to octet
-    sequence.
-  SYNOPSIS
-    hex2octet()
-    to        OUT buffer to place result; must be at least len/2 bytes
-    str, len  IN  begin, length for character string; str and to may not
-                  overlap; len % 2 == 0
-*/ 
-
-static void
-hex2octet(uint8_t *to, const char *str, uint len)
-{
-  const char *str_end= str + len;
-  while (str < str_end)
-  {
-    register char tmp= char_val(*str++);
-    *to++= (tmp << 4) | char_val(*str++);
-  }
-}
-
-
-/*
-    Encrypt/Decrypt function used for password encryption in authentication.
-    Simple XOR is used here but it is OK as we crypt random strings. Note,
-    that XOR(s1, XOR(s1, s2)) == s2, XOR(s1, s2) == XOR(s2, s1)
-  SYNOPSIS
-    my_crypt()
-    to      OUT buffer to hold crypted string; must be at least len bytes
-                long; to and s1 (or s2) may be the same.
-    s1, s2  IN  input strings (of equal length)
-    len     IN  length of s1 and s2
-*/
-
-static void
-my_crypt(char *to, const uchar *s1, const uchar *s2, uint len)
-{
-  const uint8_t *s1_end= s1 + len;
-  while (s1 < s1_end)
-    *to++= *s1++ ^ *s2++;
-}
-
-
-/*
-    MySQL 4.1.1 password hashing: SHA conversion (see RFC 2289, 3174) twice
-    applied to the password string, and then produced octet sequence is
-    converted to hex string.
-    The result of this function is used as return value from PASSWORD() and
-    is stored in the database.
-  SYNOPSIS
-    make_scrambled_password()
-    buf       OUT buffer of size 2*SHA1_HASH_SIZE + 2 to store hex string
-    password  IN  NULL-terminated password string
-*/
-
-void
-make_scrambled_password(char *to, const char *password)
-{
-  SHA1_CONTEXT sha1_context;
-  uint8_t hash_stage2[SHA1_HASH_SIZE];
-
-  mysql_sha1_reset(&sha1_context);
-  /* stage 1: hash password */
-  mysql_sha1_input(&sha1_context, (uint8_t *) password, (uint) strlen(password));
-  mysql_sha1_result(&sha1_context, (uint8_t *) to);
-  /* stage 2: hash stage1 output */
-  mysql_sha1_reset(&sha1_context);
-  mysql_sha1_input(&sha1_context, (uint8_t *) to, SHA1_HASH_SIZE);
-  /* separate buffer is used to pass 'to' in octet2hex */
-  mysql_sha1_result(&sha1_context, hash_stage2);
-  /* convert hash_stage2 to hex string */
-  *to++= PVERSION41_CHAR;
-  octet2hex(to, (const char*) hash_stage2, SHA1_HASH_SIZE);
-}
-  
-
-/*
-    Produce an obscure octet sequence from password and random
-    string, recieved from the server. This sequence corresponds to the
-    password, but password can not be easily restored from it. The sequence
-    is then sent to the server for validation. Trailing zero is not stored
-    in the buf as it is not needed.
-    This function is used by client to create authenticated reply to the
-    server's greeting.
-  SYNOPSIS
-    scramble()
-    buf       OUT store scrambled string here. The buf must be at least 
-                  SHA1_HASH_SIZE bytes long. 
-    message   IN  random message, must be exactly SCRAMBLE_LENGTH long and 
-                  NULL-terminated.
-    password  IN  users' password 
-*/
-
-void
-scramble(char *to, const char *message, const char *password)
-{
-  SHA1_CONTEXT sha1_context;
-  uint8_t hash_stage1[SHA1_HASH_SIZE];
-  uint8_t hash_stage2[SHA1_HASH_SIZE];
-
-  mysql_sha1_reset(&sha1_context);
-  /* stage 1: hash password */
-  mysql_sha1_input(&sha1_context, (uint8_t *) password, (uint) strlen(password));
-  mysql_sha1_result(&sha1_context, hash_stage1);
-  /* stage 2: hash stage 1; note that hash_stage2 is stored in the database */
-  mysql_sha1_reset(&sha1_context);
-  mysql_sha1_input(&sha1_context, hash_stage1, SHA1_HASH_SIZE);
-  mysql_sha1_result(&sha1_context, hash_stage2);
-  /* create crypt string as sha1(message, hash_stage2) */;
-  mysql_sha1_reset(&sha1_context);
-  mysql_sha1_input(&sha1_context, (const uint8_t *) message, SCRAMBLE_LENGTH);
-  mysql_sha1_input(&sha1_context, hash_stage2, SHA1_HASH_SIZE);
-  /* xor allows 'from' and 'to' overlap: lets take advantage of it */
-  mysql_sha1_result(&sha1_context, (uint8_t *) to);
-  my_crypt(to, (const uchar *) to, hash_stage1, SCRAMBLE_LENGTH);
-}
-
-
-/*
-    Check that scrambled message corresponds to the password; the function
-    is used by server to check that recieved reply is authentic.
-    This function does not check lengths of given strings: message must be
-    null-terminated, reply and hash_stage2 must be at least SHA1_HASH_SIZE
-    long (if not, something fishy is going on).
-  SYNOPSIS
-    check_scramble()
-    scramble     clients' reply, presumably produced by scramble()
-    message      original random string, previously sent to client
-                 (presumably second argument of scramble()), must be 
-                 exactly SCRAMBLE_LENGTH long and NULL-terminated.
-    hash_stage2  hex2octet-decoded database entry
-    All params are IN.
-
-  RETURN VALUE
-    0  password is correct
-    !0  password is invalid
-*/
-
-my_bool
-check_scramble(const char *scramble_arg, const char *message,
-               const uint8_t *hash_stage2)
-{
-  SHA1_CONTEXT sha1_context;
-  uint8_t buf[SHA1_HASH_SIZE];
-  uint8_t hash_stage2_reassured[SHA1_HASH_SIZE];
-
-  mysql_sha1_reset(&sha1_context);
-  /* create key to encrypt scramble */
-  mysql_sha1_input(&sha1_context, (const uint8_t *) message, SCRAMBLE_LENGTH);
-  mysql_sha1_input(&sha1_context, hash_stage2, SHA1_HASH_SIZE);
-  mysql_sha1_result(&sha1_context, buf);
-  /* encrypt scramble */
-    my_crypt((char *) buf, buf, (const uchar *) scramble_arg, SCRAMBLE_LENGTH);
-  /* now buf supposedly contains hash_stage1: so we can get hash_stage2 */
-  mysql_sha1_reset(&sha1_context);
-  mysql_sha1_input(&sha1_context, buf, SHA1_HASH_SIZE);
-  mysql_sha1_result(&sha1_context, hash_stage2_reassured);
-  return memcmp(hash_stage2, hash_stage2_reassured, SHA1_HASH_SIZE);
-}
-
-
-/*
-  Convert scrambled password from asciiz hex string to binary form.
-
-  SYNOPSIS
-    get_salt_from_password()
-    res       OUT buf to hold password. Must be at least SHA1_HASH_SIZE
-                  bytes long.
-    password  IN  4.1.1 version value of user.password
-*/
-    
-void get_salt_from_password(uint8_t *hash_stage2, const char *password)
-{
-  hex2octet(hash_stage2, password+1 /* skip '*' */, SHA1_HASH_SIZE * 2);
-}
-
-/*
-    Convert scrambled password from binary form to asciiz hex string.
-  SYNOPSIS
-    make_password_from_salt()
-    to    OUT store resulting string here, 2*SHA1_HASH_SIZE+2 bytes 
-    salt  IN  password in salt format
-*/
-
-void make_password_from_salt(char *to, const uint8_t *hash_stage2)
-{
-  *to++= PVERSION41_CHAR;
-  octet2hex(to, (const char*) hash_stage2, SHA1_HASH_SIZE);
-}

=== modified file 'mystrings/m_string.h'
--- mystrings/m_string.h	2008-08-02 04:54:26 +0000
+++ mystrings/m_string.h	2008-08-04 06:46:27 +0000
@@ -61,10 +61,6 @@
 #define strmov(A,B) stpcpy((A),(B))
 #endif
 
-/* Declared in int2str() */
-extern char _dig_vec_upper[];
-extern char _dig_vec_lower[];
-
 #ifdef BAD_STRING_COMPILER
 #define strmov(A,B)  (memccpy(A,B,0,INT_MAX)-1)
 #else

=== modified file 'mysys/errors.c'
--- mysys/errors.c	2008-08-01 22:33:44 +0000
+++ mysys/errors.c	2008-08-04 19:37:18 +0000
@@ -22,33 +22,33 @@
 
 void init_glob_errs()
 {
-  EE(EE_CANTCREATEFILE) = gettext_noop("Can't create/write to file '%s' (Errcode: %d)");
-  EE(EE_READ)		= gettext_noop("Error reading file '%s' (Errcode: %d)");
-  EE(EE_WRITE)		= gettext_noop("Error writing file '%s' (Errcode: %d)");
-  EE(EE_BADCLOSE)	= gettext_noop("Error on close of '%'s (Errcode: %d)");
-  EE(EE_OUTOFMEMORY)	= gettext_noop("Out of memory (Needed %u bytes)");
-  EE(EE_DELETE)		= gettext_noop("Error on delete of '%s' (Errcode: %d)");
-  EE(EE_LINK)		= gettext_noop("Error on rename of '%s' to '%s' (Errcode: %d)");
-  EE(EE_EOFERR)		= gettext_noop("Unexpected eof found when reading file '%s' (Errcode: %d)");
-  EE(EE_CANTLOCK)	= gettext_noop("Can't lock file (Errcode: %d)");
-  EE(EE_CANTUNLOCK)	= gettext_noop("Can't unlock file (Errcode: %d)");
-  EE(EE_DIR)		= gettext_noop("Can't read dir of '%s' (Errcode: %d)");
-  EE(EE_STAT)		= gettext_noop("Can't get stat of '%s' (Errcode: %d)");
-  EE(EE_CANT_CHSIZE)	= gettext_noop("Can't change size of file (Errcode: %d)");
-  EE(EE_CANT_OPEN_STREAM)= gettext_noop("Can't open stream from handle (Errcode: %d)");
-  EE(EE_GETWD)		= gettext_noop("Can't get working dirctory (Errcode: %d)");
-  EE(EE_SETWD)		= gettext_noop("Can't change dir to '%s' (Errcode: %d)");
-  EE(EE_LINK_WARNING)	= gettext_noop("Warning: '%s' had %d links");
-  EE(EE_OPEN_WARNING)	= gettext_noop("Warning: %d files and %d streams is left open\n");
-  EE(EE_DISK_FULL)	= gettext_noop("Disk is full writing '%s'. Waiting for someone to free space...");
-  EE(EE_CANT_MKDIR)	= gettext_noop("Can't create directory '%s' (Errcode: %d)");
-  EE(EE_UNKNOWN_CHARSET)= gettext_noop("Character set '%s' is not a compiled character set and is not specified in the %s file");
-  EE(EE_OUT_OF_FILERESOURCES)= gettext_noop("Out of resources when opening file '%s' (Errcode: %d)");
-  EE(EE_CANT_READLINK)= gettext_noop("Can't read value for symlink '%s' (Error %d)");
-  EE(EE_CANT_SYMLINK)= gettext_noop("Can't create symlink '%s' pointing at '%s' (Error %d)");
-  EE(EE_REALPATH)= gettext_noop("Error on realpath() on '%s' (Error %d)");
-  EE(EE_SYNC)=	 gettext_noop("Can't sync file '%s' to disk (Errcode: %d)");
-  EE(EE_UNKNOWN_COLLATION)= gettext_noop("Collation '%s' is not a compiled collation and is not specified in the %s file");
-  EE(EE_FILENOTFOUND)	= gettext_noop("File '%s' not found (Errcode: %d)");
-  EE(EE_FILE_NOT_CLOSED) = gettext_noop("File '%s' (fileno: %d) was not closed");
+  EE(EE_CANTCREATEFILE) = N_("Can't create/write to file '%s' (Errcode: %d)");
+  EE(EE_READ)		= N_("Error reading file '%s' (Errcode: %d)");
+  EE(EE_WRITE)		= N_("Error writing file '%s' (Errcode: %d)");
+  EE(EE_BADCLOSE)	= N_("Error on close of '%'s (Errcode: %d)");
+  EE(EE_OUTOFMEMORY)	= N_("Out of memory (Needed %u bytes)");
+  EE(EE_DELETE)		= N_("Error on delete of '%s' (Errcode: %d)");
+  EE(EE_LINK)		= N_("Error on rename of '%s' to '%s' (Errcode: %d)");
+  EE(EE_EOFERR)		= N_("Unexpected eof found when reading file '%s' (Errcode: %d)");
+  EE(EE_CANTLOCK)	= N_("Can't lock file (Errcode: %d)");
+  EE(EE_CANTUNLOCK)	= N_("Can't unlock file (Errcode: %d)");
+  EE(EE_DIR)		= N_("Can't read dir of '%s' (Errcode: %d)");
+  EE(EE_STAT)		= N_("Can't get stat of '%s' (Errcode: %d)");
+  EE(EE_CANT_CHSIZE)	= N_("Can't change size of file (Errcode: %d)");
+  EE(EE_CANT_OPEN_STREAM)= N_("Can't open stream from handle (Errcode: %d)");
+  EE(EE_GETWD)		= N_("Can't get working dirctory (Errcode: %d)");
+  EE(EE_SETWD)		= N_("Can't change dir to '%s' (Errcode: %d)");
+  EE(EE_LINK_WARNING)	= N_("Warning: '%s' had %d links");
+  EE(EE_OPEN_WARNING)	= N_("Warning: %d files and %d streams is left open\n");
+  EE(EE_DISK_FULL)	= N_("Disk is full writing '%s'. Waiting for someone to free space...");
+  EE(EE_CANT_MKDIR)	= N_("Can't create directory '%s' (Errcode: %d)");
+  EE(EE_UNKNOWN_CHARSET)= N_("Character set '%s' is not a compiled character set and is not specified in the %s file");
+  EE(EE_OUT_OF_FILERESOURCES)= N_("Out of resources when opening file '%s' (Errcode: %d)");
+  EE(EE_CANT_READLINK)= N_("Can't read value for symlink '%s' (Error %d)");
+  EE(EE_CANT_SYMLINK)= N_("Can't create symlink '%s' pointing at '%s' (Error %d)");
+  EE(EE_REALPATH)= N_("Error on realpath() on '%s' (Error %d)");
+  EE(EE_SYNC)=	 N_("Can't sync file '%s' to disk (Errcode: %d)");
+  EE(EE_UNKNOWN_COLLATION)= N_("Collation '%s' is not a compiled collation and is not specified in the %s file");
+  EE(EE_FILENOTFOUND)	= N_("File '%s' not found (Errcode: %d)");
+  EE(EE_FILE_NOT_CLOSED) = N_("File '%s' (fileno: %d) was not closed");
 }

=== modified file 'mysys/my_handler_errors.h'
--- mysys/my_handler_errors.h	2008-08-01 22:33:44 +0000
+++ mysys/my_handler_errors.h	2008-08-04 19:37:18 +0000
@@ -7,126 +7,126 @@
 static const char *handler_error_messages[]=
 {
   /* HA_ERR_KEY_NOT_FOUND */
-  gettext_noop("Didn't find key on read or update"),
+  N_("Didn't find key on read or update"),
   /* HA_ERR_FOUND_DUPP_KEY */
-  gettext_noop("Duplicate key on write or update"),
+  N_("Duplicate key on write or update"),
   /* HA_ERR_INTERNAL_ERROR */
-  gettext_noop("Internal (unspecified) error in handler"),
+  N_("Internal (unspecified) error in handler"),
   /* HA_ERR_RECORD_CHANGED */
-  gettext_noop("Someone has changed the row since it was read (while the table was locked to prevent it)"),
+  N_("Someone has changed the row since it was read (while the table was locked to prevent it)"),
   /* HA_ERR_WRONG_INDEX */
-  gettext_noop("Wrong index given to function"),
+  N_("Wrong index given to function"),
   /* empty */
-  gettext_noop("Undefined handler error 125"),
+  N_("Undefined handler error 125"),
   /* HA_ERR_CRASHED */
-  gettext_noop("Index file is crashed"),
+  N_("Index file is crashed"),
   /* HA_ERR_WRONG_IN_RECORD */
-  gettext_noop("Record file is crashed"),
+  N_("Record file is crashed"),
   /* HA_ERR_OUT_OF_MEM */
-  gettext_noop("Out of memory in engine"),
+  N_("Out of memory in engine"),
   /* empty */
-  gettext_noop("Undefined handler error 129"),
+  N_("Undefined handler error 129"),
   /* HA_ERR_NOT_A_TABLE */
-  gettext_noop("Incorrect file format"),
+  N_("Incorrect file format"),
   /* HA_ERR_WRONG_COMMAND */
-  gettext_noop("Command not supported by database"),
+  N_("Command not supported by database"),
   /* HA_ERR_OLD_FILE */
-  gettext_noop("Old database file"),
+  N_("Old database file"),
   /* HA_ERR_NO_ACTIVE_RECORD */
-  gettext_noop("No record read before update"),
+  N_("No record read before update"),
   /* HA_ERR_RECORD_DELETED */
-  gettext_noop("Record was already deleted (or record file crashed)"),
+  N_("Record was already deleted (or record file crashed)"),
   /* HA_ERR_RECORD_FILE_FULL */
-  gettext_noop("No more room in record file"),
+  N_("No more room in record file"),
   /* HA_ERR_INDEX_FILE_FULL */
-  gettext_noop("No more room in index file"),
+  N_("No more room in index file"),
   /* HA_ERR_END_OF_FILE */
-  gettext_noop("No more records (read after end of file)"),
+  N_("No more records (read after end of file)"),
   /* HA_ERR_UNSUPPORTED */
-  gettext_noop("Unsupported extension used for table"),
+  N_("Unsupported extension used for table"),
   /* HA_ERR_TO_BIG_ROW */
-  gettext_noop("Too big row"),
+  N_("Too big row"),
   /* HA_WRONG_CREATE_OPTION */
-  gettext_noop("Wrong create options"),
+  N_("Wrong create options"),
   /* HA_ERR_FOUND_DUPP_UNIQUE */
-  gettext_noop("Duplicate unique key or constraint on write or update"),
+  N_("Duplicate unique key or constraint on write or update"),
   /* HA_ERR_UNKNOWN_CHARSET */
-  gettext_noop("Unknown character set used in table"),
+  N_("Unknown character set used in table"),
   /* HA_ERR_WRONG_MRG_TABLE_DEF */
-  gettext_noop("Conflicting table definitions in sub-tables of MERGE table"),
+  N_("Conflicting table definitions in sub-tables of MERGE table"),
   /* HA_ERR_CRASHED_ON_REPAIR */
-  gettext_noop("Table is crashed and last repair failed"),
+  N_("Table is crashed and last repair failed"),
   /* HA_ERR_CRASHED_ON_USAGE */
-  gettext_noop("Table was marked as crashed and should be repaired"),
+  N_("Table was marked as crashed and should be repaired"),
   /* HA_ERR_LOCK_WAIT_TIMEOUT */
-  gettext_noop("Lock timed out; Retry transaction"),
+  N_("Lock timed out; Retry transaction"),
   /* HA_ERR_LOCK_TABLE_FULL */
-  gettext_noop("Lock table is full;  Restart program with a larger locktable"),
+  N_("Lock table is full;  Restart program with a larger locktable"),
   /* HA_ERR_READ_ONLY_TRANSACTION */
-  gettext_noop("Updates are not allowed under a read only transactions"),
+  N_("Updates are not allowed under a read only transactions"),
   /* HA_ERR_LOCK_DEADLOCK */
-  gettext_noop("Lock deadlock; Retry transaction"),
+  N_("Lock deadlock; Retry transaction"),
   /* HA_ERR_CANNOT_ADD_FOREIGN */
-  gettext_noop("Foreign key constraint is incorrectly formed"),
+  N_("Foreign key constraint is incorrectly formed"),
   /* HA_ERR_NO_REFERENCED_ROW */
-  gettext_noop("Cannot add a child row"),
+  N_("Cannot add a child row"),
   /* HA_ERR_ROW_IS_REFERENCED */
-  gettext_noop("Cannot delete a parent row"),
+  N_("Cannot delete a parent row"),
   /* HA_ERR_NO_SAVEPOINT */
-  gettext_noop("No savepoint with that name"),
+  N_("No savepoint with that name"),
   /* HA_ERR_NON_UNIQUE_BLOCK_SIZE */
-  gettext_noop("Non unique key block size"),
+  N_("Non unique key block size"),
   /* HA_ERR_NO_SUCH_TABLE */
-  gettext_noop("The table does not exist in engine"),
+  N_("The table does not exist in engine"),
   /* HA_ERR_TABLE_EXIST */
-  gettext_noop("The table already existed in storage engine"),
+  N_("The table already existed in storage engine"),
   /* HA_ERR_NO_CONNECTION */
-  gettext_noop("Could not connect to storage engine"),
+  N_("Could not connect to storage engine"),
   /* HA_ERR_NULL_IN_SPATIAL */
-  gettext_noop("Unexpected null pointer found when using spatial index"),
+  N_("Unexpected null pointer found when using spatial index"),
   /* HA_ERR_TABLE_DEF_CHANGED */
-  gettext_noop("The table changed in storage engine"),
+  N_("The table changed in storage engine"),
   /* HA_ERR_NO_PARTITION_FOUND */
-  gettext_noop("There's no partition in table for the given value"),
+  N_("There's no partition in table for the given value"),
   /* HA_ERR_RBR_LOGGING_FAILED */
-  gettext_noop("Row-based binlogging of row failed"),
+  N_("Row-based binlogging of row failed"),
   /* HA_ERR_DROP_INDEX_FK */
-  gettext_noop("Index needed in foreign key constraint"),
+  N_("Index needed in foreign key constraint"),
   /* HA_ERR_FOREIGN_DUPLICATE_KEY */
-  gettext_noop("Upholding foreign key constraints would lead to a duplicate key error"),
+  N_("Upholding foreign key constraints would lead to a duplicate key error"),
   /* HA_ERR_TABLE_NEEDS_UPGRADE */
-  gettext_noop("Table needs to be upgraded before it can be used"),
+  N_("Table needs to be upgraded before it can be used"),
   /* HA_ERR_TABLE_READONLY */
-  gettext_noop("Table is read only"),
+  N_("Table is read only"),
   /* HA_ERR_AUTOINC_READ_FAILED */
-  gettext_noop("Failed to get next auto increment value"),
+  N_("Failed to get next auto increment value"),
   /* HA_ERR_AUTOINC_ERANGE */
-  gettext_noop("Failed to set row auto increment value"),
+  N_("Failed to set row auto increment value"),
   /* HA_ERR_GENERIC */
-  gettext_noop("Unknown (generic) error from engine"),
+  N_("Unknown (generic) error from engine"),
   /* HA_ERR_RECORD_IS_THE_SAME */
-  gettext_noop("Record is the same"),
+  N_("Record is the same"),
   /* HA_ERR_LOGGING_IMPOSSIBLE */
-  gettext_noop("It is not possible to log this statement"),
+  N_("It is not possible to log this statement"),
   /* HA_ERR_TABLESPACE_EXIST */
-  gettext_noop("Tablespace exists"),
+  N_("Tablespace exists"),
   /* HA_ERR_CORRUPT_EVENT */
-  gettext_noop("The event was corrupt, leading to illegal data being read"),
+  N_("The event was corrupt, leading to illegal data being read"),
   /* HA_ERR_NEW_FILE */
-  gettext_noop("The table is of a new format not supported by this version"),
+  N_("The table is of a new format not supported by this version"),
   /* HA_ERR_ROWS_EVENT_APPLY */
-  gettext_noop("The event could not be processed no other hanlder error happened"),
+  N_("The event could not be processed no other hanlder error happened"),
   /* HA_ERR_INITIALIZATION */
-  gettext_noop("Got a fatal error during initialzaction of handler"),
+  N_("Got a fatal error during initialzaction of handler"),
   /* HA_ERR_FILE_TOO_SHORT */
-  gettext_noop("File to short; Expected more data in file"),
+  N_("File to short; Expected more data in file"),
   /* HA_ERR_WRONG_CRC */
-  gettext_noop("Read page with wrong checksum"),
+  N_("Read page with wrong checksum"),
   /* HA_ERR_LOCK_OR_ACTIVE_TRANSACTION */
-  gettext_noop("Lock or active transaction"), /* TODO: get a better message */
+  N_("Lock or active transaction"), /* TODO: get a better message */
   /* HA_ERR_NO_SUCH_TABLESPACE */
-  gettext_noop("No such table space"), /* TODO: get a better message */
+  N_("No such table space"), /* TODO: get a better message */
   /* HA_ERR_TABLESPACE_NOT_EMPTY */
-  gettext_noop("Tablespace not empty") /* TODO: get a better message */
+  N_("Tablespace not empty") /* TODO: get a better message */
 };
 

=== added file 'po/LINGUAS'
=== modified file 'po/POTFILES.in'
--- po/POTFILES.in	2008-08-02 02:23:41 +0000
+++ po/POTFILES.in	2008-08-04 19:48:27 +0000
@@ -5,4 +5,12 @@
 mysys/my_getopt.c
 mysys/my_handler_errors.h
 drizzled/error.h
+drizzled/rpl_mi.cc
+drizzled/rpl_reporting.cc
+drizzled/rpl_utility.cc
 drizzled/slave.cc
+drizzled/sql_repl.cc
+drizzled/table.cc
+drizzled/thr_malloc.cc
+drizzled/tztime.cc
+drizzled/unireg.h

=== modified file 'po/drizzle.pot'
--- po/drizzle.pot	2008-08-02 02:42:57 +0000
+++ po/drizzle.pot	2008-08-04 19:48:27 +0000
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: drizzle 7.0.0\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-08-01 19:41-0700\n"
+"POT-Creation-Date: 2008-08-04 12:48-0700\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -100,7 +100,7 @@
 "byte charsets."
 msgstr ""
 
-#: client/drizzle.c:289 client/drizzle.c:1455
+#: client/drizzle.c:289 client/drizzle.c:1459
 msgid "Show warnings after every statement."
 msgstr ""
 
@@ -108,132 +108,132 @@
 msgid "Don't show warnings after every statement."
 msgstr ""
 
-#: client/drizzle.c:1126
+#: client/drizzle.c:1130
 msgid "Welcome to the Drizzle client..  Commands end with ; or \\g."
 msgstr ""
 
-#: client/drizzle.c:1134
+#: client/drizzle.c:1138
 #, c-format
 msgid ""
 "Your Drizzle connection id is %u\n"
 "Server version: %s\n"
 msgstr ""
 
-#: client/drizzle.c:1164
+#: client/drizzle.c:1168
 #, c-format
 msgid "Reading history-file %s\n"
 msgstr ""
 
-#: client/drizzle.c:1169
+#: client/drizzle.c:1173
 #, c-format
 msgid "Couldn't allocate memory for temp histfile!\n"
 msgstr ""
 
-#: client/drizzle.c:1176
+#: client/drizzle.c:1180
 msgid "Type 'help;' or '\\h' for help. Type '\\c' to clear the buffer.\n"
 msgstr ""
 
-#: client/drizzle.c:1195
+#: client/drizzle.c:1199
 #, c-format
 msgid "Writing history-file %s\n"
 msgstr ""
 
-#: client/drizzle.c:1204
+#: client/drizzle.c:1208
 msgid "Aborted"
 msgstr ""
 
-#: client/drizzle.c:1204
+#: client/drizzle.c:1208
 msgid "Bye"
 msgstr ""
 
-#: client/drizzle.c:1257
+#: client/drizzle.c:1261
 msgid "Query aborted by Ctrl+C\n"
 msgstr ""
 
-#: client/drizzle.c:1280
+#: client/drizzle.c:1284
 msgid "Display this help and exit."
 msgstr ""
 
-#: client/drizzle.c:1282
+#: client/drizzle.c:1286
 msgid "Synonym for -?"
 msgstr ""
 
-#: client/drizzle.c:1285
+#: client/drizzle.c:1289
 msgid ""
 "Enable automatic rehashing. One doesn't need to use 'rehash' to get table "
 "and field completion, but startup and reconnecting may take a longer time. "
 "Disable with --disable-auto-rehash."
 msgstr ""
 
-#: client/drizzle.c:1289
+#: client/drizzle.c:1293
 msgid ""
 "No automatic rehashing. One has to use 'rehash' to get table and field "
 "completion. This gives a quicker start of DRIZZLE and disables rehashing on "
 "reconnect. WARNING: options deprecated; use --disable-auto-rehash instead."
 msgstr ""
 
-#: client/drizzle.c:1292
+#: client/drizzle.c:1296
 msgid ""
 "Automatically switch to vertical output mode if the result is wider than the "
 "terminal width."
 msgstr ""
 
-#: client/drizzle.c:1295
+#: client/drizzle.c:1299
 msgid ""
 "Don't use history file. Disable interactive behavior. (Enables --silent)"
 msgstr ""
 
-#: client/drizzle.c:1297
+#: client/drizzle.c:1301
 msgid "Directory where character sets are."
 msgstr ""
 
-#: client/drizzle.c:1299
+#: client/drizzle.c:1303
 msgid "Display column type information."
 msgstr ""
 
-#: client/drizzle.c:1302
+#: client/drizzle.c:1306
 msgid ""
 "Preserve comments. Send comments to the server. The default is --skip-"
 "comments (discard comments), enable with --comments"
 msgstr ""
 
-#: client/drizzle.c:1305
+#: client/drizzle.c:1309
 msgid "Use compression in server/client protocol."
 msgstr ""
 
-#: client/drizzle.c:1308
+#: client/drizzle.c:1312
 msgid "Check memory and open file usage at exit ."
 msgstr ""
 
-#: client/drizzle.c:1311
+#: client/drizzle.c:1315
 msgid "Print some debug info at exit."
 msgstr ""
 
-#: client/drizzle.c:1313
+#: client/drizzle.c:1317
 msgid "Database to use."
 msgstr ""
 
-#: client/drizzle.c:1316
+#: client/drizzle.c:1320
 msgid "Set the default character set."
 msgstr ""
 
-#: client/drizzle.c:1318
+#: client/drizzle.c:1322
 msgid "Delimiter to be used."
 msgstr ""
 
-#: client/drizzle.c:1320
+#: client/drizzle.c:1324
 msgid "Execute command and quit. (Disables --force and history file)"
 msgstr ""
 
-#: client/drizzle.c:1322
+#: client/drizzle.c:1326
 msgid "Print the output of a query (rows) vertically."
 msgstr ""
 
-#: client/drizzle.c:1325
+#: client/drizzle.c:1329
 msgid "Continue even if we get an sql error."
 msgstr ""
 
-#: client/drizzle.c:1329
+#: client/drizzle.c:1333
 msgid ""
 "Enable named commands. Named commands mean this program's internal commands; "
 "see drizzle> help . When enabled, the named commands can be used from any "
@@ -241,7 +241,7 @@
 "Disable with --disable-named-commands. This option is disabled by default."
 msgstr ""
 
-#: client/drizzle.c:1333
+#: client/drizzle.c:1337
 msgid ""
 "Named commands are disabled. Use \\* form only, or use named commands only "
 "in the beginning of a line ending with a semicolon (;) Since version 10.9 "
@@ -250,71 +250,71 @@
 "deprecated; use --disable-named-commands instead."
 msgstr ""
 
-#: client/drizzle.c:1335
+#: client/drizzle.c:1339
 msgid "Ignore space after function names."
 msgstr ""
 
-#: client/drizzle.c:1337
+#: client/drizzle.c:1341
 msgid "Enable/disable LOAD DATA LOCAL INFILE."
 msgstr ""
 
-#: client/drizzle.c:1340
+#: client/drizzle.c:1344
 msgid "Turn off beep on error."
 msgstr ""
 
-#: client/drizzle.c:1342
+#: client/drizzle.c:1346
 msgid "Connect to host."
 msgstr ""
 
-#: client/drizzle.c:1344
+#: client/drizzle.c:1348
 msgid "Produce HTML output."
 msgstr ""
 
-#: client/drizzle.c:1346
+#: client/drizzle.c:1350
 msgid "Produce XML output"
 msgstr ""
 
-#: client/drizzle.c:1348
+#: client/drizzle.c:1352
 msgid "Write line numbers for errors."
 msgstr ""
 
-#: client/drizzle.c:1351
+#: client/drizzle.c:1355
 msgid ""
 "Don't write line number for errors. WARNING: -L is deprecated, use long "
 "version of this option instead."
 msgstr ""
 
-#: client/drizzle.c:1353
+#: client/drizzle.c:1357
 msgid "Flush buffer after each query."
 msgstr ""
 
-#: client/drizzle.c:1355
+#: client/drizzle.c:1359
 msgid "Write column names in results."
 msgstr ""
 
-#: client/drizzle.c:1359
+#: client/drizzle.c:1363
 msgid ""
 "Don't write column names in results. WARNING: -N is deprecated, use long "
 "version of this options instead."
 msgstr ""
 
-#: client/drizzle.c:1362
+#: client/drizzle.c:1366
 msgid ""
 "Change the value of a variable. Please note that this option is deprecated; "
 "you can set variables directly with --variable-name=value."
 msgstr ""
 
-#: client/drizzle.c:1364
+#: client/drizzle.c:1368
 msgid "Ignore SIGINT (CTRL-C)"
 msgstr ""
 
-#: client/drizzle.c:1368
+#: client/drizzle.c:1372
 msgid ""
 "Only update the default database. This is useful for skipping updates to "
 "other database in the update log."
 msgstr ""
 
-#: client/drizzle.c:1371
+#: client/drizzle.c:1375
 msgid ""
 "Pager to use to display results. If you don't supply an option the default "
 "pager is taken from your ENV variable PAGER. Valid pagers are less, more, "
@@ -323,136 +323,136 @@
 "default."
 msgstr ""
 
-#: client/drizzle.c:1374
+#: client/drizzle.c:1378
 msgid ""
 "Disable pager and print to stdout. See interactive help (\\h) also. WARNING: "
 "option deprecated; use --disable-pager instead."
 msgstr ""
 
-#: client/drizzle.c:1377
+#: client/drizzle.c:1381
 msgid ""
 "Password to use when connecting to server. If password is not given it's "
 "asked from the tty."
 msgstr ""
 
-#: client/drizzle.c:1379
+#: client/drizzle.c:1383
 msgid ""
 "Port number to use for connection or 0 for default to, in order of "
 "preference, my.cnf, $MYSQL_TCP_PORT, "
 msgstr ""
 
-#: client/drizzle.c:1383
+#: client/drizzle.c:1387
 msgid "built-in default"
 msgstr ""
 
-#: client/drizzle.c:1386
+#: client/drizzle.c:1390
 msgid "Set the drizzle prompt to this value."
 msgstr ""
 
-#: client/drizzle.c:1389
+#: client/drizzle.c:1393
 msgid "The protocol of connection (tcp,socket,pipe,memory)."
 msgstr ""
 
-#: client/drizzle.c:1392
+#: client/drizzle.c:1396
 msgid ""
 "Don't cache result, print it row by row. This may slow down the server if "
 "the output is suspended. Doesn't use history file."
 msgstr ""
 
-#: client/drizzle.c:1394
+#: client/drizzle.c:1398
 msgid "Write fields without conversion. Used with --batch."
 msgstr ""
 
-#: client/drizzle.c:1397
+#: client/drizzle.c:1401
 msgid ""
 "Reconnect if the connection is lost. Disable with --disable-reconnect. This "
 "option is enabled by default."
 msgstr ""
 
-#: client/drizzle.c:1399
+#: client/drizzle.c:1403
 msgid ""
 "Be more silent. Print results with a tab as separator, each row on new line."
 msgstr ""
 
-#: client/drizzle.c:1401
+#: client/drizzle.c:1405
 msgid "Socket file to use for connection."
 msgstr ""
 
-#: client/drizzle.c:1404
+#: client/drizzle.c:1408
 msgid "Output in table format."
 msgstr ""
 
-#: client/drizzle.c:1407
+#: client/drizzle.c:1411
 msgid ""
 "Append everything into outfile. See interactive help (\\h) also. Does not "
 "work in batch mode. Disable with --disable-tee. This option is disabled by "
 "default."
 msgstr ""
 
-#: client/drizzle.c:1409
+#: client/drizzle.c:1413
 msgid ""
 "Disable outfile. See interactive help (\\h) also. WARNING: option "
 "deprecated; use --disable-tee instead"
 msgstr ""
 
-#: client/drizzle.c:1412
+#: client/drizzle.c:1416
 msgid "User for login if not current user."
 msgstr ""
 
-#: client/drizzle.c:1415
+#: client/drizzle.c:1419
 msgid "Only allow UPDATE and DELETE that uses keys."
 msgstr ""
 
-#: client/drizzle.c:1418
+#: client/drizzle.c:1422
 msgid "Synonym for option --safe-updates, -U."
 msgstr ""
 
-#: client/drizzle.c:1421
+#: client/drizzle.c:1425
 msgid "Write more. (-v -v -v gives the table output format)."
 msgstr ""
 
-#: client/drizzle.c:1423
+#: client/drizzle.c:1427
 msgid "Output version information and exit."
 msgstr ""
 
-#: client/drizzle.c:1425
+#: client/drizzle.c:1429
 msgid "Wait and retry if connection is down."
 msgstr ""
 
-#: client/drizzle.c:1428
+#: client/drizzle.c:1432
 msgid "Number of seconds before connection timeout."
 msgstr ""
 
-#: client/drizzle.c:1433
+#: client/drizzle.c:1437
 msgid "Max packet length to send to, or receive from server"
 msgstr ""
 
-#: client/drizzle.c:1438
+#: client/drizzle.c:1442
 msgid "Buffer for TCP/IP and socket communication"
 msgstr ""
 
-#: client/drizzle.c:1442
+#: client/drizzle.c:1446
 msgid "Automatic limit for SELECT when using --safe-updates"
 msgstr ""
 
-#: client/drizzle.c:1447
+#: client/drizzle.c:1451
 msgid "Automatic limit for rows in a join when using --safe-updates"
 msgstr ""
 
-#: client/drizzle.c:1451
+#: client/drizzle.c:1455
 msgid "Refuse client connecting to server if it uses old (pre-4.1.1) protocol"
 msgstr ""
 
-#: client/drizzle.c:1453
+#: client/drizzle.c:1457
 msgid "Send embedded server this as a parameter."
 msgstr ""
 
-#: client/drizzle.c:1466
+#: client/drizzle.c:1470
 #, c-format
 msgid "%s  Ver %s Distrib %s, for %s (%s) using %s %s\n"
 msgstr ""
 
-#: client/drizzle.c:1472
+#: client/drizzle.c:1476
 #, c-format
 msgid ""
 "Copyright (C) 2000-2008 MySQL AB\n"
@@ -461,153 +461,158 @@
 " and you are welcome to modify and redistribute it under the GPL license\n"
 msgstr ""
 
-#: client/drizzle.c:1476
+#: client/drizzle.c:1480
 #, c-format
 msgid "Usage: %s [OPTIONS] [database]\n"
 msgstr ""
 
-#: client/drizzle.c:1509
+#: client/drizzle.c:1513
 msgid "DELIMITER cannot contain a backslash character"
 msgstr ""
 
-#: client/drizzle.c:1530
+#: client/drizzle.c:1534
 #, c-format
 msgid "WARNING: option deprecated; use --disable-tee instead.\n"
 msgstr ""
 
-#: client/drizzle.c:1553
+#: client/drizzle.c:1557
 #, c-format
 msgid "WARNING: option deprecated; use --disable-pager instead.\n"
 msgstr ""
 
-#: client/drizzle.c:1932
+#: client/drizzle.c:1565
+#, c-format
+msgid "WARNING: --server-arg option not supported in this configuration.\n"
+msgstr ""
+
+#: client/drizzle.c:1936
 #, c-format
 msgid "Unknown command '\\%c'."
 msgstr ""
 
-#: client/drizzle.c:2362
+#: client/drizzle.c:2366
 msgid ""
 "Reading table information for completion of table and column names\n"
 "    You can turn off this feature to get a quicker startup with -A\n"
 "\n"
 msgstr ""
 
-#: client/drizzle.c:2459
+#: client/drizzle.c:2463
 msgid "No connection. Trying to reconnect..."
 msgstr ""
 
-#: client/drizzle.c:2465
+#: client/drizzle.c:2469
 msgid "Can't connect to the server\n"
 msgstr ""
 
-#: client/drizzle.c:2522
+#: client/drizzle.c:2526
 msgid "categories:"
 msgstr ""
 
-#: client/drizzle.c:2522
+#: client/drizzle.c:2526
 msgid "topics:"
 msgstr ""
 
-#: client/drizzle.c:2573
+#: client/drizzle.c:2577
 #, c-format
 msgid "Name: '%s'\n"
 msgstr ""
 
-#: client/drizzle.c:2574
+#: client/drizzle.c:2578
 #, c-format
 msgid ""
 "Description:\n"
 "%s"
 msgstr ""
 
-#: client/drizzle.c:2576
+#: client/drizzle.c:2580
 #, c-format
 msgid ""
 "Examples:\n"
 "%s"
 msgstr ""
 
-#: client/drizzle.c:2589
+#: client/drizzle.c:2593
 msgid "Many help items for your request exist."
 msgstr ""
 
-#: client/drizzle.c:2590
+#: client/drizzle.c:2594
 msgid ""
 "To make a more specific request, please type 'help <item>',\n"
 "where <item> is one of the following"
 msgstr ""
 
-#: client/drizzle.c:2596
+#: client/drizzle.c:2600
 #, c-format
 msgid "You asked for help about help category: '%s'\n"
 msgstr ""
 
-#: client/drizzle.c:2597
+#: client/drizzle.c:2601
 msgid ""
 "For more information, type 'help <item>', where <item> is one of the "
 "following"
 msgstr ""
 
-#: client/drizzle.c:2610
+#: client/drizzle.c:2614
 msgid ""
 "\n"
 "Nothing found"
 msgstr ""
 
-#: client/drizzle.c:2611
+#: client/drizzle.c:2615
 msgid "Please try to run 'help contents' for a list of all accessible topics\n"
 msgstr ""
 
-#: client/drizzle.c:2634
+#: client/drizzle.c:2638
 msgid "List of all Drizzle commands:"
 msgstr ""
 
-#: client/drizzle.c:2636
+#: client/drizzle.c:2640
 msgid "Note that all text commands must be first on line and end with ';'"
 msgstr ""
 
-#: client/drizzle.c:2647
+#: client/drizzle.c:2651
 msgid ""
 "\n"
 "For server side help, type 'help contents'\n"
 msgstr ""
 
-#: client/drizzle.c:2670
+#: client/drizzle.c:2674
 msgid "Usage: \\C char_setname | charset charset_name"
 msgstr ""
 
-#: client/drizzle.c:2680
+#: client/drizzle.c:2684
 msgid "Charset changed"
 msgstr ""
 
-#: client/drizzle.c:2682
+#: client/drizzle.c:2686
 msgid "Charset is not found"
 msgstr ""
 
-#: client/drizzle.c:2713
+#: client/drizzle.c:2717
 msgid "No query specified\n"
 msgstr ""
 
-#: client/drizzle.c:2728
+#: client/drizzle.c:2732
 msgid "Ignoring query to other database"
 msgstr ""
 
-#: client/drizzle.c:2777
+#: client/drizzle.c:2781
 msgid "Empty set"
 msgstr ""
 
-#: client/drizzle.c:2804
+#: client/drizzle.c:2808
 #, c-format
 msgid "%ld row in set"
 msgid_plural "%ld rows in set"
 msgstr[0] ""
 msgstr[1] ""
 
-#: client/drizzle.c:2813
+#: client/drizzle.c:2817
 msgid "Query OK"
 msgstr ""
 
-#: client/drizzle.c:2815
+#: client/drizzle.c:2819
 #, c-format
 msgid "Query OK, %ld row affected"
 msgid_plural "Query OK, %ld rows affected"
@@ -1019,6 +1024,53 @@
 msgid "Tablespace not empty"
 msgstr ""
 
+#: drizzled/rpl_mi.cc:150
+#, c-format
+msgid "Failed to create a new master info file (file '%s', errno %d)"
+msgstr ""
+
+#: drizzled/rpl_mi.cc:156 drizzled/rpl_mi.cc:178
+#, c-format
+msgid "Failed to create a cache on master info file (file '%s')"
+msgstr ""
+
+#: drizzled/rpl_mi.cc:172
+#, c-format
+msgid "Failed to open the existing master info file (file '%s', errno %d)"
+msgstr ""
+
+#: drizzled/rpl_mi.cc:278
+#, c-format
+msgid ""
+"SSL information in the master info file ('%s') are ignored because this "
+"MySQL slave was compiled without SSL support."
+msgstr ""
+
+#: drizzled/rpl_mi.cc:302 drizzled/slave.cc:1081 drizzled/slave.cc:2153
+msgid "Failed to flush master info file"
+msgstr ""
+
+#: drizzled/rpl_mi.cc:307
+msgid "Error reading master configuration"
+msgstr ""
+
+#: drizzled/rpl_reporting.cc:45
+#, c-format
+msgid "Slave %s: %s%s Error_code: %d"
+msgstr ""
+
+#: drizzled/rpl_utility.cc:123
+#, c-format
+msgid "Column %d type mismatch - received type %d, %s.%s has type %d"
+msgstr ""
+
+#: drizzled/rpl_utility.cc:138
+#, c-format
+msgid ""
+"Column %d size mismatch - master has size %d, %s.%s on slave has size %d. "
+"Master's column size should be <= the slave's column size."
+msgstr ""
+
 #: drizzled/slave.cc:91
 msgid "Waiting to reconnect after a failed registration on master"
 msgstr ""
@@ -1102,6 +1154,14 @@
 msgid "Server id not set, will not start slave"
 msgstr ""
 
+#: drizzled/slave.cc:618
+msgid ""
+"SQL thread had to stop in an unsafe situation, in the middle of applying "
+"updates to a non-transactional table without any primary key. There is a "
+"risk of duplicate updates when the slave SQL thread is restarted. Please "
+"check your tables' contents after restart."
+msgstr ""
+
 #: drizzled/slave.cc:779 drizzled/slave.cc:794
 msgid "Master reported unrecognized DRIZZLE version"
 msgstr ""
@@ -1149,10 +1209,6 @@
 "inaccurate"
 msgstr ""
 
-#: drizzled/slave.cc:1081 drizzled/slave.cc:2152
-msgid "Failed to flush master info file"
-msgstr ""
-
 #: drizzled/slave.cc:1087
 msgid "Rotate_event (out of memory?), SHOW SLAVE STATUS may be inaccurate"
 msgstr ""
@@ -1172,12 +1228,19 @@
 msgid "Slave: received end packet from server, apparent master shutdown: %s"
 msgstr ""
 
-#: drizzled/slave.cc:1768 drizzled/slave.cc:2367
+#: drizzled/slave.cc:1693
+#, c-format
+msgid ""
+"It was not possible to update the positions of the relay log information: "
+"the slave may be in an inconsistent state. Stopped in %s position %s"
+msgstr ""
+
+#: drizzled/slave.cc:1768 drizzled/slave.cc:2368
 #, c-format
 msgid "Slave SQL thread stopped because it reached its UNTIL position %s"
 msgstr ""
 
-#: drizzled/slave.cc:1827 drizzled/slave.cc:2316
+#: drizzled/slave.cc:1827 drizzled/slave.cc:2317
 #, c-format
 msgid "Error initializing relay log position: %s"
 msgstr ""
@@ -1189,46 +1252,61 @@
 "Consider raising the value of the slave_transaction_retries variable."
 msgstr ""
 
-#: drizzled/slave.cc:1989
+#: drizzled/slave.cc:1866
+msgid ""
+"Could not parse relay log event entry. The possible reasons are: the "
+"master's binary log is corrupted (you can check this by running "
+"'mysqlbinlog' on the binary log), the slave's relay log is corrupted (you "
+"can check this by running 'mysqlbinlog' on the relay log), a network "
+"problem, or a bug in the master's or slave's DRIZZLE code. If you want to "
+"check the master's binary log or slave's relay log, you will be able to know "
+"their names by issuing 'SHOW SLAVE STATUS' on this slave."
+msgstr ""
+
+#: drizzled/slave.cc:1990
 msgid "Failed during slave I/O thread initialization"
 msgstr ""
 
-#: drizzled/slave.cc:2011
+#: drizzled/slave.cc:2004
+msgid "error in drizzle_create()"
+msgstr ""
+
+#: drizzled/slave.cc:2012
 #, c-format
 msgid ""
 "Slave I/O thread: connected to master '%s@%s:%d',replication started in log "
 "'%s' at position %s"
 msgstr ""
 
-#: drizzled/slave.cc:2025
+#: drizzled/slave.cc:2026
 msgid "Slave I/O thread killed while connecting to master"
 msgstr ""
 
-#: drizzled/slave.cc:2049
+#: drizzled/slave.cc:2050
 msgid "Slave I/O thread couldn't register on master"
 msgstr ""
 
-#: drizzled/slave.cc:2061 drizzled/slave.cc:2085 drizzled/slave.cc:2109
+#: drizzled/slave.cc:2062 drizzled/slave.cc:2086 drizzled/slave.cc:2110
 msgid "Forcing to reconnect slave I/O thread"
 msgstr ""
 
-#: drizzled/slave.cc:2074
+#: drizzled/slave.cc:2075
 msgid "Failed on request_dump()"
 msgstr ""
 
-#: drizzled/slave.cc:2075
+#: drizzled/slave.cc:2076
 msgid "Slave I/O thread killed while requesting master dump"
 msgstr ""
 
-#: drizzled/slave.cc:2101
+#: drizzled/slave.cc:2102
 msgid "Waiting for master to send event"
 msgstr ""
 
-#: drizzled/slave.cc:2103
+#: drizzled/slave.cc:2104
 msgid "Slave I/O thread killed while reading event"
 msgstr ""
 
-#: drizzled/slave.cc:2121
+#: drizzled/slave.cc:2122
 #, c-format
 msgid ""
 "Log entry on master is longer than max_allowed_packet (%ld) on slave. If the "
@@ -1236,57 +1314,57 @@
 "max_allowed_packet"
 msgstr ""
 
-#: drizzled/slave.cc:2135
+#: drizzled/slave.cc:2136
 msgid "Stopping slave I/O thread due to out-of-memory error from master"
 msgstr ""
 
-#: drizzled/slave.cc:2145
+#: drizzled/slave.cc:2146
 msgid "Queueing master event to the relay log"
 msgstr ""
 
-#: drizzled/slave.cc:2172
+#: drizzled/slave.cc:2173
 msgid "Slave I/O thread aborted while waiting for relay log space"
 msgstr ""
 
-#: drizzled/slave.cc:2182
+#: drizzled/slave.cc:2183
 #, c-format
 msgid "Slave I/O thread exiting, read up to log '%s', position %s"
 msgstr ""
 
-#: drizzled/slave.cc:2206
+#: drizzled/slave.cc:2207
 msgid "Waiting for slave mutex on exit"
 msgstr ""
 
-#: drizzled/slave.cc:2272
+#: drizzled/slave.cc:2273
 msgid "Failed during slave thread initialization"
 msgstr ""
 
-#: drizzled/slave.cc:2338
+#: drizzled/slave.cc:2339
 #, c-format
 msgid ""
 "Slave SQL thread initialized, starting replication in log '%s' at position %"
 "s, relay log '%s' position: %s"
 msgstr ""
 
-#: drizzled/slave.cc:2352
+#: drizzled/slave.cc:2353
 msgid "Slave SQL thread aborted. Can't execute init_slave query"
 msgstr ""
 
-#: drizzled/slave.cc:2378
+#: drizzled/slave.cc:2379
 msgid "Reading event from the relay log"
 msgstr ""
 
-#: drizzled/slave.cc:2403
+#: drizzled/slave.cc:2404
 #, c-format
 msgid "Slave (additional info): %s Error_code: %d"
 msgstr ""
 
-#: drizzled/slave.cc:2420
+#: drizzled/slave.cc:2421
 #, c-format
 msgid "Slave: %s Error_code: %d"
 msgstr ""
 
-#: drizzled/slave.cc:2423
+#: drizzled/slave.cc:2424
 #, c-format
 msgid ""
 "Error loading user-defined library, slave SQL thread aborted. Install the "
@@ -1294,80 +1372,113 @@
 "stopped at log '%s' position %s"
 msgstr ""
 
-#: drizzled/slave.cc:2431
+#: drizzled/slave.cc:2432
 #, c-format
 msgid ""
 "Error running query, slave SQL thread aborted. Fix the problem, and restart "
 "the slave SQL thread with \"SLAVE START\". We stopped at log '%s' position %s"
 msgstr ""
 
-#: drizzled/slave.cc:2443
+#: drizzled/slave.cc:2444
 #, c-format
 msgid ""
 "Slave SQL thread exiting, replication stopped in log '%s' at position %s"
 msgstr ""
 
-#: drizzled/slave.cc:2539
+#: drizzled/slave.cc:2540
 #, c-format
 msgid "Slave I/O: failed requesting download of '%s'"
 msgstr ""
 
-#: drizzled/slave.cc:2556
+#: drizzled/slave.cc:2557
 #, c-format
 msgid "Network read error downloading '%s' from master"
 msgstr ""
 
-#: drizzled/slave.cc:2728 drizzled/slave.cc:2814
+#: drizzled/slave.cc:2579
+msgid "error writing Exec_load event to relay log"
+msgstr ""
+
+#: drizzled/slave.cc:2593
+msgid "error writing Create_file event to relay log"
+msgstr ""
+
+#: drizzled/slave.cc:2608
+msgid "error writing Append_block event to relay log"
+msgstr ""
+
+#: drizzled/slave.cc:2704
+msgid "Memory allocation failed"
+msgstr ""
+
+#: drizzled/slave.cc:2729 drizzled/slave.cc:2815
 #, c-format
 msgid ""
 "Read invalid event from master: '%s', master could be corrupt but a more "
 "likely cause of this is a bug"
 msgstr ""
 
-#: drizzled/slave.cc:3209
+#: drizzled/slave.cc:3088
+msgid "could not queue event from master"
+msgstr ""
+
+#: drizzled/slave.cc:3182
+#, c-format
+msgid "error %s to master '%s@%s:%d' - retry-time: %d  retries: %u"
+msgstr ""
+
+#: drizzled/slave.cc:3184
+msgid "reconnecting"
+msgstr ""
+
+#: drizzled/slave.cc:3184
+msgid "connecting"
+msgstr ""
+
+#: drizzled/slave.cc:3210
 #, c-format
 msgid ""
 "Slave: connected to master '%s@%s:%d', replication resumed in log '%s' at "
 "position %s"
 msgstr ""
 
-#: drizzled/slave.cc:3599
+#: drizzled/slave.cc:3600
 #, c-format
 msgid "next log '%s' is currently active"
 msgstr ""
 
-#: drizzled/slave.cc:3629
+#: drizzled/slave.cc:3630
 #, c-format
 msgid "next log '%s' is not active"
 msgstr ""
 
-#: drizzled/slave.cc:3645
+#: drizzled/slave.cc:3646
 #, c-format
 msgid ""
 "Slave SQL thread: I/O error reading event(errno: %d  cur_log->error: %d)"
 msgstr ""
 
-#: drizzled/slave.cc:3651
+#: drizzled/slave.cc:3652
 msgid "Aborting slave SQL thread because of partial event read"
 msgstr ""
 
-#: drizzled/slave.cc:3657 drizzled/slave.cc:3664
+#: drizzled/slave.cc:3658 drizzled/slave.cc:3665
 #, c-format
 msgid "Error reading relay log event: %s"
 msgstr ""
 
-#: drizzled/slave.cc:3658
+#: drizzled/slave.cc:3659
 msgid "slave SQL thread was killed"
 msgstr ""
 
-#: drizzled/slave.cc:3756
+#: drizzled/slave.cc:3757
 #, c-format
 msgid ""
 "master may suffer from http://bugs.mysql.com/bug.php?id=%u so slave stops; "
 "check error log on slave for more info"
 msgstr ""
 
-#: drizzled/slave.cc:3762
+#: drizzled/slave.cc:3763
 #, c-format
 msgid ""
 "According to the master's version ('%s'), it is probable that master suffers "
@@ -1379,3 +1490,103 @@
 "deleted, that master be upgraded to a version at least equal to '%d.%d.%d'. "
 "Then replication can be restarted."
 msgstr ""
+
+#: drizzled/sql_repl.cc:102
+msgid "Failed in send_file() while reading file name"
+msgstr ""
+
+#: drizzled/sql_repl.cc:115
+msgid "Failed in send_file() on open of file"
+msgstr ""
+
+#: drizzled/sql_repl.cc:123
+msgid "Failed in send_file() while writing data to client"
+msgstr ""
+
+#: drizzled/sql_repl.cc:132
+msgid "Failed in send_file() while negotiating file transfer close"
+msgstr ""
+
+#: drizzled/table.cc:546
+#, c-format
+msgid ""
+"'%s' had no or invalid character set, and default character set is multi-"
+"byte, so character column sizes may have changed"
+msgstr ""
+
+#: drizzled/table.cc:983 drizzled/table.cc:989
+#, c-format
+msgid ""
+"Found incompatible DECIMAL field '%s' in %s; Please do \"ALTER TABLE '%s' "
+"FORCE\" to fix it!"
+msgstr ""
+
+#: drizzled/table.cc:1161
+#, c-format
+msgid ""
+"Found wrong key definition in %s; Please do \"ALTER TABLE '%s' FORCE \" to "
+"fix it!"
+msgstr ""
+
+#: drizzled/table.cc:1167
+#, c-format
+msgid ""
+"Found wrong key definition in %s; Please do \"ALTER TABLE '%s' FORCE\" to "
+"fix it!"
+msgstr ""
+
+#: drizzled/table.cc:1810
+#, c-format
+msgid "Unknown collation '%s' in table '%-.64s' definition"
+msgstr ""
+
+#: drizzled/table.cc:1817
+#, c-format
+msgid ""
+"Table '%-.64s' was created with a different version of MySQL and cannot be "
+"read"
+msgstr ""
+
+#: drizzled/table.cc:2406
+#, c-format
+msgid ""
+"Incorrect definition of table %s.%s: expected column '%s' at position %d, "
+"found '%s'."
+msgstr ""
+
+#: drizzled/table.cc:2432
+#, c-format
+msgid ""
+"Incorrect definition of table %s.%s: expected column '%s' at position %d to "
+"have type %s, found type %s."
+msgstr ""
+
+#: drizzled/table.cc:2441
+#, c-format
+msgid ""
+"Incorrect definition of table %s.%s: expected the type of column '%s' at "
+"position %d to have character set '%s' but the type has no character set."
+msgstr ""
+
+#: drizzled/table.cc:2451
+#, c-format
+msgid ""
+"Incorrect definition of table %s.%s: expected the type of column '%s' at "
+"position %d to have character set '%s' but found character set '%s'."
+msgstr ""
+
+#: drizzled/table.cc:2462
+#, c-format
+msgid ""
+"Incorrect definition of table %s.%s: expected column '%s' at position %d to "
+"have type %s  but the column is not found."
+msgstr ""
+
+#: drizzled/tztime.cc:1066
+#, c-format
+msgid "Fatal error: Illegal or unknown default time zone '%s'"
+msgstr ""
+
+#: drizzled/unireg.h:45
+msgid "Invalid error code"
+msgstr ""

=== removed file 'po/en_US.po'
--- po/en_US.po	2008-08-02 02:43:18 +0000
+++ po/en_US.po	1970-01-01 00:00:00 +0000
@@ -1,1493 +0,0 @@
-# English translations for drizzle package.
-# Copyright (C) 2008 Sun Microsystems
-# This file is distributed under the same license as the drizzle package.
-# Monty Taylor <mordred@inaugust.com>, 2008.
-#
-msgid ""
-msgstr ""
-"Project-Id-Version: drizzle 7.0.0\n"
-"Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-08-01 19:41-0700\n"
-"PO-Revision-Date: 2008-08-01 19:03-0700\n"
-"Last-Translator: Monty Taylor <mordred@inaugust.com>\n"
-"Language-Team: English\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=2; plural=(n != 1);\n"
-
-#: client/drizzle.c:260
-msgid "Synonym for `help'."
-msgstr "Synonym for `help'."
-
-#: client/drizzle.c:261
-msgid "Clear command."
-msgstr "Clear command."
-
-#: client/drizzle.c:263
-msgid "Reconnect to the server. Optional arguments are db and host."
-msgstr "Reconnect to the server. Optional arguments are db and host."
-
-#: client/drizzle.c:265
-msgid ""
-"Set statement delimiter. NOTE: Takes the rest of the line as new delimiter."
-msgstr ""
-"Set statement delimiter. NOTE: Takes the rest of the line as new delimiter."
-
-#: client/drizzle.c:267
-msgid "Send command to drizzle server, display result vertically."
-msgstr "Send command to drizzle server, display result vertically."
-
-#: client/drizzle.c:268
-msgid "Exit drizzle. Same as quit."
-msgstr "Exit drizzle. Same as quit."
-
-#: client/drizzle.c:269
-msgid "Send command to drizzle server."
-msgstr "Send command to drizzle server."
-
-#: client/drizzle.c:270
-msgid "Display this help."
-msgstr "Display this help."
-
-#: client/drizzle.c:271
-msgid "Disable pager, print to stdout."
-msgstr "Disable pager, print to stdout."
-
-#: client/drizzle.c:272
-msgid "Don't write into outfile."
-msgstr "Don't write into outfile."
-
-#: client/drizzle.c:274
-msgid "Set PAGER [to_pager]. Print the query results via PAGER."
-msgstr "Set PAGER [to_pager]. Print the query results via PAGER."
-
-#: client/drizzle.c:275
-msgid "Print current command."
-msgstr "Print current command."
-
-#: client/drizzle.c:276
-msgid "Change your drizzle prompt."
-msgstr "Change your drizzle prompt."
-
-#: client/drizzle.c:277
-msgid "Quit drizzle."
-msgstr "Quit drizzle."
-
-#: client/drizzle.c:278
-msgid "Rebuild completion hash."
-msgstr "Rebuild completion hash."
-
-#: client/drizzle.c:280
-msgid "Execute an SQL script file. Takes a file name as an argument."
-msgstr "Execute an SQL script file. Takes a file name as an argument."
-
-#: client/drizzle.c:281
-msgid "Get status information from the server."
-msgstr "Get status information from the server."
-
-#: client/drizzle.c:283
-msgid "Set outfile [to_outfile]. Append everything into given outfile."
-msgstr "Set outfile [to_outfile]. Append everything into given outfile."
-
-#: client/drizzle.c:285
-msgid "Use another database. Takes database name as argument."
-msgstr "Use another database. Takes database name as argument."
-
-#: client/drizzle.c:287
-msgid ""
-"Switch to another charset. Might be needed for processing binlog with multi-"
-"byte charsets."
-msgstr ""
-"Switch to another charset. Might be needed for processing binlog with multi-"
-"byte charsets."
-
-#: client/drizzle.c:289 client/drizzle.c:1455
-msgid "Show warnings after every statement."
-msgstr "Show warnings after every statement."
-
-#: client/drizzle.c:291
-msgid "Don't show warnings after every statement."
-msgstr "Don't show warnings after every statement."
-
-#: client/drizzle.c:1126
-msgid "Welcome to the Drizzle client..  Commands end with ; or \\g."
-msgstr "Welcome to the Drizzle client..  Commands end with ; or \\g."
-
-#: client/drizzle.c:1134
-#, c-format
-msgid ""
-"Your Drizzle connection id is %u\n"
-"Server version: %s\n"
-msgstr ""
-"Your Drizzle connection id is %u\n"
-"Server version: %s\n"
-
-#: client/drizzle.c:1164
-#, c-format
-msgid "Reading history-file %s\n"
-msgstr "Reading history-file %s\n"
-
-#: client/drizzle.c:1169
-#, c-format
-msgid "Couldn't allocate memory for temp histfile!\n"
-msgstr "Couldn't allocate memory for temp histfile!\n"
-
-#: client/drizzle.c:1176
-msgid "Type 'help;' or '\\h' for help. Type '\\c' to clear the buffer.\n"
-msgstr "Type 'help;' or '\\h' for help. Type '\\c' to clear the buffer.\n"
-
-#: client/drizzle.c:1195
-#, c-format
-msgid "Writing history-file %s\n"
-msgstr "Writing history-file %s\n"
-
-#: client/drizzle.c:1204
-msgid "Aborted"
-msgstr "Aborted"
-
-#: client/drizzle.c:1204
-msgid "Bye"
-msgstr "Bye"
-
-#: client/drizzle.c:1257
-msgid "Query aborted by Ctrl+C\n"
-msgstr "Query aborted by Ctrl+C\n"
-
-#: client/drizzle.c:1280
-msgid "Display this help and exit."
-msgstr "Display this help and exit."
-
-#: client/drizzle.c:1282
-msgid "Synonym for -?"
-msgstr "Synonym for -?"
-
-#: client/drizzle.c:1285
-msgid ""
-"Enable automatic rehashing. One doesn't need to use 'rehash' to get table "
-"and field completion, but startup and reconnecting may take a longer time. "
-"Disable with --disable-auto-rehash."
-msgstr ""
-"Enable automatic rehashing. One doesn't need to use 'rehash' to get table "
-"and field completion, but startup and reconnecting may take a longer time. "
-"Disable with --disable-auto-rehash."
-
-#: client/drizzle.c:1289
-msgid ""
-"No automatic rehashing. One has to use 'rehash' to get table and field "
-"completion. This gives a quicker start of DRIZZLE and disables rehashing on "
-"reconnect. WARNING: options deprecated; use --disable-auto-rehash instead."
-msgstr ""
-"No automatic rehashing. One has to use 'rehash' to get table and field "
-"completion. This gives a quicker start of DRIZZLE and disables rehashing on "
-"reconnect. WARNING: options deprecated; use --disable-auto-rehash instead."
-
-#: client/drizzle.c:1292
-msgid ""
-"Automatically switch to vertical output mode if the result is wider than the "
-"terminal width."
-msgstr ""
-"Automatically switch to vertical output mode if the result is wider than the "
-"terminal width."
-
-#: client/drizzle.c:1295
-msgid ""
-"Don't use history file. Disable interactive behavior. (Enables --silent)"
-msgstr ""
-"Don't use history file. Disable interactive behavior. (Enables --silent)"
-
-#: client/drizzle.c:1297
-msgid "Directory where character sets are."
-msgstr "Directory where character sets are."
-
-#: client/drizzle.c:1299
-msgid "Display column type information."
-msgstr "Display column type information."
-
-#: client/drizzle.c:1302
-msgid ""
-"Preserve comments. Send comments to the server. The default is --skip-"
-"comments (discard comments), enable with --comments"
-msgstr ""
-"Preserve comments. Send comments to the server. The default is --skip-"
-"comments (discard comments), enable with --comments"
-
-#: client/drizzle.c:1305
-msgid "Use compression in server/client protocol."
-msgstr "Use compression in server/client protocol."
-
-#: client/drizzle.c:1308
-msgid "Check memory and open file usage at exit ."
-msgstr "Check memory and open file usage at exit ."
-
-#: client/drizzle.c:1311
-msgid "Print some debug info at exit."
-msgstr "Print some debug info at exit."
-
-#: client/drizzle.c:1313
-msgid "Database to use."
-msgstr "Database to use."
-
-#: client/drizzle.c:1316
-msgid "Set the default character set."
-msgstr "Set the default character set."
-
-#: client/drizzle.c:1318
-msgid "Delimiter to be used."
-msgstr "Delimiter to be used."
-
-#: client/drizzle.c:1320
-msgid "Execute command and quit. (Disables --force and history file)"
-msgstr "Execute command and quit. (Disables --force and history file)"
-
-#: client/drizzle.c:1322
-msgid "Print the output of a query (rows) vertically."
-msgstr "Print the output of a query (rows) vertically."
-
-#: client/drizzle.c:1325
-msgid "Continue even if we get an sql error."
-msgstr "Continue even if we get an sql error."
-
-#: client/drizzle.c:1329
-msgid ""
-"Enable named commands. Named commands mean this program's internal commands; "
-"see drizzle> help . When enabled, the named commands can be used from any "
-"line of the query, otherwise only from the first line, before an enter. "
-"Disable with --disable-named-commands. This option is disabled by default."
-msgstr ""
-"Enable named commands. Named commands mean this program's internal commands; "
-"see drizzle> help . When enabled, the named commands can be used from any "
-"line of the query, otherwise only from the first line, before an enter. "
-"Disable with --disable-named-commands. This option is disabled by default."
-
-#: client/drizzle.c:1333
-msgid ""
-"Named commands are disabled. Use \\* form only, or use named commands only "
-"in the beginning of a line ending with a semicolon (;) Since version 10.9 "
-"the client now starts with this option ENABLED by default! Disable with '-"
-"G'. Long format commands still work from the first line. WARNING: option "
-"deprecated; use --disable-named-commands instead."
-msgstr ""
-"Named commands are disabled. Use \\* form only, or use named commands only "
-"in the beginning of a line ending with a semicolon (;) Since version 10.9 "
-"the client now starts with this option ENABLED by default! Disable with '-"
-"G'. Long format commands still work from the first line. WARNING: option "
-"deprecated; use --disable-named-commands instead."
-
-#: client/drizzle.c:1335
-msgid "Ignore space after function names."
-msgstr "Ignore space after function names."
-
-#: client/drizzle.c:1337
-msgid "Enable/disable LOAD DATA LOCAL INFILE."
-msgstr "Enable/disable LOAD DATA LOCAL INFILE."
-
-#: client/drizzle.c:1340
-msgid "Turn off beep on error."
-msgstr "Turn off beep on error."
-
-#: client/drizzle.c:1342
-msgid "Connect to host."
-msgstr "Connect to host."
-
-#: client/drizzle.c:1344
-msgid "Produce HTML output."
-msgstr "Produce HTML output."
-
-#: client/drizzle.c:1346
-msgid "Produce XML output"
-msgstr "Produce XML output"
-
-#: client/drizzle.c:1348
-msgid "Write line numbers for errors."
-msgstr "Write line numbers for errors."
-
-#: client/drizzle.c:1351
-msgid ""
-"Don't write line number for errors. WARNING: -L is deprecated, use long "
-"version of this option instead."
-msgstr ""
-"Don't write line number for errors. WARNING: -L is deprecated, use long "
-"version of this option instead."
-
-#: client/drizzle.c:1353
-msgid "Flush buffer after each query."
-msgstr "Flush buffer after each query."
-
-#: client/drizzle.c:1355
-msgid "Write column names in results."
-msgstr "Write column names in results."
-
-#: client/drizzle.c:1359
-msgid ""
-"Don't write column names in results. WARNING: -N is deprecated, use long "
-"version of this options instead."
-msgstr ""
-"Don't write column names in results. WARNING: -N is deprecated, use long "
-"version of this options instead."
-
-#: client/drizzle.c:1362
-msgid ""
-"Change the value of a variable. Please note that this option is deprecated; "
-"you can set variables directly with --variable-name=value."
-msgstr ""
-"Change the value of a variable. Please note that this option is deprecated; "
-"you can set variables directly with --variable-name=value."
-
-#: client/drizzle.c:1364
-msgid "Ignore SIGINT (CTRL-C)"
-msgstr "Ignore SIGINT (CTRL-C)"
-
-#: client/drizzle.c:1368
-msgid ""
-"Only update the default database. This is useful for skipping updates to "
-"other database in the update log."
-msgstr ""
-"Only update the default database. This is useful for skipping updates to "
-"other database in the update log."
-
-#: client/drizzle.c:1371
-msgid ""
-"Pager to use to display results. If you don't supply an option the default "
-"pager is taken from your ENV variable PAGER. Valid pagers are less, more, "
-"cat [> filename], etc. See interactive help (\\h) also. This option does not "
-"work in batch mode. Disable with --disable-pager. This option is disabled by "
-"default."
-msgstr ""
-"Pager to use to display results. If you don't supply an option the default "
-"pager is taken from your ENV variable PAGER. Valid pagers are less, more, "
-"cat [> filename], etc. See interactive help (\\h) also. This option does not "
-"work in batch mode. Disable with --disable-pager. This option is disabled by "
-"default."
-
-#: client/drizzle.c:1374
-msgid ""
-"Disable pager and print to stdout. See interactive help (\\h) also. WARNING: "
-"option deprecated; use --disable-pager instead."
-msgstr ""
-"Disable pager and print to stdout. See interactive help (\\h) also. WARNING: "
-"option deprecated; use --disable-pager instead."
-
-#: client/drizzle.c:1377
-msgid ""
-"Password to use when connecting to server. If password is not given it's "
-"asked from the tty."
-msgstr ""
-"Password to use when connecting to server. If password is not given it's "
-"asked from the tty."
-
-#: client/drizzle.c:1379
-msgid ""
-"Port number to use for connection or 0 for default to, in order of "
-"preference, my.cnf, $MYSQL_TCP_PORT, "
-msgstr ""
-"Port number to use for connection or 0 for default to, in order of "
-"preference, my.cnf, $MYSQL_TCP_PORT, "
-
-#: client/drizzle.c:1383
-msgid "built-in default"
-msgstr "built-in default"
-
-#: client/drizzle.c:1386
-msgid "Set the drizzle prompt to this value."
-msgstr "Set the drizzle prompt to this value."
-
-#: client/drizzle.c:1389
-msgid "The protocol of connection (tcp,socket,pipe,memory)."
-msgstr "The protocol of connection (tcp,socket,pipe,memory)."
-
-#: client/drizzle.c:1392
-msgid ""
-"Don't cache result, print it row by row. This may slow down the server if "
-"the output is suspended. Doesn't use history file."
-msgstr ""
-"Don't cache result, print it row by row. This may slow down the server if "
-"the output is suspended. Doesn't use history file."
-
-#: client/drizzle.c:1394
-msgid "Write fields without conversion. Used with --batch."
-msgstr "Write fields without conversion. Used with --batch."
-
-#: client/drizzle.c:1397
-msgid ""
-"Reconnect if the connection is lost. Disable with --disable-reconnect. This "
-"option is enabled by default."
-msgstr ""
-"Reconnect if the connection is lost. Disable with --disable-reconnect. This "
-"option is enabled by default."
-
-#: client/drizzle.c:1399
-msgid ""
-"Be more silent. Print results with a tab as separator, each row on new line."
-msgstr ""
-"Be more silent. Print results with a tab as separator, each row on new line."
-
-#: client/drizzle.c:1401
-msgid "Socket file to use for connection."
-msgstr "Socket file to use for connection."
-
-#: client/drizzle.c:1404
-msgid "Output in table format."
-msgstr "Output in table format."
-
-#: client/drizzle.c:1407
-msgid ""
-"Append everything into outfile. See interactive help (\\h) also. Does not "
-"work in batch mode. Disable with --disable-tee. This option is disabled by "
-"default."
-msgstr ""
-"Append everything into outfile. See interactive help (\\h) also. Does not "
-"work in batch mode. Disable with --disable-tee. This option is disabled by "
-"default."
-
-#: client/drizzle.c:1409
-msgid ""
-"Disable outfile. See interactive help (\\h) also. WARNING: option "
-"deprecated; use --disable-tee instead"
-msgstr ""
-"Disable outfile. See interactive help (\\h) also. WARNING: option "
-"deprecated; use --disable-tee instead"
-
-#: client/drizzle.c:1412
-msgid "User for login if not current user."
-msgstr "User for login if not current user."
-
-#: client/drizzle.c:1415
-msgid "Only allow UPDATE and DELETE that uses keys."
-msgstr "Only allow UPDATE and DELETE that uses keys."
-
-#: client/drizzle.c:1418
-msgid "Synonym for option --safe-updates, -U."
-msgstr "Synonym for option --safe-updates, -U."
-
-#: client/drizzle.c:1421
-msgid "Write more. (-v -v -v gives the table output format)."
-msgstr "Write more. (-v -v -v gives the table output format)."
-
-#: client/drizzle.c:1423
-msgid "Output version information and exit."
-msgstr "Output version information and exit."
-
-#: client/drizzle.c:1425
-msgid "Wait and retry if connection is down."
-msgstr "Wait and retry if connection is down."
-
-#: client/drizzle.c:1428
-msgid "Number of seconds before connection timeout."
-msgstr "Number of seconds before connection timeout."
-
-#: client/drizzle.c:1433
-msgid "Max packet length to send to, or receive from server"
-msgstr "Max packet length to send to, or receive from server"
-
-#: client/drizzle.c:1438
-msgid "Buffer for TCP/IP and socket communication"
-msgstr "Buffer for TCP/IP and socket communication"
-
-#: client/drizzle.c:1442
-msgid "Automatic limit for SELECT when using --safe-updates"
-msgstr "Automatic limit for SELECT when using --safe-updates"
-
-#: client/drizzle.c:1447
-msgid "Automatic limit for rows in a join when using --safe-updates"
-msgstr "Automatic limit for rows in a join when using --safe-updates"
-
-#: client/drizzle.c:1451
-msgid "Refuse client connecting to server if it uses old (pre-4.1.1) protocol"
-msgstr "Refuse client connecting to server if it uses old (pre-4.1.1) protocol"
-
-#: client/drizzle.c:1453
-msgid "Send embedded server this as a parameter."
-msgstr "Send embedded server this as a parameter."
-
-#: client/drizzle.c:1466
-#, c-format
-msgid "%s  Ver %s Distrib %s, for %s (%s) using %s %s\n"
-msgstr "%s  Ver %s Distrib %s, for %s (%s) using %s %s\n"
-
-#: client/drizzle.c:1472
-#, c-format
-msgid ""
-"Copyright (C) 2000-2008 MySQL AB\n"
-"                                      This software comes with ABSOLUTELY NO "
-"WARRANTY. This is free software,\n"
-" and you are welcome to modify and redistribute it under the GPL license\n"
-msgstr ""
-"Copyright (C) 2000-2008 MySQL AB\n"
-"                                      This software comes with ABSOLUTELY NO "
-"WARRANTY. This is free software,\n"
-" and you are welcome to modify and redistribute it under the GPL license\n"
-
-#: client/drizzle.c:1476
-#, c-format
-msgid "Usage: %s [OPTIONS] [database]\n"
-msgstr "Usage: %s [OPTIONS] [database]\n"
-
-#: client/drizzle.c:1509
-msgid "DELIMITER cannot contain a backslash character"
-msgstr "DELIMITER cannot contain a backslash character"
-
-#: client/drizzle.c:1530
-#, c-format
-msgid "WARNING: option deprecated; use --disable-tee instead.\n"
-msgstr "WARNING: option deprecated; use --disable-tee instead.\n"
-
-#: client/drizzle.c:1553
-#, c-format
-msgid "WARNING: option deprecated; use --disable-pager instead.\n"
-msgstr "WARNING: option deprecated; use --disable-pager instead.\n"
-
-#: client/drizzle.c:1932
-#, c-format
-msgid "Unknown command '\\%c'."
-msgstr "Unknown command '\\%c'."
-
-#: client/drizzle.c:2362
-msgid ""
-"Reading table information for completion of table and column names\n"
-"    You can turn off this feature to get a quicker startup with -A\n"
-"\n"
-msgstr ""
-"Reading table information for completion of table and column names\n"
-"    You can turn off this feature to get a quicker startup with -A\n"
-"\n"
-
-#: client/drizzle.c:2459
-msgid "No connection. Trying to reconnect..."
-msgstr "No connection. Trying to reconnect..."
-
-#: client/drizzle.c:2465
-msgid "Can't connect to the server\n"
-msgstr "Can't connect to the server\n"
-
-#: client/drizzle.c:2522
-msgid "categories:"
-msgstr "categories:"
-
-#: client/drizzle.c:2522
-msgid "topics:"
-msgstr "topics:"
-
-#: client/drizzle.c:2573
-#, c-format
-msgid "Name: '%s'\n"
-msgstr "Name: '%s'\n"
-
-#: client/drizzle.c:2574
-#, c-format
-msgid ""
-"Description:\n"
-"%s"
-msgstr ""
-"Description:\n"
-"%s"
-
-#: client/drizzle.c:2576
-#, c-format
-msgid ""
-"Examples:\n"
-"%s"
-msgstr ""
-"Examples:\n"
-"%s"
-
-#: client/drizzle.c:2589
-msgid "Many help items for your request exist."
-msgstr "Many help items for your request exist."
-
-#: client/drizzle.c:2590
-msgid ""
-"To make a more specific request, please type 'help <item>',\n"
-"where <item> is one of the following"
-msgstr ""
-"To make a more specific request, please type 'help <item>',\n"
-"where <item> is one of the following"
-
-#: client/drizzle.c:2596
-#, c-format
-msgid "You asked for help about help category: '%s'\n"
-msgstr "You asked for help about help category: '%s'\n"
-
-#: client/drizzle.c:2597
-msgid ""
-"For more information, type 'help <item>', where <item> is one of the "
-"following"
-msgstr ""
-"For more information, type 'help <item>', where <item> is one of the "
-"following"
-
-#: client/drizzle.c:2610
-msgid ""
-"\n"
-"Nothing found"
-msgstr ""
-"\n"
-"Nothing found"
-
-#: client/drizzle.c:2611
-msgid "Please try to run 'help contents' for a list of all accessible topics\n"
-msgstr ""
-"Please try to run 'help contents' for a list of all accessible topics\n"
-
-#: client/drizzle.c:2634
-msgid "List of all Drizzle commands:"
-msgstr "List of all Drizzle commands:"
-
-#: client/drizzle.c:2636
-msgid "Note that all text commands must be first on line and end with ';'"
-msgstr "Note that all text commands must be first on line and end with ';'"
-
-#: client/drizzle.c:2647
-msgid ""
-"\n"
-"For server side help, type 'help contents'\n"
-msgstr ""
-"\n"
-"For server side help, type 'help contents'\n"
-
-#: client/drizzle.c:2670
-msgid "Usage: \\C char_setname | charset charset_name"
-msgstr "Usage: \\C char_setname | charset charset_name"
-
-#: client/drizzle.c:2680
-msgid "Charset changed"
-msgstr "Charset changed"
-
-#: client/drizzle.c:2682
-msgid "Charset is not found"
-msgstr "Charset is not found"
-
-#: client/drizzle.c:2713
-msgid "No query specified\n"
-msgstr "No query specified\n"
-
-#: client/drizzle.c:2728
-msgid "Ignoring query to other database"
-msgstr "Ignoring query to other database"
-
-#: client/drizzle.c:2777
-msgid "Empty set"
-msgstr "Empty set"
-
-#: client/drizzle.c:2804
-#, c-format
-msgid "%ld row in set"
-msgid_plural "%ld rows in set"
-msgstr[0] "%ld row in set"
-msgstr[1] "%ld rows in set"
-
-#: client/drizzle.c:2813
-msgid "Query OK"
-msgstr "Query OK"
-
-#: client/drizzle.c:2815
-#, c-format
-msgid "Query OK, %ld row affected"
-msgid_plural "Query OK, %ld rows affected"
-msgstr[0] "Query OK, %ld row affected"
-msgstr[1] "Query OK, %ld rows affected"
-
-#: mysys/errors.c:25
-#, c-format
-msgid "Can't create/write to file '%s' (Errcode: %d)"
-msgstr "Can't create/write to file '%s' (Errcode: %d)"
-
-#: mysys/errors.c:26
-#, c-format
-msgid "Error reading file '%s' (Errcode: %d)"
-msgstr "Error reading file '%s' (Errcode: %d)"
-
-#: mysys/errors.c:27
-#, c-format
-msgid "Error writing file '%s' (Errcode: %d)"
-msgstr "Error writing file '%s' (Errcode: %d)"
-
-#: mysys/errors.c:28
-#, c-format
-msgid "Error on close of '%'s (Errcode: %d)"
-msgstr "Error on close of '%'s (Errcode: %d)"
-
-#: mysys/errors.c:29
-#, c-format
-msgid "Out of memory (Needed %u bytes)"
-msgstr "Out of memory (Needed %u bytes)"
-
-#: mysys/errors.c:30
-#, c-format
-msgid "Error on delete of '%s' (Errcode: %d)"
-msgstr "Error on delete of '%s' (Errcode: %d)"
-
-#: mysys/errors.c:31
-#, c-format
-msgid "Error on rename of '%s' to '%s' (Errcode: %d)"
-msgstr "Error on rename of '%s' to '%s' (Errcode: %d)"
-
-#: mysys/errors.c:32
-#, c-format
-msgid "Unexpected eof found when reading file '%s' (Errcode: %d)"
-msgstr "Unexpected eof found when reading file '%s' (Errcode: %d)"
-
-#: mysys/errors.c:33
-#, c-format
-msgid "Can't lock file (Errcode: %d)"
-msgstr "Can't lock file (Errcode: %d)"
-
-#: mysys/errors.c:34
-#, c-format
-msgid "Can't unlock file (Errcode: %d)"
-msgstr "Can't unlock file (Errcode: %d)"
-
-#: mysys/errors.c:35
-#, c-format
-msgid "Can't read dir of '%s' (Errcode: %d)"
-msgstr "Can't read dir of '%s' (Errcode: %d)"
-
-#: mysys/errors.c:36
-#, c-format
-msgid "Can't get stat of '%s' (Errcode: %d)"
-msgstr "Can't get stat of '%s' (Errcode: %d)"
-
-#: mysys/errors.c:37
-#, c-format
-msgid "Can't change size of file (Errcode: %d)"
-msgstr "Can't change size of file (Errcode: %d)"
-
-#: mysys/errors.c:38
-#, c-format
-msgid "Can't open stream from handle (Errcode: %d)"
-msgstr "Can't open stream from handle (Errcode: %d)"
-
-#: mysys/errors.c:39
-#, c-format
-msgid "Can't get working dirctory (Errcode: %d)"
-msgstr "Can't get working dirctory (Errcode: %d)"
-
-#: mysys/errors.c:40
-#, c-format
-msgid "Can't change dir to '%s' (Errcode: %d)"
-msgstr "Can't change dir to '%s' (Errcode: %d)"
-
-#: mysys/errors.c:41
-#, c-format
-msgid "Warning: '%s' had %d links"
-msgstr "Warning: '%s' had %d links"
-
-#: mysys/errors.c:42
-#, c-format
-msgid "Warning: %d files and %d streams is left open\n"
-msgstr "Warning: %d files and %d streams is left open\n"
-
-#: mysys/errors.c:43
-#, c-format
-msgid "Disk is full writing '%s'. Waiting for someone to free space..."
-msgstr "Disk is full writing '%s'. Waiting for someone to free space..."
-
-#: mysys/errors.c:44
-#, c-format
-msgid "Can't create directory '%s' (Errcode: %d)"
-msgstr "Can't create directory '%s' (Errcode: %d)"
-
-#: mysys/errors.c:45
-#, c-format
-msgid ""
-"Character set '%s' is not a compiled character set and is not specified in "
-"the %s file"
-msgstr ""
-"Character set '%s' is not a compiled character set and is not specified in "
-"the %s file"
-
-#: mysys/errors.c:46
-#, c-format
-msgid "Out of resources when opening file '%s' (Errcode: %d)"
-msgstr "Out of resources when opening file '%s' (Errcode: %d)"
-
-#: mysys/errors.c:47
-#, c-format
-msgid "Can't read value for symlink '%s' (Error %d)"
-msgstr "Can't read value for symlink '%s' (Error %d)"
-
-#: mysys/errors.c:48
-#, c-format
-msgid "Can't create symlink '%s' pointing at '%s' (Error %d)"
-msgstr "Can't create symlink '%s' pointing at '%s' (Error %d)"
-
-#: mysys/errors.c:49
-#, c-format
-msgid "Error on realpath() on '%s' (Error %d)"
-msgstr "Error on realpath() on '%s' (Error %d)"
-
-#: mysys/errors.c:50
-#, c-format
-msgid "Can't sync file '%s' to disk (Errcode: %d)"
-msgstr "Can't sync file '%s' to disk (Errcode: %d)"
-
-#: mysys/errors.c:51
-#, c-format
-msgid ""
-"Collation '%s' is not a compiled collation and is not specified in the %s "
-"file"
-msgstr ""
-"Collation '%s' is not a compiled collation and is not specified in the %s "
-"file"
-
-#: mysys/errors.c:52
-#, c-format
-msgid "File '%s' not found (Errcode: %d)"
-msgstr "File '%s' not found (Errcode: %d)"
-
-#: mysys/errors.c:53
-#, c-format
-msgid "File '%s' (fileno: %d) was not closed"
-msgstr "File '%s' (fileno: %d) was not closed"
-
-#: mysys/my_error.c:86
-#, c-format
-msgid "Unknown error %d"
-msgstr "Unknown error %d"
-
-#: mysys/my_getopt.c:1164
-#, c-format
-msgid "%*s(Defaults to on; use --skip-%s to disable.)\n"
-msgstr "%*s(Defaults to on; use --skip-%s to disable.)\n"
-
-#: mysys/my_handler_errors.h:10
-msgid "Didn't find key on read or update"
-msgstr "Didn't find key on read or update"
-
-#: mysys/my_handler_errors.h:12
-msgid "Duplicate key on write or update"
-msgstr "Duplicate key on write or update"
-
-#: mysys/my_handler_errors.h:14
-msgid "Internal (unspecified) error in handler"
-msgstr "Internal (unspecified) error in handler"
-
-#: mysys/my_handler_errors.h:16
-msgid ""
-"Someone has changed the row since it was read (while the table was locked to "
-"prevent it)"
-msgstr ""
-"Someone has changed the row since it was read (while the table was locked to "
-"prevent it)"
-
-#: mysys/my_handler_errors.h:18
-msgid "Wrong index given to function"
-msgstr "Wrong index given to function"
-
-#: mysys/my_handler_errors.h:20
-msgid "Undefined handler error 125"
-msgstr "Undefined handler error 125"
-
-#: mysys/my_handler_errors.h:22
-msgid "Index file is crashed"
-msgstr "Index file is crashed"
-
-#: mysys/my_handler_errors.h:24
-msgid "Record file is crashed"
-msgstr "Record file is crashed"
-
-#: mysys/my_handler_errors.h:26
-msgid "Out of memory in engine"
-msgstr "Out of memory in engine"
-
-#: mysys/my_handler_errors.h:28
-msgid "Undefined handler error 129"
-msgstr "Undefined handler error 129"
-
-#: mysys/my_handler_errors.h:30
-msgid "Incorrect file format"
-msgstr "Incorrect file format"
-
-#: mysys/my_handler_errors.h:32
-msgid "Command not supported by database"
-msgstr "Command not supported by database"
-
-#: mysys/my_handler_errors.h:34
-msgid "Old database file"
-msgstr "Old database file"
-
-#: mysys/my_handler_errors.h:36
-msgid "No record read before update"
-msgstr "No record read before update"
-
-#: mysys/my_handler_errors.h:38
-msgid "Record was already deleted (or record file crashed)"
-msgstr "Record was already deleted (or record file crashed)"
-
-#: mysys/my_handler_errors.h:40
-msgid "No more room in record file"
-msgstr "No more room in record file"
-
-#: mysys/my_handler_errors.h:42
-msgid "No more room in index file"
-msgstr "No more room in index file"
-
-#: mysys/my_handler_errors.h:44
-msgid "No more records (read after end of file)"
-msgstr "No more records (read after end of file)"
-
-#: mysys/my_handler_errors.h:46
-msgid "Unsupported extension used for table"
-msgstr "Unsupported extension used for table"
-
-#: mysys/my_handler_errors.h:48
-msgid "Too big row"
-msgstr "Too big row"
-
-#: mysys/my_handler_errors.h:50
-msgid "Wrong create options"
-msgstr "Wrong create options"
-
-#: mysys/my_handler_errors.h:52
-msgid "Duplicate unique key or constraint on write or update"
-msgstr "Duplicate unique key or constraint on write or update"
-
-#: mysys/my_handler_errors.h:54
-msgid "Unknown character set used in table"
-msgstr "Unknown character set used in table"
-
-#: mysys/my_handler_errors.h:56
-msgid "Conflicting table definitions in sub-tables of MERGE table"
-msgstr "Conflicting table definitions in sub-tables of MERGE table"
-
-#: mysys/my_handler_errors.h:58
-msgid "Table is crashed and last repair failed"
-msgstr "Table is crashed and last repair failed"
-
-#: mysys/my_handler_errors.h:60
-msgid "Table was marked as crashed and should be repaired"
-msgstr "Table was marked as crashed and should be repaired"
-
-#: mysys/my_handler_errors.h:62
-msgid "Lock timed out; Retry transaction"
-msgstr "Lock timed out; Retry transaction"
-
-#: mysys/my_handler_errors.h:64
-msgid "Lock table is full;  Restart program with a larger locktable"
-msgstr "Lock table is full;  Restart program with a larger locktable"
-
-#: mysys/my_handler_errors.h:66
-msgid "Updates are not allowed under a read only transactions"
-msgstr "Updates are not allowed under a read only transactions"
-
-#: mysys/my_handler_errors.h:68
-msgid "Lock deadlock; Retry transaction"
-msgstr "Lock deadlock; Retry transaction"
-
-#: mysys/my_handler_errors.h:70
-msgid "Foreign key constraint is incorrectly formed"
-msgstr "Foreign key constraint is incorrectly formed"
-
-#: mysys/my_handler_errors.h:72
-msgid "Cannot add a child row"
-msgstr "Cannot add a child row"
-
-#: mysys/my_handler_errors.h:74
-msgid "Cannot delete a parent row"
-msgstr "Cannot delete a parent row"
-
-#: mysys/my_handler_errors.h:76
-msgid "No savepoint with that name"
-msgstr "No savepoint with that name"
-
-#: mysys/my_handler_errors.h:78
-msgid "Non unique key block size"
-msgstr "Non unique key block size"
-
-#: mysys/my_handler_errors.h:80
-msgid "The table does not exist in engine"
-msgstr "The table does not exist in engine"
-
-#: mysys/my_handler_errors.h:82
-msgid "The table already existed in storage engine"
-msgstr "The table already existed in storage engine"
-
-#: mysys/my_handler_errors.h:84
-msgid "Could not connect to storage engine"
-msgstr "Could not connect to storage engine"
-
-#: mysys/my_handler_errors.h:86
-msgid "Unexpected null pointer found when using spatial index"
-msgstr "Unexpected null pointer found when using spatial index"
-
-#: mysys/my_handler_errors.h:88
-msgid "The table changed in storage engine"
-msgstr "The table changed in storage engine"
-
-#: mysys/my_handler_errors.h:90
-msgid "There's no partition in table for the given value"
-msgstr "There's no partition in table for the given value"
-
-#: mysys/my_handler_errors.h:92
-msgid "Row-based binlogging of row failed"
-msgstr "Row-based binlogging of row failed"
-
-#: mysys/my_handler_errors.h:94
-msgid "Index needed in foreign key constraint"
-msgstr "Index needed in foreign key constraint"
-
-#: mysys/my_handler_errors.h:96
-msgid "Upholding foreign key constraints would lead to a duplicate key error"
-msgstr "Upholding foreign key constraints would lead to a duplicate key error"
-
-#: mysys/my_handler_errors.h:98
-msgid "Table needs to be upgraded before it can be used"
-msgstr "Table needs to be upgraded before it can be used"
-
-#: mysys/my_handler_errors.h:100
-msgid "Table is read only"
-msgstr "Table is read only"
-
-#: mysys/my_handler_errors.h:102
-msgid "Failed to get next auto increment value"
-msgstr "Failed to get next auto increment value"
-
-#: mysys/my_handler_errors.h:104
-msgid "Failed to set row auto increment value"
-msgstr "Failed to set row auto increment value"
-
-#: mysys/my_handler_errors.h:106
-msgid "Unknown (generic) error from engine"
-msgstr "Unknown (generic) error from engine"
-
-#: mysys/my_handler_errors.h:108
-msgid "Record is the same"
-msgstr "Record is the same"
-
-#: mysys/my_handler_errors.h:110
-msgid "It is not possible to log this statement"
-msgstr "It is not possible to log this statement"
-
-#: mysys/my_handler_errors.h:112
-msgid "Tablespace exists"
-msgstr "Tablespace exists"
-
-#: mysys/my_handler_errors.h:114
-msgid "The event was corrupt, leading to illegal data being read"
-msgstr "The event was corrupt, leading to illegal data being read"
-
-#: mysys/my_handler_errors.h:116
-msgid "The table is of a new format not supported by this version"
-msgstr "The table is of a new format not supported by this version"
-
-#: mysys/my_handler_errors.h:118
-msgid "The event could not be processed no other hanlder error happened"
-msgstr "The event could not be processed no other hanlder error happened"
-
-#: mysys/my_handler_errors.h:120
-msgid "Got a fatal error during initialzaction of handler"
-msgstr "Got a fatal error during initialzaction of handler"
-
-#: mysys/my_handler_errors.h:122
-msgid "File to short; Expected more data in file"
-msgstr "File to short; Expected more data in file"
-
-#: mysys/my_handler_errors.h:124
-msgid "Read page with wrong checksum"
-msgstr "Read page with wrong checksum"
-
-#: mysys/my_handler_errors.h:126
-msgid "Lock or active transaction"
-msgstr "Lock or active transaction"
-
-#: mysys/my_handler_errors.h:128
-msgid "No such table space"
-msgstr "No such table space"
-
-#: mysys/my_handler_errors.h:130
-msgid "Tablespace not empty"
-msgstr "Tablespace not empty"
-
-#: drizzled/slave.cc:91
-msgid "Waiting to reconnect after a failed registration on master"
-msgstr ""
-
-#: drizzled/slave.cc:92
-#, fuzzy
-msgid ""
-"Slave I/O thread killed while waitnig to reconnect after a failed "
-"registration on master"
-msgstr "Slave I/O thread killed while connecting to master"
-
-#: drizzled/slave.cc:94
-msgid "Reconnecting after a failed registration on master"
-msgstr ""
-
-#: drizzled/slave.cc:95
-#, c-format
-msgid ""
-"failed registering on master, reconnecting to try again, log '%s' at postion "
-"%s"
-msgstr ""
-
-#: drizzled/slave.cc:98 drizzled/slave.cc:107
-#, fuzzy
-msgid "Slave I/O thread killed during or after reconnect"
-msgstr "Slave I/O thread killed while reading event"
-
-#: drizzled/slave.cc:101
-msgid "Waiting to reconnect after a failed binlog dump request"
-msgstr ""
-
-#: drizzled/slave.cc:102
-#, fuzzy
-msgid "Slave I/O thread killed while retrying master dump"
-msgstr "Slave I/O thread killed while requesting master dump"
-
-#: drizzled/slave.cc:103
-msgid "Reconnecting after a failed binlog dump request"
-msgstr ""
-
-#: drizzled/slave.cc:104
-#, c-format
-msgid "failed dump request, reconnecting to try again, log '%s' at postion %s"
-msgstr ""
-
-#: drizzled/slave.cc:110
-msgid "Waiting to reconnect after a failed master event read"
-msgstr ""
-
-#: drizzled/slave.cc:111
-#, fuzzy
-msgid "Slave I/O thread killed while waiting to reconnect after a failed read"
-msgstr "Slave I/O thread killed while connecting to master"
-
-#: drizzled/slave.cc:113
-msgid "Reconnecting after a failed master event read"
-msgstr ""
-
-#: drizzled/slave.cc:114
-#, fuzzy, c-format
-msgid ""
-"Slave I/O thread: Failed reading log event, reconnecting to retry, log '%s' "
-"at postion %s"
-msgstr ""
-"Slave I/O thread: connected to master '%s@%s:%d',replication started in log "
-"'%s' at position %s"
-
-#: drizzled/slave.cc:117
-#, fuzzy
-msgid ""
-"Slave I/O thread killed during or after a reconnect done to recover from "
-"failed read"
-msgstr "Slave I/O thread killed while connecting to master"
-
-#: drizzled/slave.cc:231
-msgid "Failed to allocate memory for the master info structure"
-msgstr "Failed to allocate memory for the master info structure"
-
-#: drizzled/slave.cc:238 drizzled/slave.cc:1822
-msgid "Failed to initialize the master info structure"
-msgstr "Failed to initialize the master info structure"
-
-#: drizzled/slave.cc:253
-msgid "Failed to create slave threads"
-msgstr "Failed to create slave threads"
-
-#: drizzled/slave.cc:450
-msgid "Server id not set, will not start slave"
-msgstr "Server id not set, will not start slave"
-
-#: drizzled/slave.cc:779 drizzled/slave.cc:794
-msgid "Master reported unrecognized DRIZZLE version"
-msgstr ""
-
-#: drizzled/slave.cc:835
-msgid "default Format_description_log_event"
-msgstr ""
-
-#: drizzled/slave.cc:857
-#, c-format
-msgid ""
-"\"SELECT UNIX_TIMESTAMP()\" failed on master, do not trust column "
-"Seconds_Behind_Master of SHOW SLAVE STATUS. Error: %s (%d)"
-msgstr ""
-"\"SELECT UNIX_TIMESTAMP()\" failed on master, do not trust column "
-"Seconds_Behind_Master of SHOW SLAVE STATUS. Error: %s (%d)"
-
-#: drizzled/slave.cc:884
-msgid ""
-"The slave I/O thread stops because master and slave have equal DRIZZLE "
-"server ids; these ids must be different for replication to work (or the --"
-"replicate-same-server-id option must be used on slave but this doesnot "
-"always make sense; please check the manual before using it)."
-msgstr ""
-
-#: drizzled/slave.cc:929
-msgid ""
-"The slave I/O thread stops because master and slave have different values "
-"for the COLLATION_SERVER global variable. The values must be equal for "
-"replication to work"
-msgstr ""
-
-#: drizzled/slave.cc:965
-msgid ""
-"The slave I/O thread stops because master and slave have different values "
-"for the TIME_ZONE global variable. The values must be equal for replication "
-"to work"
-msgstr ""
-
-#: drizzled/slave.cc:1030
-msgid "Waiting for the slave SQL thread to free enough relay log space"
-msgstr "Waiting for the slave SQL thread to free enough relay log space"
-
-#: drizzled/slave.cc:1076
-msgid ""
-"failed to write a Rotate event to the relay log, SHOW SLAVE STATUS may be "
-"inaccurate"
-msgstr ""
-
-#: drizzled/slave.cc:1081 drizzled/slave.cc:2152
-msgid "Failed to flush master info file"
-msgstr "Failed to flush master info file"
-
-#: drizzled/slave.cc:1087
-msgid "Rotate_event (out of memory?), SHOW SLAVE STATUS may be inaccurate"
-msgstr ""
-
-#: drizzled/slave.cc:1478
-#, c-format
-msgid "Error on COM_BINLOG_DUMP: %d  %s, will retry in %d secs"
-msgstr "Error on COM_BINLOG_DUMP: %d  %s, will retry in %d secs"
-
-#: drizzled/slave.cc:1531
-#, c-format
-msgid "Error reading packet from server: %s ( server_errno=%d)"
-msgstr "Error reading packet from server: %s ( server_errno=%d)"
-
-#: drizzled/slave.cc:1539
-#, c-format
-msgid "Slave: received end packet from server, apparent master shutdown: %s"
-msgstr "Slave: received end packet from server, apparent master shutdown: %s"
-
-#: drizzled/slave.cc:1768 drizzled/slave.cc:2367
-#, c-format
-msgid "Slave SQL thread stopped because it reached its UNTIL position %s"
-msgstr "Slave SQL thread stopped because it reached its UNTIL position %s"
-
-#: drizzled/slave.cc:1827 drizzled/slave.cc:2316
-#, c-format
-msgid "Error initializing relay log position: %s"
-msgstr "Error initializing relay log position: %s"
-
-#: drizzled/slave.cc:1843
-#, c-format
-msgid ""
-"Slave SQL thread retried transaction %lu time(s) in vain, giving up. "
-"Consider raising the value of the slave_transaction_retries variable."
-msgstr ""
-"Slave SQL thread retried transaction %lu time(s) in vain, giving up. "
-"Consider raising the value of the slave_transaction_retries variable."
-
-#: drizzled/slave.cc:1989
-msgid "Failed during slave I/O thread initialization"
-msgstr "Failed during slave I/O thread initialization"
-
-#: drizzled/slave.cc:2011
-#, c-format
-msgid ""
-"Slave I/O thread: connected to master '%s@%s:%d',replication started in log "
-"'%s' at position %s"
-msgstr ""
-"Slave I/O thread: connected to master '%s@%s:%d',replication started in log "
-"'%s' at position %s"
-
-#: drizzled/slave.cc:2025
-msgid "Slave I/O thread killed while connecting to master"
-msgstr "Slave I/O thread killed while connecting to master"
-
-#: drizzled/slave.cc:2049
-msgid "Slave I/O thread couldn't register on master"
-msgstr "Slave I/O thread couldn't register on master"
-
-#: drizzled/slave.cc:2061 drizzled/slave.cc:2085 drizzled/slave.cc:2109
-msgid "Forcing to reconnect slave I/O thread"
-msgstr "Forcing to reconnect slave I/O thread"
-
-#: drizzled/slave.cc:2074
-msgid "Failed on request_dump()"
-msgstr "Failed on request_dump()"
-
-#: drizzled/slave.cc:2075
-msgid "Slave I/O thread killed while requesting master dump"
-msgstr "Slave I/O thread killed while requesting master dump"
-
-#: drizzled/slave.cc:2101
-msgid "Waiting for master to send event"
-msgstr "Waiting for master to send event"
-
-#: drizzled/slave.cc:2103
-msgid "Slave I/O thread killed while reading event"
-msgstr "Slave I/O thread killed while reading event"
-
-#: drizzled/slave.cc:2121
-#, c-format
-msgid ""
-"Log entry on master is longer than max_allowed_packet (%ld) on slave. If the "
-"entry is correct, restart the server with a higher value of "
-"max_allowed_packet"
-msgstr ""
-"Log entry on master is longer than max_allowed_packet (%ld) on slave. If the "
-"entry is correct, restart the server with a higher value of "
-"max_allowed_packet"
-
-#: drizzled/slave.cc:2135
-msgid "Stopping slave I/O thread due to out-of-memory error from master"
-msgstr "Stopping slave I/O thread due to out-of-memory error from master"
-
-#: drizzled/slave.cc:2145
-msgid "Queueing master event to the relay log"
-msgstr ""
-
-#: drizzled/slave.cc:2172
-msgid "Slave I/O thread aborted while waiting for relay log space"
-msgstr "Slave I/O thread aborted while waiting for relay log space"
-
-#: drizzled/slave.cc:2182
-#, fuzzy, c-format
-msgid "Slave I/O thread exiting, read up to log '%s', position %s"
-msgstr ""
-"Slave I/O thread: connected to master '%s@%s:%d',replication started in log "
-"'%s' at position %s"
-
-#: drizzled/slave.cc:2206
-#, fuzzy
-msgid "Waiting for slave mutex on exit"
-msgstr "Waiting for master to send event"
-
-#: drizzled/slave.cc:2272
-msgid "Failed during slave thread initialization"
-msgstr "Failed during slave thread initialization"
-
-#: drizzled/slave.cc:2338
-#, fuzzy, c-format
-msgid ""
-"Slave SQL thread initialized, starting replication in log '%s' at position %"
-"s, relay log '%s' position: %s"
-msgstr ""
-"Slave I/O thread: connected to master '%s@%s:%d',replication started in log "
-"'%s' at position %s"
-
-#: drizzled/slave.cc:2352
-msgid "Slave SQL thread aborted. Can't execute init_slave query"
-msgstr "Slave SQL thread aborted. Can't execute init_slave query"
-
-#: drizzled/slave.cc:2378
-msgid "Reading event from the relay log"
-msgstr ""
-
-#: drizzled/slave.cc:2403
-#, c-format
-msgid "Slave (additional info): %s Error_code: %d"
-msgstr "Slave (additional info): %s Error_code: %d"
-
-#: drizzled/slave.cc:2420
-#, fuzzy, c-format
-msgid "Slave: %s Error_code: %d"
-msgstr "Slave (additional info): %s Error_code: %d"
-
-#: drizzled/slave.cc:2423
-#, fuzzy, c-format
-msgid ""
-"Error loading user-defined library, slave SQL thread aborted. Install the "
-"missing library, and restart the slave SQL thread with \"SLAVE START\". We "
-"stopped at log '%s' position %s"
-msgstr ""
-"Error loading user-defined library, slave SQL             thread aborted. "
-"Install the missing library, and restart the             slave SQL thread "
-"with \"SLAVE START\". We stopped at log '%s'             position %s"
-
-#: drizzled/slave.cc:2431
-#, c-format
-msgid ""
-"Error running query, slave SQL thread aborted. Fix the problem, and restart "
-"the slave SQL thread with \"SLAVE START\". We stopped at log '%s' position %s"
-msgstr ""
-"Error running query, slave SQL thread aborted. Fix the problem, and restart "
-"the slave SQL thread with \"SLAVE START\". We stopped at log '%s' position %s"
-
-#: drizzled/slave.cc:2443
-#, fuzzy, c-format
-msgid ""
-"Slave SQL thread exiting, replication stopped in log '%s' at position %s"
-msgstr ""
-"Slave I/O thread: connected to master '%s@%s:%d',replication started in log "
-"'%s' at position %s"
-
-#: drizzled/slave.cc:2539
-#, c-format
-msgid "Slave I/O: failed requesting download of '%s'"
-msgstr "Slave I/O: failed requesting download of '%s'"
-
-#: drizzled/slave.cc:2556
-#, c-format
-msgid "Network read error downloading '%s' from master"
-msgstr "Network read error downloading '%s' from master"
-
-#: drizzled/slave.cc:2728 drizzled/slave.cc:2814
-#, c-format
-msgid ""
-"Read invalid event from master: '%s', master could be corrupt but a more "
-"likely cause of this is a bug"
-msgstr ""
-"Read invalid event from master: '%s', master could be corrupt but a more "
-"likely cause of this is a bug"
-
-#: drizzled/slave.cc:3209
-#, fuzzy, c-format
-msgid ""
-"Slave: connected to master '%s@%s:%d', replication resumed in log '%s' at "
-"position %s"
-msgstr ""
-"Slave I/O thread: connected to master '%s@%s:%d',replication started in log "
-"'%s' at position %s"
-
-#: drizzled/slave.cc:3599
-#, c-format
-msgid "next log '%s' is currently active"
-msgstr ""
-
-#: drizzled/slave.cc:3629
-#, c-format
-msgid "next log '%s' is not active"
-msgstr ""
-
-#: drizzled/slave.cc:3645
-#, c-format
-msgid ""
-"Slave SQL thread: I/O error reading event(errno: %d  cur_log->error: %d)"
-msgstr ""
-"Slave SQL thread: I/O error reading event(errno: %d  cur_log->error: %d)"
-
-#: drizzled/slave.cc:3651
-msgid "Aborting slave SQL thread because of partial event read"
-msgstr ""
-
-#: drizzled/slave.cc:3657 drizzled/slave.cc:3664
-#, c-format
-msgid "Error reading relay log event: %s"
-msgstr "Error reading relay log event: %s"
-
-#: drizzled/slave.cc:3658
-msgid "slave SQL thread was killed"
-msgstr ""
-
-#: drizzled/slave.cc:3756
-#, c-format
-msgid ""
-"master may suffer from http://bugs.mysql.com/bug.php?id=%u so slave stops; "
-"check error log on slave for more info"
-msgstr ""
-
-#: drizzled/slave.cc:3762
-#, c-format
-msgid ""
-"According to the master's version ('%s'), it is probable that master suffers "
-"from this bug: http://bugs.mysql.com/bug.php?id=%u and thus replicating the "
-"current binary log event may make the slave's data become different from the "
-"master's data. To take no risk, slave refuses to replicate this event and "
-"stops. We recommend that all updates be stopped on the master and slave, "
-"that the data of both be manually synchronized, that master's binary logs be "
-"deleted, that master be upgraded to a version at least equal to '%d.%d.%d'. "
-"Then replication can be restarted."
-msgstr ""

